`timescale 1ns/1ps

module bandgap (/*AUTOARG*/
   // Outputs
   ready, bandgap,
   // Inputs
   powerin, enable
   );
   //time needed to reach target voltage after enabled
   parameter TReady = 2000;  // ns

`include "startup_parameters.v"  

   input [AVR32_POWER_MSB:0] powerin;
   input 		     enable;

   output 		     ready;
   output 		     bandgap;

   
   wire 		     poweron;
   
   assign #(TReady,0) ready = enable ? 1'b1 : 1'b0;

   assign poweron = (powerin>=1000);
   
   assign bandgap = poweron ? (ready ? 1'b1 : 1'b0) : 1'b0;
      
endmodule // bandgap