`timescale 1ns/1ps

/*
 functionality:
 
 selvdd bandgap powerout(mv)
 XXX    0       0
 000    1       600        
 001    1       800
 010    1       1000
 011    1       1200
 100    1       1400
 101    1       1400
 110    1       2800
 111    1       2000
 */

module vRegulator (/*AUTOARG*/
   // Outputs
   powerout, ready,
   // Inputs
   powerin, enable, bandgap, selvdd
   );
   //time needed to reach target voltage after enabled
   parameter TStart = 20000;  // ns
   //tiem needed to update output after change in selvdd
   parameter TChange = 1000; //ns
   
   

`include "startup_parameters.v"  

   input [AVR32_POWER_MSB:0] powerin;
   input 		     enable;
   input 		     bandgap;
   input [AVR32_VREG_SELVDD_MSB:0] selvdd;
   
   output [AVR32_POWER_MSB:0] 	   powerout;
   output 			   ready;
   
   
   wire 			   started;
   reg [AVR32_POWER_MSB:0] 	   megapower;
   reg 				   ready_reg;
   
   //setting ready after changing selvdd
   always @ (selvdd)
     begin
	ready_reg<=0;
	if (started) begin
	    ready_reg <= #(TChange) 1;
	end
     end

   //setting ready @ startup enable
   always @ (posedge started)
     begin
	ready_reg <= 1;
     end
       
   always @*
     if(selvdd==3'b000)begin
	if(powerin>600)begin
	   megapower<=600;
	end else begin
	   megapower<=powerin;
	end
     end else if(selvdd==3'b001)begin
	if(powerin>800)begin
	   megapower<=800;
	end else begin
	   megapower<=powerin;
	end
     end else if(selvdd==3'b010)begin
	if(powerin>1000)begin
	   megapower<=1000;
	end else begin
	   megapower<=powerin;
	end
     end else if(selvdd==3'b011)begin
	if(powerin>1200)begin
	   megapower<=1200;
	end else begin
	   megapower<=powerin;
	end
     end else if(selvdd==3'b100)begin
	if(powerin>1400)begin
	   megapower<=1400;
	end else begin
	   megapower<=powerin;
	end
     end else if(selvdd==3'b101)begin
	if(powerin>1600)begin
	   megapower<=1600;
	end else begin
	   megapower<=powerin;
	end 
     end else if(selvdd==3'b110)begin
	if(powerin>1800)begin
	   megapower<=1800;
	end else begin
	   megapower<=powerin;
	end
     end else if(selvdd==3'b111)begin
	if(powerin>2000)begin
	   megapower<=2000;
	end else begin
	   megapower<=powerin;
	end
     end else begin
	megapower<=0;
     end

   assign #(TStart,0) started = enable ? 1'b1 : 1'b0;

   assign ready = ready_reg;

   //assign #(Tchange) ready = enable ? (started ?  : 0) : 0;
   
   //assign #(TChange) powerout = enable ? (started ? (bandgap ? megapower : 0) : 0) : 0;

   assign powerout = enable ? (started ? (bandgap ? (ready ? megapower : 16'bx) : 16'bx) : 16'bx) : 16'bZ;
   
   
   
endmodule // voltage_monitor
