/*
    `impl-startup_simple1-simple1.v'
    Balsa Verilog netlist file
    Created: Fri Aug 12 00:26:34 CEST 2011
    By: sveinryp@rapekatt (Linux)
    With net-verilog (balsa-netlist) version: 4.0
    Using technology: ndc35900/dual_b
    Command line : (balsa-netlist --technology ndc35900/dual_b/ -I . -l impl-startup_simple1-simple1.lst -L impl-startup_simple1-simple1.log --simulation-initialise --basename impl-startup_simple1-simple1 [startup_simple1])

    Using `simulation-initialise'
    You must set the following preprocessor directives to use this file:
        balsa_simulate: set if you wish to initialise signal values during sim.
        balsa_init_time: duration of forced initialisation

    Using `propagate-globals'
    The design contains no global nets
*/

`timescale 1ns/1ps

module c2 (
  q,
  i0,
  i1
);
  output q;
  input i0;
  input i1;
  AO222_A I0 (q, i0, i1, i0, q, i1, q);
endmodule

module dr_latch (
  in_0,
  in_1,
  in_a,
  out_0,
  out_1
);
  input in_0;
  input in_1;
  output in_a;
  output out_0;
  output out_1;

`ifdef balsa_simulate
  initial begin
    force out_0 = 1;
    #`balsa_init_time;
    release out_0;
    if (out_0 !== 1)
        $display ("module %m: signal out_0 not correctly initialised");
  end
`endif

  AO22_A I0 (in_a, in_0, out_0, in_1, out_1);
  NOR2_A I1 (out_0, in_1, out_1);
  NOR2_A I2 (out_1, in_0, out_0);
endmodule

module BrzBar_2 (
  guard_0r, guard_0a0d, guard_0a1d,
  activate_0r, activate_0a,
  guardInput_0r, guardInput_0a0d, guardInput_0a1d,
  guardInput_1r, guardInput_1a0d, guardInput_1a1d,
  activateOut_0r, activateOut_0a,
  activateOut_1r, activateOut_1a
);
  input guard_0r;
  output guard_0a0d;
  output guard_0a1d;
  input activate_0r;
  output activate_0a;
  output guardInput_0r;
  input guardInput_0a0d;
  input guardInput_0a1d;
  output guardInput_1r;
  input guardInput_1a0d;
  input guardInput_1a1d;
  output activateOut_0r;
  input activateOut_0a;
  output activateOut_1r;
  input activateOut_1a;
  wire [2:0] bypass_0n;
  wire [1:0] guardChoiceT_0n;
  wire [1:0] guardChoiceF_0n;
  wire gInput1_0n;
  wire gInput0_0n;
  wire [1:0] cdi_0n;
  wire cd_0n;
  assign guardInput_0r = guard_0r;
  assign guardInput_1r = guard_0r;
  OR3_A I2 (activate_0a, activateOut_0a, activateOut_1a, bypass_0n[2]);
  assign bypass_0n[0] = activate_0r;
  AND2_A I4 (activateOut_0r, bypass_0n[0], guardChoiceT_0n[0]);
  AND2_A I5 (activateOut_1r, bypass_0n[1], guardChoiceT_0n[1]);
  AND2_A I6 (bypass_0n[1], bypass_0n[0], guardChoiceF_0n[0]);
  AND2_A I7 (bypass_0n[2], bypass_0n[1], guardChoiceF_0n[1]);
  c2 I8 (cd_0n, cdi_0n[0], cdi_0n[1]);
  dr_latch I9 (guardInput_0a0d, guardInput_0a1d, cdi_0n[0], guardChoiceF_0n[0], guardChoiceT_0n[0]);
  dr_latch I10 (guardInput_1a0d, guardInput_1a1d, cdi_0n[1], guardChoiceF_0n[1], guardChoiceT_0n[1]);
  c2 I11 (guard_0a0d, gInput0_0n, cd_0n);
  AND2_A I12 (gInput0_0n, guardInput_0a0d, guardInput_1a0d);
  c2 I13 (guard_0a1d, gInput1_0n, cd_0n);
  OR2_A I14 (gInput1_0n, guardInput_0a1d, guardInput_1a1d);
endmodule

module dr_or2 (
  i0_0,
  i0_1,
  i1_0,
  i1_1,
  q_0,
  q_1
);
  input i0_0;
  input i0_1;
  input i1_0;
  input i1_1;
  output q_0;
  output q_1;
  wire n0_0n;
  wire n1_0n;
  wire n2_0n;
  c2 I0 (q_0, i0_0, i1_0);
  OR3_A I1 (q_1, n0_0n, n1_0n, n2_0n);
  c2 I2 (n2_0n, i0_1, i1_1);
  c2 I3 (n1_0n, i0_1, i1_0);
  c2 I4 (n0_0n, i0_0, i1_1);
endmodule

module BrzBinaryFunc_1_1_1_s2_Or_s5_false_s5_fals_m1m (
  out_0r, out_0a0d, out_0a1d,
  inpA_0r, inpA_0a0d, inpA_0a1d,
  inpB_0r, inpB_0a0d, inpB_0a1d
);
  input out_0r;
  output out_0a0d;
  output out_0a1d;
  output inpA_0r;
  input inpA_0a0d;
  input inpA_0a1d;
  output inpB_0r;
  input inpB_0a0d;
  input inpB_0a1d;
  wire n1_0n;
  wire n0_0n;
  wire w1_0n;
  wire w0_0n;
  dr_or2 I0 (n0_0n, n1_0n, w0_0n, w1_0n, out_0a0d, out_0a1d);
  assign n0_0n = inpB_0a0d;
  assign n1_0n = inpB_0a1d;
  assign w0_0n = inpA_0a0d;
  assign w1_0n = inpA_0a1d;
  assign inpA_0r = out_0r;
  assign inpB_0r = out_0r;
endmodule

module c3 (
  q,
  i0,
  i1,
  i2
);
  output q;
  input i0;
  input i1;
  input i2;
  wire qint_0n;
  c2 I0 (q, i2, qint_0n);
  c2 I1 (qint_0n, i0, i1);
endmodule

module dr_ao21 (
  a0,
  a1,
  b0,
  b1,
  c0,
  c1,
  q0,
  q1
);
  input a0;
  input a1;
  input b0;
  input b1;
  input c0;
  input c1;
  output q0;
  output q1;
  wire [1:0] internal_0n;
  wire [7:0] minterm_0n;
  c3 I0 (minterm_0n[0], a0, b0, c0);
  c3 I1 (minterm_0n[1], a0, b0, c1);
  c3 I2 (minterm_0n[2], a0, b1, c0);
  c3 I3 (minterm_0n[3], a0, b1, c1);
  c3 I4 (minterm_0n[4], a1, b0, c0);
  c3 I5 (minterm_0n[5], a1, b0, c1);
  c3 I6 (minterm_0n[6], a1, b1, c0);
  c3 I7 (minterm_0n[7], a1, b1, c1);
  OR3_A I8 (q0, minterm_0n[0], minterm_0n[2], minterm_0n[4]);
  NAND2_A I9 (q1, internal_0n[0], internal_0n[1]);
  NOR2_A I10 (internal_0n[1], minterm_0n[6], minterm_0n[7]);
  NOR3_A I11 (internal_0n[0], minterm_0n[1], minterm_0n[3], minterm_0n[5]);
endmodule

module dr_and2 (
  i0_0,
  i0_1,
  i1_0,
  i1_1,
  q_0,
  q_1
);
  input i0_0;
  input i0_1;
  input i1_0;
  input i1_1;
  output q_0;
  output q_1;
  wire n0_0n;
  wire n1_0n;
  wire n2_0n;
  OR3_A I0 (q_0, n0_0n, n1_0n, n2_0n);
  c2 I1 (n0_0n, i0_0, i1_0);
  c2 I2 (n1_0n, i0_0, i1_1);
  c2 I3 (n2_0n, i0_1, i1_0);
  c2 I4 (q_1, i0_1, i1_1);
endmodule

module dr_ineq_comp (
  i0_0,
  i0_1,
  i1_0,
  i1_1,
  i2_0,
  i2_1,
  i3_0,
  i3_1,
  q0_0,
  q0_1,
  q1_0,
  q1_1
);
  input i0_0;
  input i0_1;
  input i1_0;
  input i1_1;
  input i2_0;
  input i2_1;
  input i3_0;
  input i3_1;
  output q0_0;
  output q0_1;
  output q1_0;
  output q1_1;
  dr_ao21 I0 (i2_0, i2_1, i1_0, i1_1, i0_0, i0_1, q0_0, q0_1);
  dr_and2 I1 (i1_0, i1_1, i3_0, i3_1, q1_0, q1_1);
endmodule

module BrzBinaryFuncConstR_1_3_3_s8_LessThan_s5_f_m2m (
  out_0r, out_0a0d, out_0a1d,
  inpA_0r, inpA_0a0d, inpA_0a1d
);
  input out_0r;
  output out_0a0d;
  output out_0a1d;
  output inpA_0r;
  input [2:0] inpA_0a0d;
  input [2:0] inpA_0a1d;
  wire [2:0] a1_0n;
  wire [2:0] a0_0n;
  wire [2:0] compOut1_0n;
  wire [2:0] compOut0_0n;
  wire [1:0] c1_0n;
  wire [1:0] c0_0n;
  wire [1:0] internalA1_0n;
  wire [1:0] internalA0_0n;
  wire [1:0] internalB1_0n;
  wire [1:0] internalB0_0n;
  assign out_0a1d = internalA1_0n[0];
  assign out_0a0d = internalA0_0n[0];
  dr_ineq_comp I2 (compOut0_0n[2], compOut1_0n[2], c0_0n[1], c1_0n[1], compOut0_0n[1], compOut1_0n[1], c0_0n[0], c1_0n[0], internalA0_0n[1], internalA1_0n[1], internalB0_0n[0], internalB1_0n[0]);
  dr_ao21 I3 (compOut0_0n[0], compOut1_0n[0], internalB0_0n[0], internalB1_0n[0], internalA0_0n[1], internalA1_0n[1], internalA0_0n[0], internalA1_0n[0]);
  assign c0_0n[1] = a1_0n[2];
  assign c1_0n[1] = a0_0n[2];
  assign compOut1_0n[2] = a1_0n[2];
  assign compOut0_0n[2] = a0_0n[2];
  assign c0_0n[0] = a1_0n[1];
  assign c1_0n[0] = a0_0n[1];
  assign compOut1_0n[1] = a1_0n[1];
  assign compOut0_0n[1] = a0_0n[1];
  assign compOut1_0n[0] = a1_0n[0];
  assign compOut0_0n[0] = a0_0n[0];
  assign a1_0n[0] = inpA_0a0d[0];
  assign a1_0n[1] = inpA_0a0d[1];
  assign a1_0n[2] = inpA_0a0d[2];
  assign a0_0n[0] = inpA_0a1d[0];
  assign a0_0n[1] = inpA_0a1d[1];
  assign a0_0n[2] = inpA_0a1d[2];
  assign inpA_0r = out_0r;
endmodule

module ao21 (
  q,
  i0,
  i1,
  i2
);
  output q;
  input i0;
  input i1;
  input i2;
  wire int_0n;
  OR2_A I0 (q, int_0n, i2);
  AND2_A I1 (int_0n, i0, i1);
endmodule

module dr_fa_p (
  a_0,
  a_1,
  b_0,
  b_1,
  co_0,
  co_1,
  sum_0,
  sum_1
);
  input a_0;
  input a_1;
  input b_0;
  input b_1;
  output co_0;
  output co_1;
  output sum_0;
  output sum_1;
  wire n0_0n;
  wire n1_0n;
  wire n2_0n;
  wire n3_0n;
  AND2_A I0 (co_0, a_0, b_0);
  ao21 I1 (co_1, a_0, b_1, a_1);
  OR2_A I2 (sum_0, n1_0n, n2_0n);
  OR2_A I3 (sum_1, n0_0n, n3_0n);
  c2 I4 (n3_0n, a_1, b_1);
  c2 I5 (n2_0n, a_1, b_0);
  c2 I6 (n1_0n, a_0, b_1);
  c2 I7 (n0_0n, a_0, b_0);
endmodule

module dr_ha (
  a_0,
  a_1,
  b_0,
  b_1,
  co_0,
  co_1,
  sum_0,
  sum_1
);
  input a_0;
  input a_1;
  input b_0;
  input b_1;
  output co_0;
  output co_1;
  output sum_0;
  output sum_1;
  wire n0_0n;
  wire n1_0n;
  wire n2_0n;
  wire n3_0n;
  AND2_A I0 (co_1, a_1, b_1);
  ao21 I1 (co_0, a_1, b_0, a_0);
  OR2_A I2 (sum_1, n1_0n, n2_0n);
  OR2_A I3 (sum_0, n0_0n, n3_0n);
  c2 I4 (n3_0n, a_1, b_1);
  c2 I5 (n2_0n, a_1, b_0);
  c2 I6 (n1_0n, a_0, b_1);
  c2 I7 (n0_0n, a_0, b_0);
endmodule

module dr_xor2 (
  i0_0,
  i0_1,
  i1_0,
  i1_1,
  q_0,
  q_1
);
  input i0_0;
  input i0_1;
  input i1_0;
  input i1_1;
  output q_0;
  output q_1;
  wire n0_0n;
  wire n1_0n;
  wire n2_0n;
  wire n3_0n;
  OR2_A I0 (q_0, n0_0n, n3_0n);
  c2 I1 (n3_0n, i0_1, i1_1);
  c2 I2 (n0_0n, i0_0, i1_0);
  OR2_A I3 (q_1, n1_0n, n2_0n);
  c2 I4 (n1_0n, i0_0, i1_1);
  c2 I5 (n2_0n, i0_1, i1_0);
endmodule

module BrzBinaryFuncConstR_3_3_1_s3_Add_s5_false__m3m (
  out_0r, out_0a0d, out_0a1d,
  inpA_0r, inpA_0a0d, inpA_0a1d
);
  input out_0r;
  output [2:0] out_0a0d;
  output [2:0] out_0a1d;
  output inpA_0r;
  input [2:0] inpA_0a0d;
  input [2:0] inpA_0a1d;
  wire [2:0] a1_0n;
  wire [2:0] a0_0n;
  wire [2:0] c1_0n;
  wire [2:0] c0_0n;
  supply0 gnd;
  assign c0_0n[0] = out_0r;
  assign c1_0n[0] = gnd;
  dr_xor2 I2 (a0_0n[2], a1_0n[2], c0_0n[2], c1_0n[2], out_0a0d[2], out_0a1d[2]);
  dr_ha I3 (a0_0n[1], a1_0n[1], c0_0n[1], c1_0n[1], c0_0n[2], c1_0n[2], out_0a0d[1], out_0a1d[1]);
  dr_fa_p I4 (a0_0n[0], a1_0n[0], c0_0n[0], c1_0n[0], c0_0n[1], c1_0n[1], out_0a0d[0], out_0a1d[0]);
  assign a0_0n[0] = inpA_0a0d[0];
  assign a0_0n[1] = inpA_0a0d[1];
  assign a0_0n[2] = inpA_0a0d[2];
  assign a1_0n[0] = inpA_0a1d[0];
  assign a1_0n[1] = inpA_0a1d[1];
  assign a1_0n[2] = inpA_0a1d[2];
  assign inpA_0r = out_0r;
endmodule

module BrzCase_1_1_s1_1 (
  inp_0r0d, inp_0r1d, inp_0a,
  activateOut_0r, activateOut_0a
);
  input inp_0r0d;
  input inp_0r1d;
  output inp_0a;
  output activateOut_0r;
  input activateOut_0a;
  wire elseAck_0n;
  wire inpComplete_0n;
  wire inpDone_0n;
  wire outDone_0n;
  wire [1:0] int0_0n;
  c2 I0 (inp_0a, outDone_0n, inpDone_0n);
  OR2_A I1 (outDone_0n, activateOut_0a, elseAck_0n);
  assign int0_0n[0] = inp_0r0d;
  assign int0_0n[1] = inp_0r1d;
  assign elseAck_0n = int0_0n[0];
  assign activateOut_0r = int0_0n[1];
  assign inpDone_0n = inpComplete_0n;
  OR2_A I7 (inpComplete_0n, inp_0r0d, inp_0r1d);
endmodule

module acu0d1 (
  q,
  i0,
  i1
);
  output q;
  input i0;
  input i1;
  wire int_0n;
  OR2_A I0 (q, i0, int_0n);
  AND2_A I1 (int_0n, i1, q);
endmodule

module telem (
  Ar,
  Aa,
  Br,
  Ba
);
  input Ar;
  output Aa;
  output Br;
  input Ba;
  wire s_0n;
  acu0d1 I0 (Aa, Ba, Ar);
  INV_A I1 (s_0n, Aa);
  AND2_A I2 (Br, Ar, s_0n);
endmodule

module BrzConcur_2 (
  activate_0r, activate_0a,
  activateOut_0r, activateOut_0a,
  activateOut_1r, activateOut_1a
);
  input activate_0r;
  output activate_0a;
  output activateOut_0r;
  input activateOut_0a;
  output activateOut_1r;
  input activateOut_1a;
  wire [1:0] acks_0n;
  c2 I0 (activate_0a, acks_0n[0], acks_0n[1]);
  telem I1 (activate_0r, acks_0n[0], activateOut_0r, activateOut_0a);
  telem I2 (activate_0r, acks_0n[1], activateOut_1r, activateOut_1a);
endmodule

module BrzConcur_4 (
  activate_0r, activate_0a,
  activateOut_0r, activateOut_0a,
  activateOut_1r, activateOut_1a,
  activateOut_2r, activateOut_2a,
  activateOut_3r, activateOut_3a
);
  input activate_0r;
  output activate_0a;
  output activateOut_0r;
  input activateOut_0a;
  output activateOut_1r;
  input activateOut_1a;
  output activateOut_2r;
  input activateOut_2a;
  output activateOut_3r;
  input activateOut_3a;
  wire [1:0] internal_0n;
  wire [3:0] acks_0n;
  c2 I0 (internal_0n[0], acks_0n[0], acks_0n[1]);
  c2 I1 (internal_0n[1], acks_0n[2], acks_0n[3]);
  c2 I2 (activate_0a, internal_0n[0], internal_0n[1]);
  telem I3 (activate_0r, acks_0n[0], activateOut_0r, activateOut_0a);
  telem I4 (activate_0r, acks_0n[1], activateOut_1r, activateOut_1a);
  telem I5 (activate_0r, acks_0n[2], activateOut_2r, activateOut_2a);
  telem I6 (activate_0r, acks_0n[3], activateOut_3r, activateOut_3a);
endmodule

module BrzConstant_1_1 (
  out_0r, out_0a0d, out_0a1d
);
  input out_0r;
  output out_0a0d;
  output out_0a1d;
  wire reqOut_0n;
  supply0 gnd;
  assign out_0a0d = gnd;
  assign out_0a1d = out_0r;
endmodule

module BrzContinue (
  inp_0r, inp_0a
);
  input inp_0r;
  output inp_0a;
  assign inp_0a = inp_0r;
endmodule

module BrzDecisionWait_1 (
  activate_0r, activate_0a,
  inp_0r, inp_0a,
  out_0r, out_0a
);
  input activate_0r;
  output activate_0a;
  input inp_0r;
  output inp_0a;
  output out_0r;
  input out_0a;
  assign activate_0a = out_0a;
  c2 I1 (out_0r, inp_0r, activate_0r);
  assign inp_0a = out_0a;
endmodule

module BrzEncode_1_2_s5_1_3b0 (
  inp_0r, inp_0a,
  inp_1r, inp_1a,
  out_0r0d, out_0r1d, out_0a
);
  input inp_0r;
  output inp_0a;
  input inp_1r;
  output inp_1a;
  output out_0r0d;
  output out_0r1d;
  input out_0a;
  wire [1:0] data_0n;
  wire int1_0n;
  wire int0_0n;
  c2 I0 (inp_0a, data_0n[0], out_0a);
  c2 I1 (inp_1a, data_0n[1], out_0a);
  assign int1_0n = data_0n[1];
  assign out_0r0d = int1_0n;
  assign int0_0n = data_0n[0];
  assign out_0r1d = int0_0n;
  assign data_0n[0] = inp_0r;
  assign data_0n[1] = inp_1r;
endmodule

module BrzFetch_1_s5_false (
  activate_0r, activate_0a,
  inp_0r, inp_0a0d, inp_0a1d,
  out_0r0d, out_0r1d, out_0a
);
  input activate_0r;
  output activate_0a;
  output inp_0r;
  input inp_0a0d;
  input inp_0a1d;
  output out_0r0d;
  output out_0r1d;
  input out_0a;
  assign inp_0r = activate_0r;
  assign out_0r0d = inp_0a0d;
  assign out_0r1d = inp_0a1d;
  assign activate_0a = out_0a;
endmodule

module BrzFetch_3_s5_false (
  activate_0r, activate_0a,
  inp_0r, inp_0a0d, inp_0a1d,
  out_0r0d, out_0r1d, out_0a
);
  input activate_0r;
  output activate_0a;
  output inp_0r;
  input [2:0] inp_0a0d;
  input [2:0] inp_0a1d;
  output [2:0] out_0r0d;
  output [2:0] out_0r1d;
  input out_0a;
  assign inp_0r = activate_0r;
  assign out_0r0d[0] = inp_0a0d[0];
  assign out_0r0d[1] = inp_0a0d[1];
  assign out_0r0d[2] = inp_0a0d[2];
  assign out_0r1d[0] = inp_0a1d[0];
  assign out_0r1d[1] = inp_0a1d[1];
  assign out_0r1d[2] = inp_0a1d[2];
  assign activate_0a = out_0a;
endmodule

module nc2p (
  q,
  i0,
  i1
);
  output q;
  input i0;
  input i1;
  wire nq_0n;
  AOI22_A I0 (q, i0, i1, i0, nq_0n);
  INV_A I1 (nq_0n, q);
endmodule

module selem (
  Ar,
  Aa,
  Br,
  Ba
);
  input Ar;
  output Aa;
  output Br;
  input Ba;
  wire s_0n;
  nc2p I0 (s_0n, Ar, Ba);
  NOR2_A I1 (Aa, Ba, s_0n);
  AND2_A I2 (Br, Ar, s_0n);
endmodule

module BrzSequence_2_s1_S (
  activate_0r, activate_0a,
  activateOut_0r, activateOut_0a,
  activateOut_1r, activateOut_1a
);
  input activate_0r;
  output activate_0a;
  output activateOut_0r;
  input activateOut_0a;
  output activateOut_1r;
  input activateOut_1a;
  wire [1:0] sreq_0n;
  assign activate_0a = activateOut_1a;
  assign activateOut_1r = sreq_0n[1];
  assign sreq_0n[0] = activate_0r;
  selem I3 (sreq_0n[0], sreq_0n[1], activateOut_0r, activateOut_0a);
endmodule

module BrzSequence_6_s5_SSSSS (
  activate_0r, activate_0a,
  activateOut_0r, activateOut_0a,
  activateOut_1r, activateOut_1a,
  activateOut_2r, activateOut_2a,
  activateOut_3r, activateOut_3a,
  activateOut_4r, activateOut_4a,
  activateOut_5r, activateOut_5a
);
  input activate_0r;
  output activate_0a;
  output activateOut_0r;
  input activateOut_0a;
  output activateOut_1r;
  input activateOut_1a;
  output activateOut_2r;
  input activateOut_2a;
  output activateOut_3r;
  input activateOut_3a;
  output activateOut_4r;
  input activateOut_4a;
  output activateOut_5r;
  input activateOut_5a;
  wire [5:0] sreq_0n;
  assign activate_0a = activateOut_5a;
  assign activateOut_5r = sreq_0n[5];
  assign sreq_0n[0] = activate_0r;
  selem I3 (sreq_0n[4], sreq_0n[5], activateOut_4r, activateOut_4a);
  selem I4 (sreq_0n[3], sreq_0n[4], activateOut_3r, activateOut_3a);
  selem I5 (sreq_0n[2], sreq_0n[3], activateOut_2r, activateOut_2a);
  selem I6 (sreq_0n[1], sreq_0n[2], activateOut_1r, activateOut_1a);
  selem I7 (sreq_0n[0], sreq_0n[1], activateOut_0r, activateOut_0a);
endmodule

module BrzSequence_7_s6_SSSSSS (
  activate_0r, activate_0a,
  activateOut_0r, activateOut_0a,
  activateOut_1r, activateOut_1a,
  activateOut_2r, activateOut_2a,
  activateOut_3r, activateOut_3a,
  activateOut_4r, activateOut_4a,
  activateOut_5r, activateOut_5a,
  activateOut_6r, activateOut_6a
);
  input activate_0r;
  output activate_0a;
  output activateOut_0r;
  input activateOut_0a;
  output activateOut_1r;
  input activateOut_1a;
  output activateOut_2r;
  input activateOut_2a;
  output activateOut_3r;
  input activateOut_3a;
  output activateOut_4r;
  input activateOut_4a;
  output activateOut_5r;
  input activateOut_5a;
  output activateOut_6r;
  input activateOut_6a;
  wire [6:0] sreq_0n;
  assign activate_0a = activateOut_6a;
  assign activateOut_6r = sreq_0n[6];
  assign sreq_0n[0] = activate_0r;
  selem I3 (sreq_0n[5], sreq_0n[6], activateOut_5r, activateOut_5a);
  selem I4 (sreq_0n[4], sreq_0n[5], activateOut_4r, activateOut_4a);
  selem I5 (sreq_0n[3], sreq_0n[4], activateOut_3r, activateOut_3a);
  selem I6 (sreq_0n[2], sreq_0n[3], activateOut_2r, activateOut_2a);
  selem I7 (sreq_0n[1], sreq_0n[2], activateOut_1r, activateOut_1a);
  selem I8 (sreq_0n[0], sreq_0n[1], activateOut_0r, activateOut_0a);
endmodule

module BrzUnaryFunc_1_1_s6_Invert_s5_false (
  out_0r, out_0a0d, out_0a1d,
  inp_0r, inp_0a0d, inp_0a1d
);
  input out_0r;
  output out_0a0d;
  output out_0a1d;
  output inp_0r;
  input inp_0a0d;
  input inp_0a1d;
  wire [1:0] c1_0n;
  wire [1:0] c0_0n;
  wire s1_0n;
  wire s0_0n;
  assign out_0a0d = inp_0a1d;
  assign out_0a1d = inp_0a0d;
  assign inp_0r = out_0r;
endmodule

module BrzVariable_1_1_s0_ (
  write_0r0d, write_0r1d, write_0a,
  read_0r, read_0a0d, read_0a1d
);
  input write_0r0d;
  input write_0r1d;
  output write_0a;
  input read_0r;
  output read_0a0d;
  output read_0a1d;
  wire store_0n;
  wire store_1n;
  wire ldata_0n;
  wire ldata_1n;
  wire wack_0n;
  wire readReq_0n;
  AND2_A I0 (read_0a1d, store_1n, readReq_0n);
  AND2_A I1 (read_0a0d, store_0n, readReq_0n);
  assign readReq_0n = read_0r;
  assign store_0n = ldata_0n;
  assign store_1n = ldata_1n;
  assign write_0a = wack_0n;
  dr_latch I6 (write_0r0d, write_0r1d, wack_0n, ldata_0n, ldata_1n);
endmodule

module BrzVariable_1_3_s0_ (
  write_0r0d, write_0r1d, write_0a,
  read_0r, read_0a0d, read_0a1d,
  read_1r, read_1a0d, read_1a1d,
  read_2r, read_2a0d, read_2a1d
);
  input write_0r0d;
  input write_0r1d;
  output write_0a;
  input read_0r;
  output read_0a0d;
  output read_0a1d;
  input read_1r;
  output read_1a0d;
  output read_1a1d;
  input read_2r;
  output read_2a0d;
  output read_2a1d;
  wire store_0n;
  wire store_1n;
  wire ldata_0n;
  wire ldata_1n;
  wire wack_0n;
  wire readReq_0n;
  wire readReq_1n;
  wire readReq_2n;
  AND2_A I0 (read_2a1d, store_1n, readReq_2n);
  AND2_A I1 (read_2a0d, store_0n, readReq_2n);
  AND2_A I2 (read_1a1d, store_1n, readReq_1n);
  AND2_A I3 (read_1a0d, store_0n, readReq_1n);
  AND2_A I4 (read_0a1d, store_1n, readReq_0n);
  AND2_A I5 (read_0a0d, store_0n, readReq_0n);
  assign readReq_0n = read_0r;
  assign readReq_1n = read_1r;
  assign readReq_2n = read_2r;
  assign store_0n = ldata_0n;
  assign store_1n = ldata_1n;
  assign write_0a = wack_0n;
  dr_latch I12 (write_0r0d, write_0r1d, wack_0n, ldata_0n, ldata_1n);
endmodule

module BrzVariable_3_1_s0_ (
  write_0r0d, write_0r1d, write_0a,
  read_0r, read_0a0d, read_0a1d
);
  input [2:0] write_0r0d;
  input [2:0] write_0r1d;
  output write_0a;
  input read_0r;
  output [2:0] read_0a0d;
  output [2:0] read_0a1d;
  wire [2:0] store_0n;
  wire [2:0] store_1n;
  wire [2:0] ldata_0n;
  wire [2:0] ldata_1n;
  wire [2:0] wack_0n;
  wire readReq_0n;
  AND2_A I0 (read_0a1d[0], store_1n[0], readReq_0n);
  AND2_A I1 (read_0a1d[1], store_1n[1], readReq_0n);
  AND2_A I2 (read_0a1d[2], store_1n[2], readReq_0n);
  AND2_A I3 (read_0a0d[0], store_0n[0], readReq_0n);
  AND2_A I4 (read_0a0d[1], store_0n[1], readReq_0n);
  AND2_A I5 (read_0a0d[2], store_0n[2], readReq_0n);
  assign readReq_0n = read_0r;
  assign store_0n[0] = ldata_0n[0];
  assign store_0n[1] = ldata_0n[1];
  assign store_0n[2] = ldata_0n[2];
  assign store_1n[0] = ldata_1n[0];
  assign store_1n[1] = ldata_1n[1];
  assign store_1n[2] = ldata_1n[2];
  c3 I13 (write_0a, wack_0n[0], wack_0n[1], wack_0n[2]);
  dr_latch I14 (write_0r0d[0], write_0r1d[0], wack_0n[0], ldata_0n[0], ldata_1n[0]);
  dr_latch I15 (write_0r0d[1], write_0r1d[1], wack_0n[1], ldata_0n[1], ldata_1n[1]);
  dr_latch I16 (write_0r0d[2], write_0r1d[2], wack_0n[2], ldata_0n[2], ldata_1n[2]);
endmodule

module BrzVariable_3_3_s0_ (
  write_0r0d, write_0r1d, write_0a,
  read_0r, read_0a0d, read_0a1d,
  read_1r, read_1a0d, read_1a1d,
  read_2r, read_2a0d, read_2a1d
);
  input [2:0] write_0r0d;
  input [2:0] write_0r1d;
  output write_0a;
  input read_0r;
  output [2:0] read_0a0d;
  output [2:0] read_0a1d;
  input read_1r;
  output [2:0] read_1a0d;
  output [2:0] read_1a1d;
  input read_2r;
  output [2:0] read_2a0d;
  output [2:0] read_2a1d;
  wire [2:0] store_0n;
  wire [2:0] store_1n;
  wire [2:0] ldata_0n;
  wire [2:0] ldata_1n;
  wire [2:0] wack_0n;
  wire readReq_0n;
  wire readReq_1n;
  wire readReq_2n;
  AND2_A I0 (read_2a1d[0], store_1n[0], readReq_2n);
  AND2_A I1 (read_2a1d[1], store_1n[1], readReq_2n);
  AND2_A I2 (read_2a1d[2], store_1n[2], readReq_2n);
  AND2_A I3 (read_2a0d[0], store_0n[0], readReq_2n);
  AND2_A I4 (read_2a0d[1], store_0n[1], readReq_2n);
  AND2_A I5 (read_2a0d[2], store_0n[2], readReq_2n);
  AND2_A I6 (read_1a1d[0], store_1n[0], readReq_1n);
  AND2_A I7 (read_1a1d[1], store_1n[1], readReq_1n);
  AND2_A I8 (read_1a1d[2], store_1n[2], readReq_1n);
  AND2_A I9 (read_1a0d[0], store_0n[0], readReq_1n);
  AND2_A I10 (read_1a0d[1], store_0n[1], readReq_1n);
  AND2_A I11 (read_1a0d[2], store_0n[2], readReq_1n);
  AND2_A I12 (read_0a1d[0], store_1n[0], readReq_0n);
  AND2_A I13 (read_0a1d[1], store_1n[1], readReq_0n);
  AND2_A I14 (read_0a1d[2], store_1n[2], readReq_0n);
  AND2_A I15 (read_0a0d[0], store_0n[0], readReq_0n);
  AND2_A I16 (read_0a0d[1], store_0n[1], readReq_0n);
  AND2_A I17 (read_0a0d[2], store_0n[2], readReq_0n);
  assign readReq_0n = read_0r;
  assign readReq_1n = read_1r;
  assign readReq_2n = read_2r;
  assign store_0n[0] = ldata_0n[0];
  assign store_0n[1] = ldata_0n[1];
  assign store_0n[2] = ldata_0n[2];
  assign store_1n[0] = ldata_1n[0];
  assign store_1n[1] = ldata_1n[1];
  assign store_1n[2] = ldata_1n[2];
  c3 I27 (write_0a, wack_0n[0], wack_0n[1], wack_0n[2]);
  dr_latch I28 (write_0r0d[0], write_0r1d[0], wack_0n[0], ldata_0n[0], ldata_1n[0]);
  dr_latch I29 (write_0r0d[1], write_0r1d[1], wack_0n[1], ldata_0n[1], ldata_1n[1]);
  dr_latch I30 (write_0r0d[2], write_0r1d[2], wack_0n[2], ldata_0n[2], ldata_1n[2]);
endmodule

module BrzWhile (
  activate_0r, activate_0a,
  guard_0r, guard_0a0d, guard_0a1d,
  activateOut_0r, activateOut_0a
);
  input activate_0r;
  output activate_0a;
  output guard_0r;
  input guard_0a0d;
  input guard_0a1d;
  output activateOut_0r;
  input activateOut_0a;
  wire guardReq_0n;
  wire nReq_0n;
  selem I0 (guardReq_0n, activateOut_0r, guard_0r, guard_0a1d);
  INV_A I1 (nReq_0n, activate_0r);
  NOR2_A I2 (guardReq_0n, nReq_0n, activateOut_0a);
  assign activate_0a = guard_0a0d;
endmodule

module Balsa_startup__simple1 (
  activate_0r, activate_0a,
  mon1__ready_0r, mon1__ready_0a,
  vok1_0r, vok1_0a0d, vok1_0a1d,
  mon1__enable_0r0d, mon1__enable_0r1d, mon1__enable_0a,
  mon2__ready_0r, mon2__ready_0a,
  vok2_0r, vok2_0a0d, vok2_0a1d,
  mon2__enable_0r0d, mon2__enable_0r1d, mon2__enable_0a,
  mon3__ready_0r, mon3__ready_0a,
  vok3_0r, vok3_0a0d, vok3_0a1d,
  mon3__enable_0r0d, mon3__enable_0r1d, mon3__enable_0a,
  ref1__ready_0r, ref1__ready_0a,
  ref1__enable_0r0d, ref1__enable_0r1d, ref1__enable_0a,
  ref2__ready_0r, ref2__ready_0a,
  ref2__enable_0r0d, ref2__enable_0r1d, ref2__enable_0a,
  vreg1__ready_0r, vreg1__ready_0a,
  vreg1__enable_0r0d, vreg1__enable_0r1d, vreg1__enable_0a,
  vreg2__ready_0r, vreg2__ready_0a,
  vreg2__enable_0r0d, vreg2__enable_0r1d, vreg2__enable_0a,
  selvdd_0r0d, selvdd_0r1d, selvdd_0a
);
  input activate_0r;
  output activate_0a;
  input mon1__ready_0r;
  output mon1__ready_0a;
  output vok1_0r;
  input vok1_0a0d;
  input vok1_0a1d;
  output mon1__enable_0r0d;
  output mon1__enable_0r1d;
  input mon1__enable_0a;
  input mon2__ready_0r;
  output mon2__ready_0a;
  output vok2_0r;
  input vok2_0a0d;
  input vok2_0a1d;
  output mon2__enable_0r0d;
  output mon2__enable_0r1d;
  input mon2__enable_0a;
  input mon3__ready_0r;
  output mon3__ready_0a;
  output vok3_0r;
  input vok3_0a0d;
  input vok3_0a1d;
  output mon3__enable_0r0d;
  output mon3__enable_0r1d;
  input mon3__enable_0a;
  input ref1__ready_0r;
  output ref1__ready_0a;
  output ref1__enable_0r0d;
  output ref1__enable_0r1d;
  input ref1__enable_0a;
  input ref2__ready_0r;
  output ref2__ready_0a;
  output ref2__enable_0r0d;
  output ref2__enable_0r1d;
  input ref2__enable_0a;
  input vreg1__ready_0r;
  output vreg1__ready_0a;
  output vreg1__enable_0r0d;
  output vreg1__enable_0r1d;
  input vreg1__enable_0a;
  input vreg2__ready_0r;
  output vreg2__ready_0a;
  output vreg2__enable_0r0d;
  output vreg2__enable_0r1d;
  input vreg2__enable_0a;
  output [2:0] selvdd_0r0d;
  output [2:0] selvdd_0r1d;
  input selvdd_0a;
  wire c105_r;
  wire c105_a0d;
  wire c105_a1d;
  wire c104_r0d;
  wire c104_r1d;
  wire c104_a;
  wire c103_r;
  wire c103_a;
  wire c102_r;
  wire c102_a;
  wire c101_r0d;
  wire c101_r1d;
  wire c101_a;
  wire c100_r;
  wire c100_a0d;
  wire c100_a1d;
  wire c99_r;
  wire [2:0] c99_a0d;
  wire [2:0] c99_a1d;
  wire c98_r;
  wire [2:0] c98_a0d;
  wire [2:0] c98_a1d;
  wire [2:0] c97_r0d;
  wire [2:0] c97_r1d;
  wire c97_a;
  wire c96_r;
  wire c96_a;
  wire c95_r;
  wire c95_a;
  wire c94_r;
  wire c94_a;
  wire [2:0] c93_r0d;
  wire [2:0] c93_r1d;
  wire c93_a;
  wire c92_r;
  wire [2:0] c92_a0d;
  wire [2:0] c92_a1d;
  wire c91_r;
  wire [2:0] c91_a0d;
  wire [2:0] c91_a1d;
  wire c90_r;
  wire c90_a;
  wire c89_r;
  wire c89_a;
  wire c88_r;
  wire c88_a;
  wire c87_r;
  wire c87_a;
  wire c86_r;
  wire c86_a;
  wire c85_r;
  wire c85_a;
  wire c84_r;
  wire c84_a;
  wire c83_r;
  wire c83_a;
  wire c82_r;
  wire c82_a0d;
  wire c82_a1d;
  wire c81_r;
  wire c81_a0d;
  wire c81_a1d;
  wire c80_r;
  wire c80_a0d;
  wire c80_a1d;
  wire c79_r;
  wire c79_a0d;
  wire c79_a1d;
  wire c78_r;
  wire c78_a;
  wire c77_r;
  wire c77_a;
  wire c76_r0d;
  wire c76_r1d;
  wire c76_a;
  wire c75_r;
  wire c75_a;
  wire c74_r0d;
  wire c74_r1d;
  wire c74_a;
  wire c73_r;
  wire c73_a0d;
  wire c73_a1d;
  wire c72_r0d;
  wire c72_r1d;
  wire c72_a;
  wire c71_r;
  wire c71_a;
  wire c70_r;
  wire c70_a;
  wire c69_r0d;
  wire c69_r1d;
  wire c69_a;
  wire c68_r;
  wire c68_a;
  wire c67_r;
  wire c67_a0d;
  wire c67_a1d;
  wire c66_r;
  wire c66_a0d;
  wire c66_a1d;
  wire c65_r;
  wire c65_a;
  wire c64_r;
  wire c64_a;
  wire c63_r;
  wire c63_a;
  wire c62_r;
  wire c62_a0d;
  wire c62_a1d;
  wire c61_r;
  wire c61_a;
  wire c60_r;
  wire c60_a;
  wire c59_r;
  wire c59_a;
  wire c58_r;
  wire c58_a0d;
  wire c58_a1d;
  wire c57_r;
  wire c57_a0d;
  wire c57_a1d;
  wire c56_r;
  wire c56_a;
  wire c55_r;
  wire c55_a;
  wire c54_r;
  wire c54_a;
  wire c53_r;
  wire c53_a0d;
  wire c53_a1d;
  wire c52_r;
  wire c52_a;
  wire c51_r;
  wire c51_a;
  wire c50_r;
  wire c50_a;
  wire c49_r;
  wire c49_a0d;
  wire c49_a1d;
  wire c48_r;
  wire c48_a;
  wire c47_r;
  wire c47_a;
  wire c46_r;
  wire c46_a;
  wire c45_r;
  wire c45_a;
  wire c44_r;
  wire c44_a;
  wire c43_r;
  wire c43_a0d;
  wire c43_a1d;
  wire c42_r;
  wire c42_a;
  wire c41_r;
  wire c41_a;
  wire c40_r;
  wire c40_a;
  wire c39_r;
  wire c39_a0d;
  wire c39_a1d;
  wire c38_r;
  wire c38_a0d;
  wire c38_a1d;
  wire c37_r;
  wire c37_a0d;
  wire c37_a1d;
  wire c36_r0d;
  wire c36_r1d;
  wire c36_a;
  wire c35_r;
  wire c35_a;
  wire c34_r;
  wire c34_a;
  wire c33_r;
  wire c33_a;
  wire c32_r0d;
  wire c32_r1d;
  wire c32_a;
  wire c31_r;
  wire c31_a;
  wire c30_r;
  wire c30_a0d;
  wire c30_a1d;
  wire c29_r;
  wire c29_a0d;
  wire c29_a1d;
  wire c28_r;
  wire c28_a;
  wire c27_r;
  wire c27_a;
  wire c26_r;
  wire c26_a0d;
  wire c26_a1d;
  wire c25_r;
  wire c25_a;
  wire c24_r;
  wire c24_a;
  wire c23_r;
  wire c23_a;
  wire c22_r0d;
  wire c22_r1d;
  wire c22_a;
  wire c21_r;
  wire c21_a;
  wire c20_r;
  wire [2:0] c20_a0d;
  wire [2:0] c20_a1d;
  BrzVariable_1_3_s0_ I0 (c76_r0d, c76_r1d, c76_a, c80_r, c80_a0d, c80_a1d, c66_r, c66_a0d, c66_a1d, c29_r, c29_a0d, c29_a1d);
  BrzVariable_1_3_s0_ I1 (c74_r0d, c74_r1d, c74_a, c79_r, c79_a0d, c79_a1d, c57_r, c57_a0d, c57_a1d, c26_r, c26_a0d, c26_a1d);
  BrzVariable_1_1_s0_ I2 (c22_r0d, c22_r1d, c22_a, c38_r, c38_a0d, c38_a1d);
  BrzVariable_3_3_s0_ I3 (c93_r0d, c93_r1d, c93_a, c20_r, c20_a0d, c20_a1d, c91_r, c91_a0d, c91_a1d, c99_r, c99_a0d, c99_a1d);
  BrzCase_1_1_s1_1 I4 (c101_r0d, c101_r1d, c101_a, c94_r, c94_a);
  BrzFetch_1_s5_false I5 (c102_r, c102_a, c100_r, c100_a0d, c100_a1d, c104_r0d, c104_r1d, c104_a);
  BrzFetch_1_s5_false I6 (c103_r, c103_a, c105_r, c105_a0d, c105_a1d, c101_r0d, c101_r1d, c101_a);
  BrzVariable_1_1_s0_ I7 (c104_r0d, c104_r1d, c104_a, c105_r, c105_a0d, c105_a1d);
  BrzBinaryFuncConstR_1_3_3_s8_LessThan_s5_f_m2m I8 (c100_r, c100_a0d, c100_a1d, c99_r, c99_a0d, c99_a1d);
  BrzSequence_2_s1_S I9 (c94_r, c94_a, c95_r, c95_a, c96_r, c96_a);
  BrzFetch_3_s5_false I10 (c95_r, c95_a, c92_r, c92_a0d, c92_a1d, c97_r0d, c97_r1d, c97_a);
  BrzFetch_3_s5_false I11 (c96_r, c96_a, c98_r, c98_a0d, c98_a1d, c93_r0d, c93_r1d, c93_a);
  BrzVariable_3_1_s0_ I12 (c97_r0d, c97_r1d, c97_a, c98_r, c98_a0d, c98_a1d);
  BrzBinaryFuncConstR_3_3_1_s3_Add_s5_false__m3m I13 (c92_r, c92_a0d, c92_a1d, c91_r, c91_a0d, c91_a1d);
  BrzSequence_7_s6_SSSSSS I14 (activate_0r, activate_0a, c90_r, c90_a, c83_r, c83_a, c70_r, c70_a, c71_r, c71_a, c48_r, c48_a, c45_r, c45_a, c40_r, c40_a);
  BrzConcur_4 I15 (c90_r, c90_a, c89_r, c89_a, c88_r, c88_a, c87_r, c87_a, c85_r, c85_a);
  BrzDecisionWait_1 I16 (c87_r, c87_a, mon1__ready_0r, mon1__ready_0a, c86_r, c86_a);
  BrzContinue I17 (c86_r, c86_a);
  BrzDecisionWait_1 I18 (c85_r, c85_a, mon2__ready_0r, mon2__ready_0a, c84_r, c84_a);
  BrzContinue I19 (c84_r, c84_a);
  BrzWhile I20 (c83_r, c83_a, c82_r, c82_a0d, c82_a1d, c78_r, c78_a);
  BrzUnaryFunc_1_1_s6_Invert_s5_false I21 (c82_r, c82_a0d, c82_a1d, c81_r, c81_a0d, c81_a1d);
  BrzBinaryFunc_1_1_1_s2_Or_s5_false_s5_fals_m1m I22 (c81_r, c81_a0d, c81_a1d, c80_r, c80_a0d, c80_a1d, c79_r, c79_a0d, c79_a1d);
  BrzConcur_2 I23 (c78_r, c78_a, c77_r, c77_a, c75_r, c75_a);
  BrzFetch_1_s5_false I24 (c77_r, c77_a, vok1_0r, vok1_0a0d, vok1_0a1d, c76_r0d, c76_r1d, c76_a);
  BrzFetch_1_s5_false I25 (c75_r, c75_a, vok2_0r, vok2_0a0d, vok2_0a1d, c74_r0d, c74_r1d, c74_a);
  BrzCase_1_1_s1_1 I26 (c69_r0d, c69_r1d, c69_a, c68_r, c68_a);
  BrzFetch_1_s5_false I27 (c70_r, c70_a, c67_r, c67_a0d, c67_a1d, c72_r0d, c72_r1d, c72_a);
  BrzFetch_1_s5_false I28 (c71_r, c71_a, c73_r, c73_a0d, c73_a1d, c69_r0d, c69_r1d, c69_a);
  BrzVariable_1_1_s0_ I29 (c72_r0d, c72_r1d, c72_a, c73_r, c73_a0d, c73_a1d);
  BrzBar_2 I30 (c67_r, c67_a0d, c67_a1d, c68_r, c68_a, c57_r, c57_a0d, c57_a1d, c66_r, c66_a0d, c66_a1d, c56_r, c56_a, c65_r, c65_a);
  BrzSequence_2_s1_S I31 (c65_r, c65_a, c64_r, c64_a, c59_r, c59_a);
  BrzConcur_2 I32 (c64_r, c64_a, c63_r, c63_a, c61_r, c61_a);
  BrzFetch_1_s5_false I33 (c63_r, c63_a, c62_r, c62_a0d, c62_a1d, ref1__enable_0r0d, ref1__enable_0r1d, ref1__enable_0a);
  BrzConstant_1_1 I34 (c62_r, c62_a0d, c62_a1d);
  BrzDecisionWait_1 I35 (c61_r, c61_a, ref1__ready_0r, ref1__ready_0a, c60_r, c60_a);
  BrzContinue I36 (c60_r, c60_a);
  BrzFetch_1_s5_false I37 (c59_r, c59_a, c58_r, c58_a0d, c58_a1d, vreg1__enable_0r0d, vreg1__enable_0r1d, vreg1__enable_0a);
  BrzConstant_1_1 I38 (c58_r, c58_a0d, c58_a1d);
  BrzSequence_2_s1_S I39 (c56_r, c56_a, c55_r, c55_a, c50_r, c50_a);
  BrzConcur_2 I40 (c55_r, c55_a, c54_r, c54_a, c52_r, c52_a);
  BrzFetch_1_s5_false I41 (c54_r, c54_a, c53_r, c53_a0d, c53_a1d, ref2__enable_0r0d, ref2__enable_0r1d, ref2__enable_0a);
  BrzConstant_1_1 I42 (c53_r, c53_a0d, c53_a1d);
  BrzDecisionWait_1 I43 (c52_r, c52_a, ref2__ready_0r, ref2__ready_0a, c51_r, c51_a);
  BrzContinue I44 (c51_r, c51_a);
  BrzFetch_1_s5_false I45 (c50_r, c50_a, c49_r, c49_a0d, c49_a1d, vreg2__enable_0r0d, vreg2__enable_0r1d, vreg2__enable_0a);
  BrzConstant_1_1 I46 (c49_r, c49_a0d, c49_a1d);
  BrzConcur_2 I47 (c48_r, c48_a, c47_r, c47_a, c46_r, c46_a);
  BrzConcur_2 I48 (c45_r, c45_a, c44_r, c44_a, c42_r, c42_a);
  BrzFetch_1_s5_false I49 (c44_r, c44_a, c43_r, c43_a0d, c43_a1d, mon3__enable_0r0d, mon3__enable_0r1d, mon3__enable_0a);
  BrzConstant_1_1 I50 (c43_r, c43_a0d, c43_a1d);
  BrzDecisionWait_1 I51 (c42_r, c42_a, mon3__ready_0r, mon3__ready_0a, c41_r, c41_a);
  BrzContinue I52 (c41_r, c41_a);
  BrzWhile I53 (c40_r, c40_a, c39_r, c39_a0d, c39_a1d, c33_r, c33_a);
  BrzUnaryFunc_1_1_s6_Invert_s5_false I54 (c39_r, c39_a0d, c39_a1d, c38_r, c38_a0d, c38_a1d);
  BrzCase_1_1_s1_1 I55 (c32_r0d, c32_r1d, c32_a, c31_r, c31_a);
  BrzSequence_6_s5_SSSSS I56 (c33_r, c33_a, c34_r, c34_a, c35_r, c35_a, c23_r, c23_a, c102_r, c102_a, c103_r, c103_a, c21_r, c21_a);
  BrzFetch_1_s5_false I57 (c34_r, c34_a, c30_r, c30_a0d, c30_a1d, c36_r0d, c36_r1d, c36_a);
  BrzFetch_1_s5_false I58 (c35_r, c35_a, c37_r, c37_a0d, c37_a1d, c32_r0d, c32_r1d, c32_a);
  BrzVariable_1_1_s0_ I59 (c36_r0d, c36_r1d, c36_a, c37_r, c37_a0d, c37_a1d);
  BrzBar_2 I60 (c30_r, c30_a0d, c30_a1d, c31_r, c31_a, c26_r, c26_a0d, c26_a1d, c29_r, c29_a0d, c29_a1d, c25_r, c25_a, c28_r, c28_a);
  BrzDecisionWait_1 I61 (c28_r, c28_a, vreg1__ready_0r, vreg1__ready_0a, c27_r, c27_a);
  BrzContinue I62 (c27_r, c27_a);
  BrzDecisionWait_1 I63 (c25_r, c25_a, vreg2__ready_0r, vreg2__ready_0a, c24_r, c24_a);
  BrzContinue I64 (c24_r, c24_a);
  BrzFetch_1_s5_false I65 (c23_r, c23_a, vok3_0r, vok3_0a0d, vok3_0a1d, c22_r0d, c22_r1d, c22_a);
  BrzFetch_3_s5_false I66 (c21_r, c21_a, c20_r, c20_a0d, c20_a1d, selvdd_0r0d, selvdd_0r1d, selvdd_0a);
  BrzEncode_1_2_s5_1_3b0 I67 (c89_r, c89_a, c47_r, c47_a, mon1__enable_0r0d, mon1__enable_0r1d, mon1__enable_0a);
  BrzEncode_1_2_s5_1_3b0 I68 (c88_r, c88_a, c46_r, c46_a, mon2__enable_0r0d, mon2__enable_0r1d, mon2__enable_0a);
endmodule

