/*
    `impl-startup_simple2-simple2.v'
    Balsa Verilog netlist file
    Created: Fri Aug 12 00:27:57 CEST 2011
    By: sveinryp@rapekatt (Linux)
    With net-verilog (balsa-netlist) version: 4.0
    Using technology: ndc35900/dual_b
    Command line : (balsa-netlist --technology ndc35900/dual_b/ -I . -l impl-startup_simple2-simple2.lst -L impl-startup_simple2-simple2.log --simulation-initialise --basename impl-startup_simple2-simple2 [startup_simple2])

    Using `simulation-initialise'
    You must set the following preprocessor directives to use this file:
        balsa_simulate: set if you wish to initialise signal values during sim.
        balsa_init_time: duration of forced initialisation

    Using `propagate-globals'
    The design contains no global nets
*/

`timescale 1ns/1ps

module mutex (
  inA,
  inB,
  outA,
  outB
);
  input inA;
  input inB;
  output outA;
  output outB;
  wire [1:0] internals_0n;
  NOR3_A I0 (outB, internals_0n[1], internals_0n[1], internals_0n[1]);
  NOR3_A I1 (outA, internals_0n[0], internals_0n[0], internals_0n[0]);
  NAND2_A I2 (internals_0n[1], inB, internals_0n[0]);
  NAND2_A I3 (internals_0n[0], inA, internals_0n[1]);
endmodule

module BrzArbiter (
  inpA_0r, inpA_0a,
  inpB_0r, inpB_0a,
  outA_0r, outA_0a,
  outB_0r, outB_0a
);
  input inpA_0r;
  output inpA_0a;
  input inpB_0r;
  output inpB_0a;
  output outA_0r;
  input outA_0a;
  output outB_0r;
  input outB_0a;
  wire moA_0n;
  wire moB_0n;
  wire notAa_0n;
  wire notBa_0n;
  AND2_A I0 (outB_0r, moB_0n, notAa_0n);
  AND2_A I1 (outA_0r, moA_0n, notBa_0n);
  INV_A I2 (notBa_0n, outB_0a);
  INV_A I3 (notAa_0n, outA_0a);
  mutex I4 (inpA_0r, inpB_0r, moA_0n, moB_0n);
  assign inpA_0a = outA_0a;
  assign inpB_0a = outB_0a;
endmodule

module c2 (
  q,
  i0,
  i1
);
  output q;
  input i0;
  input i1;
  AO222_A I0 (q, i0, i1, i0, q, i1, q);
endmodule

module dr_latch (
  in_0,
  in_1,
  in_a,
  out_0,
  out_1
);
  input in_0;
  input in_1;
  output in_a;
  output out_0;
  output out_1;

`ifdef balsa_simulate
  initial begin
    force out_0 = 1;
    #`balsa_init_time;
    release out_0;
    if (out_0 !== 1)
        $display ("module %m: signal out_0 not correctly initialised");
  end
`endif

  AO22_A I0 (in_a, in_0, out_0, in_1, out_1);
  NOR2_A I1 (out_0, in_1, out_1);
  NOR2_A I2 (out_1, in_0, out_0);
endmodule

module BrzBar_2 (
  guard_0r, guard_0a0d, guard_0a1d,
  activate_0r, activate_0a,
  guardInput_0r, guardInput_0a0d, guardInput_0a1d,
  guardInput_1r, guardInput_1a0d, guardInput_1a1d,
  activateOut_0r, activateOut_0a,
  activateOut_1r, activateOut_1a
);
  input guard_0r;
  output guard_0a0d;
  output guard_0a1d;
  input activate_0r;
  output activate_0a;
  output guardInput_0r;
  input guardInput_0a0d;
  input guardInput_0a1d;
  output guardInput_1r;
  input guardInput_1a0d;
  input guardInput_1a1d;
  output activateOut_0r;
  input activateOut_0a;
  output activateOut_1r;
  input activateOut_1a;
  wire [2:0] bypass_0n;
  wire [1:0] guardChoiceT_0n;
  wire [1:0] guardChoiceF_0n;
  wire gInput1_0n;
  wire gInput0_0n;
  wire [1:0] cdi_0n;
  wire cd_0n;
  assign guardInput_0r = guard_0r;
  assign guardInput_1r = guard_0r;
  OR3_A I2 (activate_0a, activateOut_0a, activateOut_1a, bypass_0n[2]);
  assign bypass_0n[0] = activate_0r;
  AND2_A I4 (activateOut_0r, bypass_0n[0], guardChoiceT_0n[0]);
  AND2_A I5 (activateOut_1r, bypass_0n[1], guardChoiceT_0n[1]);
  AND2_A I6 (bypass_0n[1], bypass_0n[0], guardChoiceF_0n[0]);
  AND2_A I7 (bypass_0n[2], bypass_0n[1], guardChoiceF_0n[1]);
  c2 I8 (cd_0n, cdi_0n[0], cdi_0n[1]);
  dr_latch I9 (guardInput_0a0d, guardInput_0a1d, cdi_0n[0], guardChoiceF_0n[0], guardChoiceT_0n[0]);
  dr_latch I10 (guardInput_1a0d, guardInput_1a1d, cdi_0n[1], guardChoiceF_0n[1], guardChoiceT_0n[1]);
  c2 I11 (guard_0a0d, gInput0_0n, cd_0n);
  AND2_A I12 (gInput0_0n, guardInput_0a0d, guardInput_1a0d);
  c2 I13 (guard_0a1d, gInput1_0n, cd_0n);
  OR2_A I14 (gInput1_0n, guardInput_0a1d, guardInput_1a1d);
endmodule

module dr_or2 (
  i0_0,
  i0_1,
  i1_0,
  i1_1,
  q_0,
  q_1
);
  input i0_0;
  input i0_1;
  input i1_0;
  input i1_1;
  output q_0;
  output q_1;
  wire n0_0n;
  wire n1_0n;
  wire n2_0n;
  c2 I0 (q_0, i0_0, i1_0);
  OR3_A I1 (q_1, n0_0n, n1_0n, n2_0n);
  c2 I2 (n2_0n, i0_1, i1_1);
  c2 I3 (n1_0n, i0_1, i1_0);
  c2 I4 (n0_0n, i0_0, i1_1);
endmodule

module BrzBinaryFuncConstR_1_2_1_s6_Equals_s5_fal_m4m (
  out_0r, out_0a0d, out_0a1d,
  inpA_0r, inpA_0a0d, inpA_0a1d
);
  input out_0r;
  output out_0a0d;
  output out_0a1d;
  output inpA_0r;
  input [1:0] inpA_0a0d;
  input [1:0] inpA_0a1d;
  wire [1:0] compOut1_0n;
  wire [1:0] compOut0_0n;
  wire internalA1_0n;
  wire internalA0_0n;
  assign out_0a0d = internalA1_0n;
  assign out_0a1d = internalA0_0n;
  dr_or2 I2 (compOut0_0n[0], compOut1_0n[0], compOut0_0n[1], compOut1_0n[1], internalA0_0n, internalA1_0n);
  assign compOut0_0n[0] = inpA_0a0d[0];
  assign compOut0_0n[1] = inpA_0a0d[1];
  assign compOut1_0n[0] = inpA_0a1d[0];
  assign compOut1_0n[1] = inpA_0a1d[1];
  assign inpA_0r = out_0r;
endmodule

module BrzBinaryFuncConstR_1_2_1_s6_Equals_s5_fal_m5m (
  out_0r, out_0a0d, out_0a1d,
  inpA_0r, inpA_0a0d, inpA_0a1d
);
  input out_0r;
  output out_0a0d;
  output out_0a1d;
  output inpA_0r;
  input [1:0] inpA_0a0d;
  input [1:0] inpA_0a1d;
  wire [1:0] compOut1_0n;
  wire [1:0] compOut0_0n;
  wire internalA1_0n;
  wire internalA0_0n;
  assign out_0a0d = internalA1_0n;
  assign out_0a1d = internalA0_0n;
  dr_or2 I2 (compOut0_0n[0], compOut1_0n[0], compOut0_0n[1], compOut1_0n[1], internalA0_0n, internalA1_0n);
  assign compOut0_0n[1] = inpA_0a0d[1];
  assign compOut1_0n[1] = inpA_0a1d[1];
  assign compOut1_0n[0] = inpA_0a0d[0];
  assign compOut0_0n[0] = inpA_0a1d[0];
  assign inpA_0r = out_0r;
endmodule

module BrzBinaryFuncConstR_1_2_2_s6_Equals_s5_fal_m6m (
  out_0r, out_0a0d, out_0a1d,
  inpA_0r, inpA_0a0d, inpA_0a1d
);
  input out_0r;
  output out_0a0d;
  output out_0a1d;
  output inpA_0r;
  input [1:0] inpA_0a0d;
  input [1:0] inpA_0a1d;
  wire [1:0] compOut1_0n;
  wire [1:0] compOut0_0n;
  wire internalA1_0n;
  wire internalA0_0n;
  assign out_0a0d = internalA1_0n;
  assign out_0a1d = internalA0_0n;
  dr_or2 I2 (compOut0_0n[0], compOut1_0n[0], compOut0_0n[1], compOut1_0n[1], internalA0_0n, internalA1_0n);
  assign compOut0_0n[0] = inpA_0a0d[0];
  assign compOut1_0n[0] = inpA_0a1d[0];
  assign compOut1_0n[1] = inpA_0a0d[1];
  assign compOut0_0n[1] = inpA_0a1d[1];
  assign inpA_0r = out_0r;
endmodule

module c3 (
  q,
  i0,
  i1,
  i2
);
  output q;
  input i0;
  input i1;
  input i2;
  wire qint_0n;
  c2 I0 (q, i2, qint_0n);
  c2 I1 (qint_0n, i0, i1);
endmodule

module dr_ao21 (
  a0,
  a1,
  b0,
  b1,
  c0,
  c1,
  q0,
  q1
);
  input a0;
  input a1;
  input b0;
  input b1;
  input c0;
  input c1;
  output q0;
  output q1;
  wire [1:0] internal_0n;
  wire [7:0] minterm_0n;
  c3 I0 (minterm_0n[0], a0, b0, c0);
  c3 I1 (minterm_0n[1], a0, b0, c1);
  c3 I2 (minterm_0n[2], a0, b1, c0);
  c3 I3 (minterm_0n[3], a0, b1, c1);
  c3 I4 (minterm_0n[4], a1, b0, c0);
  c3 I5 (minterm_0n[5], a1, b0, c1);
  c3 I6 (minterm_0n[6], a1, b1, c0);
  c3 I7 (minterm_0n[7], a1, b1, c1);
  OR3_A I8 (q0, minterm_0n[0], minterm_0n[2], minterm_0n[4]);
  NAND2_A I9 (q1, internal_0n[0], internal_0n[1]);
  NOR2_A I10 (internal_0n[1], minterm_0n[6], minterm_0n[7]);
  NOR3_A I11 (internal_0n[0], minterm_0n[1], minterm_0n[3], minterm_0n[5]);
endmodule

module dr_and2 (
  i0_0,
  i0_1,
  i1_0,
  i1_1,
  q_0,
  q_1
);
  input i0_0;
  input i0_1;
  input i1_0;
  input i1_1;
  output q_0;
  output q_1;
  wire n0_0n;
  wire n1_0n;
  wire n2_0n;
  OR3_A I0 (q_0, n0_0n, n1_0n, n2_0n);
  c2 I1 (n0_0n, i0_0, i1_0);
  c2 I2 (n1_0n, i0_0, i1_1);
  c2 I3 (n2_0n, i0_1, i1_0);
  c2 I4 (q_1, i0_1, i1_1);
endmodule

module dr_ineq_comp (
  i0_0,
  i0_1,
  i1_0,
  i1_1,
  i2_0,
  i2_1,
  i3_0,
  i3_1,
  q0_0,
  q0_1,
  q1_0,
  q1_1
);
  input i0_0;
  input i0_1;
  input i1_0;
  input i1_1;
  input i2_0;
  input i2_1;
  input i3_0;
  input i3_1;
  output q0_0;
  output q0_1;
  output q1_0;
  output q1_1;
  dr_ao21 I0 (i2_0, i2_1, i1_0, i1_1, i0_0, i0_1, q0_0, q0_1);
  dr_and2 I1 (i1_0, i1_1, i3_0, i3_1, q1_0, q1_1);
endmodule

module BrzBinaryFuncConstR_1_3_3_s8_LessThan_s5_f_m2m (
  out_0r, out_0a0d, out_0a1d,
  inpA_0r, inpA_0a0d, inpA_0a1d
);
  input out_0r;
  output out_0a0d;
  output out_0a1d;
  output inpA_0r;
  input [2:0] inpA_0a0d;
  input [2:0] inpA_0a1d;
  wire [2:0] a1_0n;
  wire [2:0] a0_0n;
  wire [2:0] compOut1_0n;
  wire [2:0] compOut0_0n;
  wire [1:0] c1_0n;
  wire [1:0] c0_0n;
  wire [1:0] internalA1_0n;
  wire [1:0] internalA0_0n;
  wire [1:0] internalB1_0n;
  wire [1:0] internalB0_0n;
  assign out_0a1d = internalA1_0n[0];
  assign out_0a0d = internalA0_0n[0];
  dr_ineq_comp I2 (compOut0_0n[2], compOut1_0n[2], c0_0n[1], c1_0n[1], compOut0_0n[1], compOut1_0n[1], c0_0n[0], c1_0n[0], internalA0_0n[1], internalA1_0n[1], internalB0_0n[0], internalB1_0n[0]);
  dr_ao21 I3 (compOut0_0n[0], compOut1_0n[0], internalB0_0n[0], internalB1_0n[0], internalA0_0n[1], internalA1_0n[1], internalA0_0n[0], internalA1_0n[0]);
  assign c0_0n[1] = a1_0n[2];
  assign c1_0n[1] = a0_0n[2];
  assign compOut1_0n[2] = a1_0n[2];
  assign compOut0_0n[2] = a0_0n[2];
  assign c0_0n[0] = a1_0n[1];
  assign c1_0n[0] = a0_0n[1];
  assign compOut1_0n[1] = a1_0n[1];
  assign compOut0_0n[1] = a0_0n[1];
  assign compOut1_0n[0] = a1_0n[0];
  assign compOut0_0n[0] = a0_0n[0];
  assign a1_0n[0] = inpA_0a0d[0];
  assign a1_0n[1] = inpA_0a0d[1];
  assign a1_0n[2] = inpA_0a0d[2];
  assign a0_0n[0] = inpA_0a1d[0];
  assign a0_0n[1] = inpA_0a1d[1];
  assign a0_0n[2] = inpA_0a1d[2];
  assign inpA_0r = out_0r;
endmodule

module ao21 (
  q,
  i0,
  i1,
  i2
);
  output q;
  input i0;
  input i1;
  input i2;
  wire int_0n;
  OR2_A I0 (q, int_0n, i2);
  AND2_A I1 (int_0n, i0, i1);
endmodule

module dr_fa_p (
  a_0,
  a_1,
  b_0,
  b_1,
  co_0,
  co_1,
  sum_0,
  sum_1
);
  input a_0;
  input a_1;
  input b_0;
  input b_1;
  output co_0;
  output co_1;
  output sum_0;
  output sum_1;
  wire n0_0n;
  wire n1_0n;
  wire n2_0n;
  wire n3_0n;
  AND2_A I0 (co_0, a_0, b_0);
  ao21 I1 (co_1, a_0, b_1, a_1);
  OR2_A I2 (sum_0, n1_0n, n2_0n);
  OR2_A I3 (sum_1, n0_0n, n3_0n);
  c2 I4 (n3_0n, a_1, b_1);
  c2 I5 (n2_0n, a_1, b_0);
  c2 I6 (n1_0n, a_0, b_1);
  c2 I7 (n0_0n, a_0, b_0);
endmodule

module dr_ha (
  a_0,
  a_1,
  b_0,
  b_1,
  co_0,
  co_1,
  sum_0,
  sum_1
);
  input a_0;
  input a_1;
  input b_0;
  input b_1;
  output co_0;
  output co_1;
  output sum_0;
  output sum_1;
  wire n0_0n;
  wire n1_0n;
  wire n2_0n;
  wire n3_0n;
  AND2_A I0 (co_1, a_1, b_1);
  ao21 I1 (co_0, a_1, b_0, a_0);
  OR2_A I2 (sum_1, n1_0n, n2_0n);
  OR2_A I3 (sum_0, n0_0n, n3_0n);
  c2 I4 (n3_0n, a_1, b_1);
  c2 I5 (n2_0n, a_1, b_0);
  c2 I6 (n1_0n, a_0, b_1);
  c2 I7 (n0_0n, a_0, b_0);
endmodule

module dr_xor2 (
  i0_0,
  i0_1,
  i1_0,
  i1_1,
  q_0,
  q_1
);
  input i0_0;
  input i0_1;
  input i1_0;
  input i1_1;
  output q_0;
  output q_1;
  wire n0_0n;
  wire n1_0n;
  wire n2_0n;
  wire n3_0n;
  OR2_A I0 (q_0, n0_0n, n3_0n);
  c2 I1 (n3_0n, i0_1, i1_1);
  c2 I2 (n0_0n, i0_0, i1_0);
  OR2_A I3 (q_1, n1_0n, n2_0n);
  c2 I4 (n1_0n, i0_0, i1_1);
  c2 I5 (n2_0n, i0_1, i1_0);
endmodule

module BrzBinaryFuncConstR_3_3_1_s3_Add_s5_false__m3m (
  out_0r, out_0a0d, out_0a1d,
  inpA_0r, inpA_0a0d, inpA_0a1d
);
  input out_0r;
  output [2:0] out_0a0d;
  output [2:0] out_0a1d;
  output inpA_0r;
  input [2:0] inpA_0a0d;
  input [2:0] inpA_0a1d;
  wire [2:0] a1_0n;
  wire [2:0] a0_0n;
  wire [2:0] c1_0n;
  wire [2:0] c0_0n;
  supply0 gnd;
  assign c0_0n[0] = out_0r;
  assign c1_0n[0] = gnd;
  dr_xor2 I2 (a0_0n[2], a1_0n[2], c0_0n[2], c1_0n[2], out_0a0d[2], out_0a1d[2]);
  dr_ha I3 (a0_0n[1], a1_0n[1], c0_0n[1], c1_0n[1], c0_0n[2], c1_0n[2], out_0a0d[1], out_0a1d[1]);
  dr_fa_p I4 (a0_0n[0], a1_0n[0], c0_0n[0], c1_0n[0], c0_0n[1], c1_0n[1], out_0a0d[0], out_0a1d[0]);
  assign a0_0n[0] = inpA_0a0d[0];
  assign a0_0n[1] = inpA_0a0d[1];
  assign a0_0n[2] = inpA_0a0d[2];
  assign a1_0n[0] = inpA_0a1d[0];
  assign a1_0n[1] = inpA_0a1d[1];
  assign a1_0n[2] = inpA_0a1d[2];
  assign inpA_0r = out_0r;
endmodule

module BrzCase_1_1_s1_1 (
  inp_0r0d, inp_0r1d, inp_0a,
  activateOut_0r, activateOut_0a
);
  input inp_0r0d;
  input inp_0r1d;
  output inp_0a;
  output activateOut_0r;
  input activateOut_0a;
  wire elseAck_0n;
  wire inpComplete_0n;
  wire inpDone_0n;
  wire outDone_0n;
  wire [1:0] int0_0n;
  c2 I0 (inp_0a, outDone_0n, inpDone_0n);
  OR2_A I1 (outDone_0n, activateOut_0a, elseAck_0n);
  assign int0_0n[0] = inp_0r0d;
  assign int0_0n[1] = inp_0r1d;
  assign elseAck_0n = int0_0n[0];
  assign activateOut_0r = int0_0n[1];
  assign inpDone_0n = inpComplete_0n;
  OR2_A I7 (inpComplete_0n, inp_0r0d, inp_0r1d);
endmodule

module acu0d1 (
  q,
  i0,
  i1
);
  output q;
  input i0;
  input i1;
  wire int_0n;
  OR2_A I0 (q, i0, int_0n);
  AND2_A I1 (int_0n, i1, q);
endmodule

module telem (
  Ar,
  Aa,
  Br,
  Ba
);
  input Ar;
  output Aa;
  output Br;
  input Ba;
  wire s_0n;
  acu0d1 I0 (Aa, Ba, Ar);
  INV_A I1 (s_0n, Aa);
  AND2_A I2 (Br, Ar, s_0n);
endmodule

module BrzConcur_2 (
  activate_0r, activate_0a,
  activateOut_0r, activateOut_0a,
  activateOut_1r, activateOut_1a
);
  input activate_0r;
  output activate_0a;
  output activateOut_0r;
  input activateOut_0a;
  output activateOut_1r;
  input activateOut_1a;
  wire [1:0] acks_0n;
  c2 I0 (activate_0a, acks_0n[0], acks_0n[1]);
  telem I1 (activate_0r, acks_0n[0], activateOut_0r, activateOut_0a);
  telem I2 (activate_0r, acks_0n[1], activateOut_1r, activateOut_1a);
endmodule

module BrzConcur_4 (
  activate_0r, activate_0a,
  activateOut_0r, activateOut_0a,
  activateOut_1r, activateOut_1a,
  activateOut_2r, activateOut_2a,
  activateOut_3r, activateOut_3a
);
  input activate_0r;
  output activate_0a;
  output activateOut_0r;
  input activateOut_0a;
  output activateOut_1r;
  input activateOut_1a;
  output activateOut_2r;
  input activateOut_2a;
  output activateOut_3r;
  input activateOut_3a;
  wire [1:0] internal_0n;
  wire [3:0] acks_0n;
  c2 I0 (internal_0n[0], acks_0n[0], acks_0n[1]);
  c2 I1 (internal_0n[1], acks_0n[2], acks_0n[3]);
  c2 I2 (activate_0a, internal_0n[0], internal_0n[1]);
  telem I3 (activate_0r, acks_0n[0], activateOut_0r, activateOut_0a);
  telem I4 (activate_0r, acks_0n[1], activateOut_1r, activateOut_1a);
  telem I5 (activate_0r, acks_0n[2], activateOut_2r, activateOut_2a);
  telem I6 (activate_0r, acks_0n[3], activateOut_3r, activateOut_3a);
endmodule

module BrzConstant_1_1 (
  out_0r, out_0a0d, out_0a1d
);
  input out_0r;
  output out_0a0d;
  output out_0a1d;
  wire reqOut_0n;
  supply0 gnd;
  assign out_0a0d = gnd;
  assign out_0a1d = out_0r;
endmodule

module BrzContinue (
  inp_0r, inp_0a
);
  input inp_0r;
  output inp_0a;
  assign inp_0a = inp_0r;
endmodule

module BrzDecisionWait_1 (
  activate_0r, activate_0a,
  inp_0r, inp_0a,
  out_0r, out_0a
);
  input activate_0r;
  output activate_0a;
  input inp_0r;
  output inp_0a;
  output out_0r;
  input out_0a;
  assign activate_0a = out_0a;
  c2 I1 (out_0r, inp_0r, activate_0r);
  assign inp_0a = out_0a;
endmodule

module BrzDecisionWait_2 (
  activate_0r, activate_0a,
  inp_0r, inp_0a,
  inp_1r, inp_1a,
  out_0r, out_0a,
  out_1r, out_1a
);
  input activate_0r;
  output activate_0a;
  input inp_0r;
  output inp_0a;
  input inp_1r;
  output inp_1a;
  output out_0r;
  input out_0a;
  output out_1r;
  input out_1a;
  OR2_A I0 (activate_0a, out_0a, out_1a);
  c2 I1 (out_0r, inp_0r, activate_0r);
  c2 I2 (out_1r, inp_1r, activate_0r);
  assign inp_0a = out_0a;
  assign inp_1a = out_1a;
endmodule

module BrzEncode_1_2_s5_1_3b0 (
  inp_0r, inp_0a,
  inp_1r, inp_1a,
  out_0r0d, out_0r1d, out_0a
);
  input inp_0r;
  output inp_0a;
  input inp_1r;
  output inp_1a;
  output out_0r0d;
  output out_0r1d;
  input out_0a;
  wire [1:0] data_0n;
  wire int1_0n;
  wire int0_0n;
  c2 I0 (inp_0a, data_0n[0], out_0a);
  c2 I1 (inp_1a, data_0n[1], out_0a);
  assign int1_0n = data_0n[1];
  assign out_0r0d = int1_0n;
  assign int0_0n = data_0n[0];
  assign out_0r1d = int0_0n;
  assign data_0n[0] = inp_0r;
  assign data_0n[1] = inp_1r;
endmodule

module BrzEncode_2_2_s5_2_3b1 (
  inp_0r, inp_0a,
  inp_1r, inp_1a,
  out_0r0d, out_0r1d, out_0a
);
  input inp_0r;
  output inp_0a;
  input inp_1r;
  output inp_1a;
  output [1:0] out_0r0d;
  output [1:0] out_0r1d;
  input out_0a;
  wire [1:0] data_0n;
  wire [1:0] int1_0n;
  wire [1:0] int0_0n;
  c2 I0 (inp_0a, data_0n[0], out_0a);
  c2 I1 (inp_1a, data_0n[1], out_0a);
  assign int1_0n[0] = data_0n[1];
  assign int1_0n[1] = data_0n[0];
  assign out_0r0d[1] = int1_0n[0];
  assign out_0r0d[0] = int1_0n[1];
  assign int0_0n[0] = data_0n[0];
  assign int0_0n[1] = data_0n[1];
  assign out_0r1d[1] = int0_0n[0];
  assign out_0r1d[0] = int0_0n[1];
  assign data_0n[0] = inp_0r;
  assign data_0n[1] = inp_1r;
endmodule

module BrzFetch_1_s5_false (
  activate_0r, activate_0a,
  inp_0r, inp_0a0d, inp_0a1d,
  out_0r0d, out_0r1d, out_0a
);
  input activate_0r;
  output activate_0a;
  output inp_0r;
  input inp_0a0d;
  input inp_0a1d;
  output out_0r0d;
  output out_0r1d;
  input out_0a;
  assign inp_0r = activate_0r;
  assign out_0r0d = inp_0a0d;
  assign out_0r1d = inp_0a1d;
  assign activate_0a = out_0a;
endmodule

module BrzFetch_3_s5_false (
  activate_0r, activate_0a,
  inp_0r, inp_0a0d, inp_0a1d,
  out_0r0d, out_0r1d, out_0a
);
  input activate_0r;
  output activate_0a;
  output inp_0r;
  input [2:0] inp_0a0d;
  input [2:0] inp_0a1d;
  output [2:0] out_0r0d;
  output [2:0] out_0r1d;
  input out_0a;
  assign inp_0r = activate_0r;
  assign out_0r0d[0] = inp_0a0d[0];
  assign out_0r0d[1] = inp_0a0d[1];
  assign out_0r0d[2] = inp_0a0d[2];
  assign out_0r1d[0] = inp_0a1d[0];
  assign out_0r1d[1] = inp_0a1d[1];
  assign out_0r1d[2] = inp_0a1d[2];
  assign activate_0a = out_0a;
endmodule

module nc2p (
  q,
  i0,
  i1
);
  output q;
  input i0;
  input i1;
  wire nq_0n;
  AOI22_A I0 (q, i0, i1, i0, nq_0n);
  INV_A I1 (nq_0n, q);
endmodule

module selem (
  Ar,
  Aa,
  Br,
  Ba
);
  input Ar;
  output Aa;
  output Br;
  input Ba;
  wire s_0n;
  nc2p I0 (s_0n, Ar, Ba);
  NOR2_A I1 (Aa, Ba, s_0n);
  AND2_A I2 (Br, Ar, s_0n);
endmodule

module BrzSequence_2_s1_S (
  activate_0r, activate_0a,
  activateOut_0r, activateOut_0a,
  activateOut_1r, activateOut_1a
);
  input activate_0r;
  output activate_0a;
  output activateOut_0r;
  input activateOut_0a;
  output activateOut_1r;
  input activateOut_1a;
  wire [1:0] sreq_0n;
  assign activate_0a = activateOut_1a;
  assign activateOut_1r = sreq_0n[1];
  assign sreq_0n[0] = activate_0r;
  selem I3 (sreq_0n[0], sreq_0n[1], activateOut_0r, activateOut_0a);
endmodule

module BrzSequence_6_s5_SSSSS (
  activate_0r, activate_0a,
  activateOut_0r, activateOut_0a,
  activateOut_1r, activateOut_1a,
  activateOut_2r, activateOut_2a,
  activateOut_3r, activateOut_3a,
  activateOut_4r, activateOut_4a,
  activateOut_5r, activateOut_5a
);
  input activate_0r;
  output activate_0a;
  output activateOut_0r;
  input activateOut_0a;
  output activateOut_1r;
  input activateOut_1a;
  output activateOut_2r;
  input activateOut_2a;
  output activateOut_3r;
  input activateOut_3a;
  output activateOut_4r;
  input activateOut_4a;
  output activateOut_5r;
  input activateOut_5a;
  wire [5:0] sreq_0n;
  assign activate_0a = activateOut_5a;
  assign activateOut_5r = sreq_0n[5];
  assign sreq_0n[0] = activate_0r;
  selem I3 (sreq_0n[4], sreq_0n[5], activateOut_4r, activateOut_4a);
  selem I4 (sreq_0n[3], sreq_0n[4], activateOut_3r, activateOut_3a);
  selem I5 (sreq_0n[2], sreq_0n[3], activateOut_2r, activateOut_2a);
  selem I6 (sreq_0n[1], sreq_0n[2], activateOut_1r, activateOut_1a);
  selem I7 (sreq_0n[0], sreq_0n[1], activateOut_0r, activateOut_0a);
endmodule

module BrzSequence_7_s6_SSSSSS (
  activate_0r, activate_0a,
  activateOut_0r, activateOut_0a,
  activateOut_1r, activateOut_1a,
  activateOut_2r, activateOut_2a,
  activateOut_3r, activateOut_3a,
  activateOut_4r, activateOut_4a,
  activateOut_5r, activateOut_5a,
  activateOut_6r, activateOut_6a
);
  input activate_0r;
  output activate_0a;
  output activateOut_0r;
  input activateOut_0a;
  output activateOut_1r;
  input activateOut_1a;
  output activateOut_2r;
  input activateOut_2a;
  output activateOut_3r;
  input activateOut_3a;
  output activateOut_4r;
  input activateOut_4a;
  output activateOut_5r;
  input activateOut_5a;
  output activateOut_6r;
  input activateOut_6a;
  wire [6:0] sreq_0n;
  assign activate_0a = activateOut_6a;
  assign activateOut_6r = sreq_0n[6];
  assign sreq_0n[0] = activate_0r;
  selem I3 (sreq_0n[5], sreq_0n[6], activateOut_5r, activateOut_5a);
  selem I4 (sreq_0n[4], sreq_0n[5], activateOut_4r, activateOut_4a);
  selem I5 (sreq_0n[3], sreq_0n[4], activateOut_3r, activateOut_3a);
  selem I6 (sreq_0n[2], sreq_0n[3], activateOut_2r, activateOut_2a);
  selem I7 (sreq_0n[1], sreq_0n[2], activateOut_1r, activateOut_1a);
  selem I8 (sreq_0n[0], sreq_0n[1], activateOut_0r, activateOut_0a);
endmodule

module BrzUnaryFunc_1_1_s6_Invert_s5_false (
  out_0r, out_0a0d, out_0a1d,
  inp_0r, inp_0a0d, inp_0a1d
);
  input out_0r;
  output out_0a0d;
  output out_0a1d;
  output inp_0r;
  input inp_0a0d;
  input inp_0a1d;
  wire [1:0] c1_0n;
  wire [1:0] c0_0n;
  wire s1_0n;
  wire s0_0n;
  assign out_0a0d = inp_0a1d;
  assign out_0a1d = inp_0a0d;
  assign inp_0r = out_0r;
endmodule

module BrzVariable_1_1_s0_ (
  write_0r0d, write_0r1d, write_0a,
  read_0r, read_0a0d, read_0a1d
);
  input write_0r0d;
  input write_0r1d;
  output write_0a;
  input read_0r;
  output read_0a0d;
  output read_0a1d;
  wire store_0n;
  wire store_1n;
  wire ldata_0n;
  wire ldata_1n;
  wire wack_0n;
  wire readReq_0n;
  AND2_A I0 (read_0a1d, store_1n, readReq_0n);
  AND2_A I1 (read_0a0d, store_0n, readReq_0n);
  assign readReq_0n = read_0r;
  assign store_0n = ldata_0n;
  assign store_1n = ldata_1n;
  assign write_0a = wack_0n;
  dr_latch I6 (write_0r0d, write_0r1d, wack_0n, ldata_0n, ldata_1n);
endmodule

module BrzVariable_2_6_s0_ (
  write_0r0d, write_0r1d, write_0a,
  read_0r, read_0a0d, read_0a1d,
  read_1r, read_1a0d, read_1a1d,
  read_2r, read_2a0d, read_2a1d,
  read_3r, read_3a0d, read_3a1d,
  read_4r, read_4a0d, read_4a1d,
  read_5r, read_5a0d, read_5a1d
);
  input [1:0] write_0r0d;
  input [1:0] write_0r1d;
  output write_0a;
  input read_0r;
  output [1:0] read_0a0d;
  output [1:0] read_0a1d;
  input read_1r;
  output [1:0] read_1a0d;
  output [1:0] read_1a1d;
  input read_2r;
  output [1:0] read_2a0d;
  output [1:0] read_2a1d;
  input read_3r;
  output [1:0] read_3a0d;
  output [1:0] read_3a1d;
  input read_4r;
  output [1:0] read_4a0d;
  output [1:0] read_4a1d;
  input read_5r;
  output [1:0] read_5a0d;
  output [1:0] read_5a1d;
  wire [1:0] store_0n;
  wire [1:0] store_1n;
  wire [1:0] ldata_0n;
  wire [1:0] ldata_1n;
  wire [1:0] wack_0n;
  wire readReq_0n;
  wire readReq_1n;
  wire readReq_2n;
  wire readReq_3n;
  wire readReq_4n;
  wire readReq_5n;
  AND2_A I0 (read_5a1d[0], store_1n[0], readReq_5n);
  AND2_A I1 (read_5a1d[1], store_1n[1], readReq_5n);
  AND2_A I2 (read_5a0d[0], store_0n[0], readReq_5n);
  AND2_A I3 (read_5a0d[1], store_0n[1], readReq_5n);
  AND2_A I4 (read_4a1d[0], store_1n[0], readReq_4n);
  AND2_A I5 (read_4a1d[1], store_1n[1], readReq_4n);
  AND2_A I6 (read_4a0d[0], store_0n[0], readReq_4n);
  AND2_A I7 (read_4a0d[1], store_0n[1], readReq_4n);
  AND2_A I8 (read_3a1d[0], store_1n[0], readReq_3n);
  AND2_A I9 (read_3a1d[1], store_1n[1], readReq_3n);
  AND2_A I10 (read_3a0d[0], store_0n[0], readReq_3n);
  AND2_A I11 (read_3a0d[1], store_0n[1], readReq_3n);
  AND2_A I12 (read_2a1d[0], store_1n[0], readReq_2n);
  AND2_A I13 (read_2a1d[1], store_1n[1], readReq_2n);
  AND2_A I14 (read_2a0d[0], store_0n[0], readReq_2n);
  AND2_A I15 (read_2a0d[1], store_0n[1], readReq_2n);
  AND2_A I16 (read_1a1d[0], store_1n[0], readReq_1n);
  AND2_A I17 (read_1a1d[1], store_1n[1], readReq_1n);
  AND2_A I18 (read_1a0d[0], store_0n[0], readReq_1n);
  AND2_A I19 (read_1a0d[1], store_0n[1], readReq_1n);
  AND2_A I20 (read_0a1d[0], store_1n[0], readReq_0n);
  AND2_A I21 (read_0a1d[1], store_1n[1], readReq_0n);
  AND2_A I22 (read_0a0d[0], store_0n[0], readReq_0n);
  AND2_A I23 (read_0a0d[1], store_0n[1], readReq_0n);
  assign readReq_0n = read_0r;
  assign readReq_1n = read_1r;
  assign readReq_2n = read_2r;
  assign readReq_3n = read_3r;
  assign readReq_4n = read_4r;
  assign readReq_5n = read_5r;
  assign store_0n[0] = ldata_0n[0];
  assign store_0n[1] = ldata_0n[1];
  assign store_1n[0] = ldata_1n[0];
  assign store_1n[1] = ldata_1n[1];
  c2 I34 (write_0a, wack_0n[0], wack_0n[1]);
  dr_latch I35 (write_0r0d[0], write_0r1d[0], wack_0n[0], ldata_0n[0], ldata_1n[0]);
  dr_latch I36 (write_0r0d[1], write_0r1d[1], wack_0n[1], ldata_0n[1], ldata_1n[1]);
endmodule

module BrzVariable_3_1_s0_ (
  write_0r0d, write_0r1d, write_0a,
  read_0r, read_0a0d, read_0a1d
);
  input [2:0] write_0r0d;
  input [2:0] write_0r1d;
  output write_0a;
  input read_0r;
  output [2:0] read_0a0d;
  output [2:0] read_0a1d;
  wire [2:0] store_0n;
  wire [2:0] store_1n;
  wire [2:0] ldata_0n;
  wire [2:0] ldata_1n;
  wire [2:0] wack_0n;
  wire readReq_0n;
  AND2_A I0 (read_0a1d[0], store_1n[0], readReq_0n);
  AND2_A I1 (read_0a1d[1], store_1n[1], readReq_0n);
  AND2_A I2 (read_0a1d[2], store_1n[2], readReq_0n);
  AND2_A I3 (read_0a0d[0], store_0n[0], readReq_0n);
  AND2_A I4 (read_0a0d[1], store_0n[1], readReq_0n);
  AND2_A I5 (read_0a0d[2], store_0n[2], readReq_0n);
  assign readReq_0n = read_0r;
  assign store_0n[0] = ldata_0n[0];
  assign store_0n[1] = ldata_0n[1];
  assign store_0n[2] = ldata_0n[2];
  assign store_1n[0] = ldata_1n[0];
  assign store_1n[1] = ldata_1n[1];
  assign store_1n[2] = ldata_1n[2];
  c3 I13 (write_0a, wack_0n[0], wack_0n[1], wack_0n[2]);
  dr_latch I14 (write_0r0d[0], write_0r1d[0], wack_0n[0], ldata_0n[0], ldata_1n[0]);
  dr_latch I15 (write_0r0d[1], write_0r1d[1], wack_0n[1], ldata_0n[1], ldata_1n[1]);
  dr_latch I16 (write_0r0d[2], write_0r1d[2], wack_0n[2], ldata_0n[2], ldata_1n[2]);
endmodule

module BrzVariable_3_3_s0_ (
  write_0r0d, write_0r1d, write_0a,
  read_0r, read_0a0d, read_0a1d,
  read_1r, read_1a0d, read_1a1d,
  read_2r, read_2a0d, read_2a1d
);
  input [2:0] write_0r0d;
  input [2:0] write_0r1d;
  output write_0a;
  input read_0r;
  output [2:0] read_0a0d;
  output [2:0] read_0a1d;
  input read_1r;
  output [2:0] read_1a0d;
  output [2:0] read_1a1d;
  input read_2r;
  output [2:0] read_2a0d;
  output [2:0] read_2a1d;
  wire [2:0] store_0n;
  wire [2:0] store_1n;
  wire [2:0] ldata_0n;
  wire [2:0] ldata_1n;
  wire [2:0] wack_0n;
  wire readReq_0n;
  wire readReq_1n;
  wire readReq_2n;
  AND2_A I0 (read_2a1d[0], store_1n[0], readReq_2n);
  AND2_A I1 (read_2a1d[1], store_1n[1], readReq_2n);
  AND2_A I2 (read_2a1d[2], store_1n[2], readReq_2n);
  AND2_A I3 (read_2a0d[0], store_0n[0], readReq_2n);
  AND2_A I4 (read_2a0d[1], store_0n[1], readReq_2n);
  AND2_A I5 (read_2a0d[2], store_0n[2], readReq_2n);
  AND2_A I6 (read_1a1d[0], store_1n[0], readReq_1n);
  AND2_A I7 (read_1a1d[1], store_1n[1], readReq_1n);
  AND2_A I8 (read_1a1d[2], store_1n[2], readReq_1n);
  AND2_A I9 (read_1a0d[0], store_0n[0], readReq_1n);
  AND2_A I10 (read_1a0d[1], store_0n[1], readReq_1n);
  AND2_A I11 (read_1a0d[2], store_0n[2], readReq_1n);
  AND2_A I12 (read_0a1d[0], store_1n[0], readReq_0n);
  AND2_A I13 (read_0a1d[1], store_1n[1], readReq_0n);
  AND2_A I14 (read_0a1d[2], store_1n[2], readReq_0n);
  AND2_A I15 (read_0a0d[0], store_0n[0], readReq_0n);
  AND2_A I16 (read_0a0d[1], store_0n[1], readReq_0n);
  AND2_A I17 (read_0a0d[2], store_0n[2], readReq_0n);
  assign readReq_0n = read_0r;
  assign readReq_1n = read_1r;
  assign readReq_2n = read_2r;
  assign store_0n[0] = ldata_0n[0];
  assign store_0n[1] = ldata_0n[1];
  assign store_0n[2] = ldata_0n[2];
  assign store_1n[0] = ldata_1n[0];
  assign store_1n[1] = ldata_1n[1];
  assign store_1n[2] = ldata_1n[2];
  c3 I27 (write_0a, wack_0n[0], wack_0n[1], wack_0n[2]);
  dr_latch I28 (write_0r0d[0], write_0r1d[0], wack_0n[0], ldata_0n[0], ldata_1n[0]);
  dr_latch I29 (write_0r0d[1], write_0r1d[1], wack_0n[1], ldata_0n[1], ldata_1n[1]);
  dr_latch I30 (write_0r0d[2], write_0r1d[2], wack_0n[2], ldata_0n[2], ldata_1n[2]);
endmodule

module BrzWhile (
  activate_0r, activate_0a,
  guard_0r, guard_0a0d, guard_0a1d,
  activateOut_0r, activateOut_0a
);
  input activate_0r;
  output activate_0a;
  output guard_0r;
  input guard_0a0d;
  input guard_0a1d;
  output activateOut_0r;
  input activateOut_0a;
  wire guardReq_0n;
  wire nReq_0n;
  selem I0 (guardReq_0n, activateOut_0r, guard_0r, guard_0a1d);
  INV_A I1 (nReq_0n, activate_0r);
  NOR2_A I2 (guardReq_0n, nReq_0n, activateOut_0a);
  assign activate_0a = guard_0a0d;
endmodule

module Balsa_startup__simple1 (
  activate_0r, activate_0a,
  mon1__ready_0r, mon1__ready_0a,
  vok1_0r, vok1_0a,
  mon1__enable_0r0d, mon1__enable_0r1d, mon1__enable_0a,
  mon2__ready_0r, mon2__ready_0a,
  vok2_0r, vok2_0a,
  mon2__enable_0r0d, mon2__enable_0r1d, mon2__enable_0a,
  mon3__ready_0r, mon3__ready_0a,
  vok3_0r, vok3_0a0d, vok3_0a1d,
  mon3__enable_0r0d, mon3__enable_0r1d, mon3__enable_0a,
  ref1__ready_0r, ref1__ready_0a,
  ref1__enable_0r0d, ref1__enable_0r1d, ref1__enable_0a,
  ref2__ready_0r, ref2__ready_0a,
  ref2__enable_0r0d, ref2__enable_0r1d, ref2__enable_0a,
  vreg1__ready_0r, vreg1__ready_0a,
  vreg1__enable_0r0d, vreg1__enable_0r1d, vreg1__enable_0a,
  vreg2__ready_0r, vreg2__ready_0a,
  vreg2__enable_0r0d, vreg2__enable_0r1d, vreg2__enable_0a,
  selvdd_0r0d, selvdd_0r1d, selvdd_0a
);
  input activate_0r;
  output activate_0a;
  input mon1__ready_0r;
  output mon1__ready_0a;
  input vok1_0r;
  output vok1_0a;
  output mon1__enable_0r0d;
  output mon1__enable_0r1d;
  input mon1__enable_0a;
  input mon2__ready_0r;
  output mon2__ready_0a;
  input vok2_0r;
  output vok2_0a;
  output mon2__enable_0r0d;
  output mon2__enable_0r1d;
  input mon2__enable_0a;
  input mon3__ready_0r;
  output mon3__ready_0a;
  output vok3_0r;
  input vok3_0a0d;
  input vok3_0a1d;
  output mon3__enable_0r0d;
  output mon3__enable_0r1d;
  input mon3__enable_0a;
  input ref1__ready_0r;
  output ref1__ready_0a;
  output ref1__enable_0r0d;
  output ref1__enable_0r1d;
  input ref1__enable_0a;
  input ref2__ready_0r;
  output ref2__ready_0a;
  output ref2__enable_0r0d;
  output ref2__enable_0r1d;
  input ref2__enable_0a;
  input vreg1__ready_0r;
  output vreg1__ready_0a;
  output vreg1__enable_0r0d;
  output vreg1__enable_0r1d;
  input vreg1__enable_0a;
  input vreg2__ready_0r;
  output vreg2__ready_0a;
  output vreg2__enable_0r0d;
  output vreg2__enable_0r1d;
  input vreg2__enable_0a;
  output [2:0] selvdd_0r0d;
  output [2:0] selvdd_0r1d;
  input selvdd_0a;
  wire [1:0] c121_r0d;
  wire [1:0] c121_r1d;
  wire c121_a;
  wire c120_r;
  wire c120_a0d;
  wire c120_a1d;
  wire c119_r0d;
  wire c119_r1d;
  wire c119_a;
  wire c118_r;
  wire c118_a;
  wire c117_r;
  wire c117_a;
  wire c116_r0d;
  wire c116_r1d;
  wire c116_a;
  wire c115_r;
  wire c115_a0d;
  wire c115_a1d;
  wire c114_r;
  wire [2:0] c114_a0d;
  wire [2:0] c114_a1d;
  wire c113_r;
  wire [2:0] c113_a0d;
  wire [2:0] c113_a1d;
  wire [2:0] c112_r0d;
  wire [2:0] c112_r1d;
  wire c112_a;
  wire c111_r;
  wire c111_a;
  wire c110_r;
  wire c110_a;
  wire c109_r;
  wire c109_a;
  wire [2:0] c108_r0d;
  wire [2:0] c108_r1d;
  wire c108_a;
  wire c107_r;
  wire [2:0] c107_a0d;
  wire [2:0] c107_a1d;
  wire c106_r;
  wire [2:0] c106_a0d;
  wire [2:0] c106_a1d;
  wire c105_r;
  wire c105_a;
  wire c104_r;
  wire c104_a;
  wire c103_r;
  wire c103_a;
  wire c102_r;
  wire c102_a;
  wire c101_r;
  wire c101_a;
  wire c100_r;
  wire c100_a;
  wire c99_r;
  wire c99_a;
  wire c98_r;
  wire c98_a;
  wire c97_r;
  wire c97_a;
  wire c96_r;
  wire c96_a;
  wire c95_r;
  wire c95_a0d;
  wire c95_a1d;
  wire c94_r0d;
  wire c94_r1d;
  wire c94_a;
  wire c93_r;
  wire c93_a;
  wire c92_r;
  wire c92_a;
  wire c91_r0d;
  wire c91_r1d;
  wire c91_a;
  wire c90_r;
  wire c90_a;
  wire c89_r;
  wire c89_a0d;
  wire c89_a1d;
  wire c88_r;
  wire [1:0] c88_a0d;
  wire [1:0] c88_a1d;
  wire c87_r;
  wire c87_a;
  wire c86_r;
  wire c86_a0d;
  wire c86_a1d;
  wire c85_r0d;
  wire c85_r1d;
  wire c85_a;
  wire c84_r;
  wire c84_a;
  wire c83_r;
  wire c83_a;
  wire c82_r0d;
  wire c82_r1d;
  wire c82_a;
  wire c81_r;
  wire c81_a;
  wire c80_r;
  wire c80_a0d;
  wire c80_a1d;
  wire c79_r;
  wire [1:0] c79_a0d;
  wire [1:0] c79_a1d;
  wire c78_r;
  wire c78_a;
  wire c77_r;
  wire c77_a0d;
  wire c77_a1d;
  wire c76_r0d;
  wire c76_r1d;
  wire c76_a;
  wire c75_r;
  wire c75_a;
  wire c74_r;
  wire c74_a;
  wire c73_r0d;
  wire c73_r1d;
  wire c73_a;
  wire c72_r;
  wire c72_a;
  wire c71_r;
  wire c71_a0d;
  wire c71_a1d;
  wire c70_r;
  wire c70_a0d;
  wire c70_a1d;
  wire c69_r;
  wire [1:0] c69_a0d;
  wire [1:0] c69_a1d;
  wire c68_r;
  wire c68_a;
  wire c67_r;
  wire c67_a;
  wire c66_r;
  wire c66_a;
  wire c65_r;
  wire c65_a0d;
  wire c65_a1d;
  wire c64_r;
  wire c64_a;
  wire c63_r;
  wire c63_a;
  wire c62_r;
  wire c62_a;
  wire c61_r;
  wire c61_a0d;
  wire c61_a1d;
  wire c60_r;
  wire c60_a0d;
  wire c60_a1d;
  wire c59_r;
  wire [1:0] c59_a0d;
  wire [1:0] c59_a1d;
  wire c58_r;
  wire c58_a;
  wire c57_r;
  wire c57_a;
  wire c56_r;
  wire c56_a;
  wire c55_r;
  wire c55_a0d;
  wire c55_a1d;
  wire c54_r;
  wire c54_a;
  wire c53_r;
  wire c53_a;
  wire c52_r;
  wire c52_a;
  wire c51_r;
  wire c51_a0d;
  wire c51_a1d;
  wire c50_r;
  wire c50_a;
  wire c49_r;
  wire c49_a;
  wire c48_r;
  wire c48_a;
  wire c47_r;
  wire c47_a;
  wire c46_r;
  wire c46_a;
  wire c45_r;
  wire c45_a0d;
  wire c45_a1d;
  wire c44_r;
  wire c44_a;
  wire c43_r;
  wire c43_a;
  wire c42_r;
  wire c42_a;
  wire c41_r;
  wire c41_a0d;
  wire c41_a1d;
  wire c40_r;
  wire c40_a0d;
  wire c40_a1d;
  wire c39_r;
  wire c39_a0d;
  wire c39_a1d;
  wire c38_r0d;
  wire c38_r1d;
  wire c38_a;
  wire c37_r;
  wire c37_a;
  wire c36_r;
  wire c36_a;
  wire c35_r;
  wire c35_a;
  wire c34_r0d;
  wire c34_r1d;
  wire c34_a;
  wire c33_r;
  wire c33_a;
  wire c32_r;
  wire c32_a0d;
  wire c32_a1d;
  wire c31_r;
  wire c31_a0d;
  wire c31_a1d;
  wire c30_r;
  wire [1:0] c30_a0d;
  wire [1:0] c30_a1d;
  wire c29_r;
  wire c29_a;
  wire c28_r;
  wire c28_a;
  wire c27_r;
  wire c27_a0d;
  wire c27_a1d;
  wire c26_r;
  wire [1:0] c26_a0d;
  wire [1:0] c26_a1d;
  wire c25_r;
  wire c25_a;
  wire c24_r;
  wire c24_a;
  wire c23_r;
  wire c23_a;
  wire c22_r0d;
  wire c22_r1d;
  wire c22_a;
  wire c21_r;
  wire c21_a;
  wire c20_r;
  wire [2:0] c20_a0d;
  wire [2:0] c20_a1d;
  BrzVariable_1_1_s0_ I0 (c22_r0d, c22_r1d, c22_a, c40_r, c40_a0d, c40_a1d);
  BrzVariable_3_3_s0_ I1 (c108_r0d, c108_r1d, c108_a, c20_r, c20_a0d, c20_a1d, c106_r, c106_a0d, c106_a1d, c114_r, c114_a0d, c114_a1d);
  BrzVariable_2_6_s0_ I2 (c121_r0d, c121_r1d, c121_a, c88_r, c88_a0d, c88_a1d, c79_r, c79_a0d, c79_a1d, c69_r, c69_a0d, c69_a1d, c59_r, c59_a0d, c59_a1d, c30_r, c30_a0d, c30_a1d, c26_r, c26_a0d, c26_a1d);
  BrzCase_1_1_s1_1 I3 (c116_r0d, c116_r1d, c116_a, c109_r, c109_a);
  BrzFetch_1_s5_false I4 (c117_r, c117_a, c115_r, c115_a0d, c115_a1d, c119_r0d, c119_r1d, c119_a);
  BrzFetch_1_s5_false I5 (c118_r, c118_a, c120_r, c120_a0d, c120_a1d, c116_r0d, c116_r1d, c116_a);
  BrzVariable_1_1_s0_ I6 (c119_r0d, c119_r1d, c119_a, c120_r, c120_a0d, c120_a1d);
  BrzBinaryFuncConstR_1_3_3_s8_LessThan_s5_f_m2m I7 (c115_r, c115_a0d, c115_a1d, c114_r, c114_a0d, c114_a1d);
  BrzSequence_2_s1_S I8 (c109_r, c109_a, c110_r, c110_a, c111_r, c111_a);
  BrzFetch_3_s5_false I9 (c110_r, c110_a, c107_r, c107_a0d, c107_a1d, c112_r0d, c112_r1d, c112_a);
  BrzFetch_3_s5_false I10 (c111_r, c111_a, c113_r, c113_a0d, c113_a1d, c108_r0d, c108_r1d, c108_a);
  BrzVariable_3_1_s0_ I11 (c112_r0d, c112_r1d, c112_a, c113_r, c113_a0d, c113_a1d);
  BrzBinaryFuncConstR_3_3_1_s3_Add_s5_false__m3m I12 (c107_r, c107_a0d, c107_a1d, c106_r, c106_a0d, c106_a1d);
  BrzSequence_7_s6_SSSSSS I13 (activate_0r, activate_0a, c105_r, c105_a, c98_r, c98_a, c74_r, c74_a, c75_r, c75_a, c50_r, c50_a, c47_r, c47_a, c42_r, c42_a);
  BrzConcur_4 I14 (c105_r, c105_a, c104_r, c104_a, c103_r, c103_a, c102_r, c102_a, c100_r, c100_a);
  BrzDecisionWait_1 I15 (c102_r, c102_a, mon1__ready_0r, mon1__ready_0a, c101_r, c101_a);
  BrzContinue I16 (c101_r, c101_a);
  BrzDecisionWait_1 I17 (c100_r, c100_a, mon2__ready_0r, mon2__ready_0a, c99_r, c99_a);
  BrzContinue I18 (c99_r, c99_a);
  BrzDecisionWait_2 I19 (c98_r, c98_a, c97_r, c97_a, c96_r, c96_a, c81_r, c81_a, c90_r, c90_a);
  BrzArbiter I20 (vok2_0r, vok2_0a, vok1_0r, vok1_0a, c97_r, c97_a, c96_r, c96_a);
  BrzCase_1_1_s1_1 I21 (c91_r0d, c91_r1d, c91_a, c87_r, c87_a);
  BrzSequence_2_s1_S I22 (c90_r, c90_a, c92_r, c92_a, c93_r, c93_a);
  BrzFetch_1_s5_false I23 (c92_r, c92_a, c89_r, c89_a0d, c89_a1d, c94_r0d, c94_r1d, c94_a);
  BrzFetch_1_s5_false I24 (c93_r, c93_a, c95_r, c95_a0d, c95_a1d, c91_r0d, c91_r1d, c91_a);
  BrzVariable_1_1_s0_ I25 (c94_r0d, c94_r1d, c94_a, c95_r, c95_a0d, c95_a1d);
  BrzBinaryFuncConstR_1_2_1_s6_Equals_s5_fal_m4m I26 (c89_r, c89_a0d, c89_a1d, c88_r, c88_a0d, c88_a1d);
  BrzCase_1_1_s1_1 I27 (c82_r0d, c82_r1d, c82_a, c78_r, c78_a);
  BrzSequence_2_s1_S I28 (c81_r, c81_a, c83_r, c83_a, c84_r, c84_a);
  BrzFetch_1_s5_false I29 (c83_r, c83_a, c80_r, c80_a0d, c80_a1d, c85_r0d, c85_r1d, c85_a);
  BrzFetch_1_s5_false I30 (c84_r, c84_a, c86_r, c86_a0d, c86_a1d, c82_r0d, c82_r1d, c82_a);
  BrzVariable_1_1_s0_ I31 (c85_r0d, c85_r1d, c85_a, c86_r, c86_a0d, c86_a1d);
  BrzBinaryFuncConstR_1_2_1_s6_Equals_s5_fal_m4m I32 (c80_r, c80_a0d, c80_a1d, c79_r, c79_a0d, c79_a1d);
  BrzCase_1_1_s1_1 I33 (c73_r0d, c73_r1d, c73_a, c72_r, c72_a);
  BrzFetch_1_s5_false I34 (c74_r, c74_a, c71_r, c71_a0d, c71_a1d, c76_r0d, c76_r1d, c76_a);
  BrzFetch_1_s5_false I35 (c75_r, c75_a, c77_r, c77_a0d, c77_a1d, c73_r0d, c73_r1d, c73_a);
  BrzVariable_1_1_s0_ I36 (c76_r0d, c76_r1d, c76_a, c77_r, c77_a0d, c77_a1d);
  BrzBar_2 I37 (c71_r, c71_a0d, c71_a1d, c72_r, c72_a, c60_r, c60_a0d, c60_a1d, c70_r, c70_a0d, c70_a1d, c58_r, c58_a, c68_r, c68_a);
  BrzBinaryFuncConstR_1_2_2_s6_Equals_s5_fal_m6m I38 (c70_r, c70_a0d, c70_a1d, c69_r, c69_a0d, c69_a1d);
  BrzSequence_2_s1_S I39 (c68_r, c68_a, c67_r, c67_a, c62_r, c62_a);
  BrzConcur_2 I40 (c67_r, c67_a, c66_r, c66_a, c64_r, c64_a);
  BrzFetch_1_s5_false I41 (c66_r, c66_a, c65_r, c65_a0d, c65_a1d, ref2__enable_0r0d, ref2__enable_0r1d, ref2__enable_0a);
  BrzConstant_1_1 I42 (c65_r, c65_a0d, c65_a1d);
  BrzDecisionWait_1 I43 (c64_r, c64_a, ref2__ready_0r, ref2__ready_0a, c63_r, c63_a);
  BrzContinue I44 (c63_r, c63_a);
  BrzFetch_1_s5_false I45 (c62_r, c62_a, c61_r, c61_a0d, c61_a1d, vreg2__enable_0r0d, vreg2__enable_0r1d, vreg2__enable_0a);
  BrzConstant_1_1 I46 (c61_r, c61_a0d, c61_a1d);
  BrzBinaryFuncConstR_1_2_1_s6_Equals_s5_fal_m5m I47 (c60_r, c60_a0d, c60_a1d, c59_r, c59_a0d, c59_a1d);
  BrzSequence_2_s1_S I48 (c58_r, c58_a, c57_r, c57_a, c52_r, c52_a);
  BrzConcur_2 I49 (c57_r, c57_a, c56_r, c56_a, c54_r, c54_a);
  BrzFetch_1_s5_false I50 (c56_r, c56_a, c55_r, c55_a0d, c55_a1d, ref1__enable_0r0d, ref1__enable_0r1d, ref1__enable_0a);
  BrzConstant_1_1 I51 (c55_r, c55_a0d, c55_a1d);
  BrzDecisionWait_1 I52 (c54_r, c54_a, ref1__ready_0r, ref1__ready_0a, c53_r, c53_a);
  BrzContinue I53 (c53_r, c53_a);
  BrzFetch_1_s5_false I54 (c52_r, c52_a, c51_r, c51_a0d, c51_a1d, vreg1__enable_0r0d, vreg1__enable_0r1d, vreg1__enable_0a);
  BrzConstant_1_1 I55 (c51_r, c51_a0d, c51_a1d);
  BrzConcur_2 I56 (c50_r, c50_a, c49_r, c49_a, c48_r, c48_a);
  BrzConcur_2 I57 (c47_r, c47_a, c46_r, c46_a, c44_r, c44_a);
  BrzFetch_1_s5_false I58 (c46_r, c46_a, c45_r, c45_a0d, c45_a1d, mon3__enable_0r0d, mon3__enable_0r1d, mon3__enable_0a);
  BrzConstant_1_1 I59 (c45_r, c45_a0d, c45_a1d);
  BrzDecisionWait_1 I60 (c44_r, c44_a, mon3__ready_0r, mon3__ready_0a, c43_r, c43_a);
  BrzContinue I61 (c43_r, c43_a);
  BrzWhile I62 (c42_r, c42_a, c41_r, c41_a0d, c41_a1d, c35_r, c35_a);
  BrzUnaryFunc_1_1_s6_Invert_s5_false I63 (c41_r, c41_a0d, c41_a1d, c40_r, c40_a0d, c40_a1d);
  BrzCase_1_1_s1_1 I64 (c34_r0d, c34_r1d, c34_a, c33_r, c33_a);
  BrzSequence_6_s5_SSSSS I65 (c35_r, c35_a, c36_r, c36_a, c37_r, c37_a, c23_r, c23_a, c117_r, c117_a, c118_r, c118_a, c21_r, c21_a);
  BrzFetch_1_s5_false I66 (c36_r, c36_a, c32_r, c32_a0d, c32_a1d, c38_r0d, c38_r1d, c38_a);
  BrzFetch_1_s5_false I67 (c37_r, c37_a, c39_r, c39_a0d, c39_a1d, c34_r0d, c34_r1d, c34_a);
  BrzVariable_1_1_s0_ I68 (c38_r0d, c38_r1d, c38_a, c39_r, c39_a0d, c39_a1d);
  BrzBar_2 I69 (c32_r, c32_a0d, c32_a1d, c33_r, c33_a, c27_r, c27_a0d, c27_a1d, c31_r, c31_a0d, c31_a1d, c25_r, c25_a, c29_r, c29_a);
  BrzBinaryFuncConstR_1_2_1_s6_Equals_s5_fal_m5m I70 (c31_r, c31_a0d, c31_a1d, c30_r, c30_a0d, c30_a1d);
  BrzDecisionWait_1 I71 (c29_r, c29_a, vreg1__ready_0r, vreg1__ready_0a, c28_r, c28_a);
  BrzContinue I72 (c28_r, c28_a);
  BrzBinaryFuncConstR_1_2_2_s6_Equals_s5_fal_m6m I73 (c27_r, c27_a0d, c27_a1d, c26_r, c26_a0d, c26_a1d);
  BrzDecisionWait_1 I74 (c25_r, c25_a, vreg2__ready_0r, vreg2__ready_0a, c24_r, c24_a);
  BrzContinue I75 (c24_r, c24_a);
  BrzFetch_1_s5_false I76 (c23_r, c23_a, vok3_0r, vok3_0a0d, vok3_0a1d, c22_r0d, c22_r1d, c22_a);
  BrzFetch_3_s5_false I77 (c21_r, c21_a, c20_r, c20_a0d, c20_a1d, selvdd_0r0d, selvdd_0r1d, selvdd_0a);
  BrzEncode_1_2_s5_1_3b0 I78 (c104_r, c104_a, c49_r, c49_a, mon1__enable_0r0d, mon1__enable_0r1d, mon1__enable_0a);
  BrzEncode_1_2_s5_1_3b0 I79 (c103_r, c103_a, c48_r, c48_a, mon2__enable_0r0d, mon2__enable_0r1d, mon2__enable_0a);
  BrzEncode_2_2_s5_2_3b1 I80 (c78_r, c78_a, c87_r, c87_a, c121_r0d, c121_r1d, c121_a);
endmodule

