/*
    `impl-startup_state1-state1.v'
    Balsa Verilog netlist file
    Created: Fri Aug 12 01:30:26 CEST 2011
    By: sveinryp@rapekatt (Linux)
    With net-verilog (balsa-netlist) version: 4.0
    Using technology: ndc35900/dual_b
    Command line : (balsa-netlist --technology ndc35900/dual_b/ -I . -l impl-startup_state1-state1.lst -L impl-startup_state1-state1.log --simulation-initialise --basename impl-startup_state1-state1 [startup_state1])

    Using `simulation-initialise'
    You must set the following preprocessor directives to use this file:
        balsa_simulate: set if you wish to initialise signal values during sim.
        balsa_init_time: duration of forced initialisation

    Using `propagate-globals'
    The design contains no global nets
*/

`timescale 1ns/1ps

module c2 (
  q,
  i0,
  i1
);
  output q;
  input i0;
  input i1;
  AO222_A I0 (q, i0, i1, i0, q, i1, q);
endmodule

module dr_latch (
  in_0,
  in_1,
  in_a,
  out_0,
  out_1
);
  input in_0;
  input in_1;
  output in_a;
  output out_0;
  output out_1;

`ifdef balsa_simulate
  initial begin
    force out_0 = 1;
    #`balsa_init_time;
    release out_0;
    if (out_0 !== 1)
        $display ("module %m: signal out_0 not correctly initialised");
  end
`endif

  AO22_A I0 (in_a, in_0, out_0, in_1, out_1);
  NOR2_A I1 (out_0, in_1, out_1);
  NOR2_A I2 (out_1, in_0, out_0);
endmodule

module BrzBar_2 (
  guard_0r, guard_0a0d, guard_0a1d,
  activate_0r, activate_0a,
  guardInput_0r, guardInput_0a0d, guardInput_0a1d,
  guardInput_1r, guardInput_1a0d, guardInput_1a1d,
  activateOut_0r, activateOut_0a,
  activateOut_1r, activateOut_1a
);
  input guard_0r;
  output guard_0a0d;
  output guard_0a1d;
  input activate_0r;
  output activate_0a;
  output guardInput_0r;
  input guardInput_0a0d;
  input guardInput_0a1d;
  output guardInput_1r;
  input guardInput_1a0d;
  input guardInput_1a1d;
  output activateOut_0r;
  input activateOut_0a;
  output activateOut_1r;
  input activateOut_1a;
  wire [2:0] bypass_0n;
  wire [1:0] guardChoiceT_0n;
  wire [1:0] guardChoiceF_0n;
  wire gInput1_0n;
  wire gInput0_0n;
  wire [1:0] cdi_0n;
  wire cd_0n;
  assign guardInput_0r = guard_0r;
  assign guardInput_1r = guard_0r;
  OR3_A I2 (activate_0a, activateOut_0a, activateOut_1a, bypass_0n[2]);
  assign bypass_0n[0] = activate_0r;
  AND2_A I4 (activateOut_0r, bypass_0n[0], guardChoiceT_0n[0]);
  AND2_A I5 (activateOut_1r, bypass_0n[1], guardChoiceT_0n[1]);
  AND2_A I6 (bypass_0n[1], bypass_0n[0], guardChoiceF_0n[0]);
  AND2_A I7 (bypass_0n[2], bypass_0n[1], guardChoiceF_0n[1]);
  c2 I8 (cd_0n, cdi_0n[0], cdi_0n[1]);
  dr_latch I9 (guardInput_0a0d, guardInput_0a1d, cdi_0n[0], guardChoiceF_0n[0], guardChoiceT_0n[0]);
  dr_latch I10 (guardInput_1a0d, guardInput_1a1d, cdi_0n[1], guardChoiceF_0n[1], guardChoiceT_0n[1]);
  c2 I11 (guard_0a0d, gInput0_0n, cd_0n);
  AND2_A I12 (gInput0_0n, guardInput_0a0d, guardInput_1a0d);
  c2 I13 (guard_0a1d, gInput1_0n, cd_0n);
  OR2_A I14 (gInput1_0n, guardInput_0a1d, guardInput_1a1d);
endmodule

module dr_or2 (
  i0_0,
  i0_1,
  i1_0,
  i1_1,
  q_0,
  q_1
);
  input i0_0;
  input i0_1;
  input i1_0;
  input i1_1;
  output q_0;
  output q_1;
  wire n0_0n;
  wire n1_0n;
  wire n2_0n;
  c2 I0 (q_0, i0_0, i1_0);
  OR3_A I1 (q_1, n0_0n, n1_0n, n2_0n);
  c2 I2 (n2_0n, i0_1, i1_1);
  c2 I3 (n1_0n, i0_1, i1_0);
  c2 I4 (n0_0n, i0_0, i1_1);
endmodule

module BrzBinaryFuncConstR_1_3_3_s6_Equals_s5_fal_m7m (
  out_0r, out_0a0d, out_0a1d,
  inpA_0r, inpA_0a0d, inpA_0a1d
);
  input out_0r;
  output out_0a0d;
  output out_0a1d;
  output inpA_0r;
  input [2:0] inpA_0a0d;
  input [2:0] inpA_0a1d;
  wire [2:0] compOut1_0n;
  wire [2:0] compOut0_0n;
  wire [1:0] internalA1_0n;
  wire [1:0] internalA0_0n;
  assign out_0a0d = internalA1_0n[0];
  assign out_0a1d = internalA0_0n[0];
  dr_or2 I2 (compOut0_0n[1], compOut1_0n[1], compOut0_0n[2], compOut1_0n[2], internalA0_0n[1], internalA1_0n[1]);
  dr_or2 I3 (compOut0_0n[0], compOut1_0n[0], internalA0_0n[1], internalA1_0n[1], internalA0_0n[0], internalA1_0n[0]);
  assign compOut0_0n[1] = inpA_0a0d[1];
  assign compOut1_0n[1] = inpA_0a1d[1];
  assign compOut1_0n[0] = inpA_0a0d[0];
  assign compOut1_0n[2] = inpA_0a0d[2];
  assign compOut0_0n[0] = inpA_0a1d[0];
  assign compOut0_0n[2] = inpA_0a1d[2];
  assign inpA_0r = out_0r;
endmodule

module BrzBinaryFuncConstR_1_3_3_s6_Equals_s5_fal_m8m (
  out_0r, out_0a0d, out_0a1d,
  inpA_0r, inpA_0a0d, inpA_0a1d
);
  input out_0r;
  output out_0a0d;
  output out_0a1d;
  output inpA_0r;
  input [2:0] inpA_0a0d;
  input [2:0] inpA_0a1d;
  wire [2:0] compOut1_0n;
  wire [2:0] compOut0_0n;
  wire [1:0] internalA1_0n;
  wire [1:0] internalA0_0n;
  assign out_0a0d = internalA1_0n[0];
  assign out_0a1d = internalA0_0n[0];
  dr_or2 I2 (compOut0_0n[1], compOut1_0n[1], compOut0_0n[2], compOut1_0n[2], internalA0_0n[1], internalA1_0n[1]);
  dr_or2 I3 (compOut0_0n[0], compOut1_0n[0], internalA0_0n[1], internalA1_0n[1], internalA0_0n[0], internalA1_0n[0]);
  assign compOut0_0n[0] = inpA_0a0d[0];
  assign compOut1_0n[0] = inpA_0a1d[0];
  assign compOut1_0n[1] = inpA_0a0d[1];
  assign compOut1_0n[2] = inpA_0a0d[2];
  assign compOut0_0n[1] = inpA_0a1d[1];
  assign compOut0_0n[2] = inpA_0a1d[2];
  assign inpA_0r = out_0r;
endmodule

module ao21 (
  q,
  i0,
  i1,
  i2
);
  output q;
  input i0;
  input i1;
  input i2;
  wire int_0n;
  OR2_A I0 (q, int_0n, i2);
  AND2_A I1 (int_0n, i0, i1);
endmodule

module dr_fa_p (
  a_0,
  a_1,
  b_0,
  b_1,
  co_0,
  co_1,
  sum_0,
  sum_1
);
  input a_0;
  input a_1;
  input b_0;
  input b_1;
  output co_0;
  output co_1;
  output sum_0;
  output sum_1;
  wire n0_0n;
  wire n1_0n;
  wire n2_0n;
  wire n3_0n;
  AND2_A I0 (co_0, a_0, b_0);
  ao21 I1 (co_1, a_0, b_1, a_1);
  OR2_A I2 (sum_0, n1_0n, n2_0n);
  OR2_A I3 (sum_1, n0_0n, n3_0n);
  c2 I4 (n3_0n, a_1, b_1);
  c2 I5 (n2_0n, a_1, b_0);
  c2 I6 (n1_0n, a_0, b_1);
  c2 I7 (n0_0n, a_0, b_0);
endmodule

module dr_ha (
  a_0,
  a_1,
  b_0,
  b_1,
  co_0,
  co_1,
  sum_0,
  sum_1
);
  input a_0;
  input a_1;
  input b_0;
  input b_1;
  output co_0;
  output co_1;
  output sum_0;
  output sum_1;
  wire n0_0n;
  wire n1_0n;
  wire n2_0n;
  wire n3_0n;
  AND2_A I0 (co_1, a_1, b_1);
  ao21 I1 (co_0, a_1, b_0, a_0);
  OR2_A I2 (sum_1, n1_0n, n2_0n);
  OR2_A I3 (sum_0, n0_0n, n3_0n);
  c2 I4 (n3_0n, a_1, b_1);
  c2 I5 (n2_0n, a_1, b_0);
  c2 I6 (n1_0n, a_0, b_1);
  c2 I7 (n0_0n, a_0, b_0);
endmodule

module dr_xor2 (
  i0_0,
  i0_1,
  i1_0,
  i1_1,
  q_0,
  q_1
);
  input i0_0;
  input i0_1;
  input i1_0;
  input i1_1;
  output q_0;
  output q_1;
  wire n0_0n;
  wire n1_0n;
  wire n2_0n;
  wire n3_0n;
  OR2_A I0 (q_0, n0_0n, n3_0n);
  c2 I1 (n3_0n, i0_1, i1_1);
  c2 I2 (n0_0n, i0_0, i1_0);
  OR2_A I3 (q_1, n1_0n, n2_0n);
  c2 I4 (n1_0n, i0_0, i1_1);
  c2 I5 (n2_0n, i0_1, i1_0);
endmodule

module BrzBinaryFuncConstR_3_3_1_s3_Add_s5_false__m3m (
  out_0r, out_0a0d, out_0a1d,
  inpA_0r, inpA_0a0d, inpA_0a1d
);
  input out_0r;
  output [2:0] out_0a0d;
  output [2:0] out_0a1d;
  output inpA_0r;
  input [2:0] inpA_0a0d;
  input [2:0] inpA_0a1d;
  wire [2:0] a1_0n;
  wire [2:0] a0_0n;
  wire [2:0] c1_0n;
  wire [2:0] c0_0n;
  supply0 gnd;
  assign c0_0n[0] = out_0r;
  assign c1_0n[0] = gnd;
  dr_xor2 I2 (a0_0n[2], a1_0n[2], c0_0n[2], c1_0n[2], out_0a0d[2], out_0a1d[2]);
  dr_ha I3 (a0_0n[1], a1_0n[1], c0_0n[1], c1_0n[1], c0_0n[2], c1_0n[2], out_0a0d[1], out_0a1d[1]);
  dr_fa_p I4 (a0_0n[0], a1_0n[0], c0_0n[0], c1_0n[0], c0_0n[1], c1_0n[1], out_0a0d[0], out_0a1d[0]);
  assign a0_0n[0] = inpA_0a0d[0];
  assign a0_0n[1] = inpA_0a0d[1];
  assign a0_0n[2] = inpA_0a0d[2];
  assign a1_0n[0] = inpA_0a1d[0];
  assign a1_0n[1] = inpA_0a1d[1];
  assign a1_0n[2] = inpA_0a1d[2];
  assign inpA_0r = out_0r;
endmodule

module BrzCall_2 (
  inp_0r, inp_0a,
  inp_1r, inp_1a,
  out_0r, out_0a
);
  input inp_0r;
  output inp_0a;
  input inp_1r;
  output inp_1a;
  output out_0r;
  input out_0a;
  OR2_A I0 (out_0r, inp_0r, inp_1r);
  c2 I1 (inp_0a, inp_0r, out_0a);
  c2 I2 (inp_1a, inp_1r, out_0a);
endmodule

module BrzCallActive_2 (
  inp_0r, inp_0a,
  out_0r, out_0a,
  out_1r, out_1a
);
  input inp_0r;
  output inp_0a;
  output out_0r;
  input out_0a;
  output out_1r;
  input out_1a;
  OR2_A I0 (inp_0a, out_0a, out_1a);
  assign out_0r = inp_0r;
  assign out_1r = inp_0r;
endmodule

module BrzCallDemux_1_2 (
  out_0r, out_0a0d, out_0a1d,
  out_1r, out_1a0d, out_1a1d,
  inp_0r, inp_0a0d, inp_0a1d
);
  input out_0r;
  output out_0a0d;
  output out_0a1d;
  input out_1r;
  output out_1a0d;
  output out_1a1d;
  output inp_0r;
  input inp_0a0d;
  input inp_0a1d;
  wire [1:0] outReq_0n;
  OR2_A I0 (inp_0r, outReq_0n[0], outReq_0n[1]);
  c2 I1 (out_0a1d, outReq_0n[0], inp_0a1d);
  c2 I2 (out_1a1d, outReq_0n[1], inp_0a1d);
  c2 I3 (out_0a0d, outReq_0n[0], inp_0a0d);
  c2 I4 (out_1a0d, outReq_0n[1], inp_0a0d);
  assign outReq_0n[0] = out_0r;
  assign outReq_0n[1] = out_1r;
endmodule

module BrzCallMux_1_2 (
  inp_0r0d, inp_0r1d, inp_0a,
  inp_1r0d, inp_1r1d, inp_1a,
  out_0r0d, out_0r1d, out_0a
);
  input inp_0r0d;
  input inp_0r1d;
  output inp_0a;
  input inp_1r0d;
  input inp_1r1d;
  output inp_1a;
  output out_0r0d;
  output out_0r1d;
  input out_0a;
  wire [1:0] sourceId_0n;
  c2 I0 (inp_0a, sourceId_0n[0], out_0a);
  c2 I1 (inp_1a, sourceId_0n[1], out_0a);
  OR2_A I2 (sourceId_0n[0], inp_0r0d, inp_0r1d);
  OR2_A I3 (sourceId_0n[1], inp_1r0d, inp_1r1d);
  OR2_A I4 (out_0r1d, inp_0r1d, inp_1r1d);
  OR2_A I5 (out_0r0d, inp_0r0d, inp_1r0d);
endmodule

module BrzCase_1_1_s1_1 (
  inp_0r0d, inp_0r1d, inp_0a,
  activateOut_0r, activateOut_0a
);
  input inp_0r0d;
  input inp_0r1d;
  output inp_0a;
  output activateOut_0r;
  input activateOut_0a;
  wire elseAck_0n;
  wire inpComplete_0n;
  wire inpDone_0n;
  wire outDone_0n;
  wire [1:0] int0_0n;
  c2 I0 (inp_0a, outDone_0n, inpDone_0n);
  OR2_A I1 (outDone_0n, activateOut_0a, elseAck_0n);
  assign int0_0n[0] = inp_0r0d;
  assign int0_0n[1] = inp_0r1d;
  assign elseAck_0n = int0_0n[0];
  assign activateOut_0r = int0_0n[1];
  assign inpDone_0n = inpComplete_0n;
  OR2_A I7 (inpComplete_0n, inp_0r0d, inp_0r1d);
endmodule

module BrzCase_1_2_s5_0_3b1 (
  inp_0r0d, inp_0r1d, inp_0a,
  activateOut_0r, activateOut_0a,
  activateOut_1r, activateOut_1a
);
  input inp_0r0d;
  input inp_0r1d;
  output inp_0a;
  output activateOut_0r;
  input activateOut_0a;
  output activateOut_1r;
  input activateOut_1a;
  wire elseAck_0n;
  wire inpComplete_0n;
  wire inpDone_0n;
  wire outDone_0n;
  wire [1:0] int0_0n;
  c2 I0 (inp_0a, outDone_0n, inpDone_0n);
  OR2_A I1 (outDone_0n, activateOut_0a, activateOut_1a);
  assign int0_0n[0] = inp_0r1d;
  assign int0_0n[1] = inp_0r0d;
  assign activateOut_1r = int0_0n[0];
  assign activateOut_0r = int0_0n[1];
  assign inpDone_0n = inpComplete_0n;
  OR2_A I7 (inpComplete_0n, inp_0r0d, inp_0r1d);
endmodule

module c3 (
  q,
  i0,
  i1,
  i2
);
  output q;
  input i0;
  input i1;
  input i2;
  wire qint_0n;
  c2 I0 (q, i2, qint_0n);
  c2 I1 (qint_0n, i0, i1);
endmodule

module BrzCase_3_8_s29_0_3b1_3b2_3b3_3b6_3b5_3b7__m9m (
  inp_0r0d, inp_0r1d, inp_0a,
  activateOut_0r, activateOut_0a,
  activateOut_1r, activateOut_1a,
  activateOut_2r, activateOut_2a,
  activateOut_3r, activateOut_3a,
  activateOut_4r, activateOut_4a,
  activateOut_5r, activateOut_5a,
  activateOut_6r, activateOut_6a,
  activateOut_7r, activateOut_7a
);
  input [2:0] inp_0r0d;
  input [2:0] inp_0r1d;
  output inp_0a;
  output activateOut_0r;
  input activateOut_0a;
  output activateOut_1r;
  input activateOut_1a;
  output activateOut_2r;
  input activateOut_2a;
  output activateOut_3r;
  input activateOut_3a;
  output activateOut_4r;
  input activateOut_4a;
  output activateOut_5r;
  input activateOut_5a;
  output activateOut_6r;
  input activateOut_6a;
  output activateOut_7r;
  input activateOut_7a;
  wire [2:0] internal_0n;
  wire elseAck_0n;
  wire [2:0] inpComplete_0n;
  wire inpDone_0n;
  wire outDone_0n;
  wire [7:0] int0_0n;
  c2 I0 (inp_0a, outDone_0n, inpDone_0n);
  NOR3_A I1 (internal_0n[0], activateOut_0a, activateOut_1a, activateOut_2a);
  NOR3_A I2 (internal_0n[1], activateOut_3a, activateOut_4a, activateOut_5a);
  NOR2_A I3 (internal_0n[2], activateOut_6a, activateOut_7a);
  NAND3_A I4 (outDone_0n, internal_0n[0], internal_0n[1], internal_0n[2]);
  c3 I5 (int0_0n[0], inp_0r1d[2], inp_0r0d[1], inp_0r0d[0]);
  c3 I6 (int0_0n[1], inp_0r1d[2], inp_0r1d[1], inp_0r1d[0]);
  c3 I7 (int0_0n[2], inp_0r1d[2], inp_0r0d[1], inp_0r1d[0]);
  c3 I8 (int0_0n[3], inp_0r1d[2], inp_0r1d[1], inp_0r0d[0]);
  c3 I9 (int0_0n[4], inp_0r0d[2], inp_0r1d[1], inp_0r1d[0]);
  c3 I10 (int0_0n[5], inp_0r0d[2], inp_0r1d[1], inp_0r0d[0]);
  c3 I11 (int0_0n[6], inp_0r0d[2], inp_0r0d[1], inp_0r1d[0]);
  c3 I12 (int0_0n[7], inp_0r0d[2], inp_0r0d[1], inp_0r0d[0]);
  assign activateOut_7r = int0_0n[0];
  assign activateOut_6r = int0_0n[1];
  assign activateOut_5r = int0_0n[2];
  assign activateOut_4r = int0_0n[3];
  assign activateOut_3r = int0_0n[4];
  assign activateOut_2r = int0_0n[5];
  assign activateOut_1r = int0_0n[6];
  assign activateOut_0r = int0_0n[7];
  c3 I21 (inpDone_0n, inpComplete_0n[0], inpComplete_0n[1], inpComplete_0n[2]);
  OR2_A I22 (inpComplete_0n[0], inp_0r0d[0], inp_0r1d[0]);
  OR2_A I23 (inpComplete_0n[1], inp_0r0d[1], inp_0r1d[1]);
  OR2_A I24 (inpComplete_0n[2], inp_0r0d[2], inp_0r1d[2]);
endmodule

module acu0d1 (
  q,
  i0,
  i1
);
  output q;
  input i0;
  input i1;
  wire int_0n;
  OR2_A I0 (q, i0, int_0n);
  AND2_A I1 (int_0n, i1, q);
endmodule

module telem (
  Ar,
  Aa,
  Br,
  Ba
);
  input Ar;
  output Aa;
  output Br;
  input Ba;
  wire s_0n;
  acu0d1 I0 (Aa, Ba, Ar);
  INV_A I1 (s_0n, Aa);
  AND2_A I2 (Br, Ar, s_0n);
endmodule

module BrzConcur_2 (
  activate_0r, activate_0a,
  activateOut_0r, activateOut_0a,
  activateOut_1r, activateOut_1a
);
  input activate_0r;
  output activate_0a;
  output activateOut_0r;
  input activateOut_0a;
  output activateOut_1r;
  input activateOut_1a;
  wire [1:0] acks_0n;
  c2 I0 (activate_0a, acks_0n[0], acks_0n[1]);
  telem I1 (activate_0r, acks_0n[0], activateOut_0r, activateOut_0a);
  telem I2 (activate_0r, acks_0n[1], activateOut_1r, activateOut_1a);
endmodule

module BrzConcur_3 (
  activate_0r, activate_0a,
  activateOut_0r, activateOut_0a,
  activateOut_1r, activateOut_1a,
  activateOut_2r, activateOut_2a
);
  input activate_0r;
  output activate_0a;
  output activateOut_0r;
  input activateOut_0a;
  output activateOut_1r;
  input activateOut_1a;
  output activateOut_2r;
  input activateOut_2a;
  wire [2:0] acks_0n;
  c3 I0 (activate_0a, acks_0n[0], acks_0n[1], acks_0n[2]);
  telem I1 (activate_0r, acks_0n[0], activateOut_0r, activateOut_0a);
  telem I2 (activate_0r, acks_0n[1], activateOut_1r, activateOut_1a);
  telem I3 (activate_0r, acks_0n[2], activateOut_2r, activateOut_2a);
endmodule

module BrzConcur_5 (
  activate_0r, activate_0a,
  activateOut_0r, activateOut_0a,
  activateOut_1r, activateOut_1a,
  activateOut_2r, activateOut_2a,
  activateOut_3r, activateOut_3a,
  activateOut_4r, activateOut_4a
);
  input activate_0r;
  output activate_0a;
  output activateOut_0r;
  input activateOut_0a;
  output activateOut_1r;
  input activateOut_1a;
  output activateOut_2r;
  input activateOut_2a;
  output activateOut_3r;
  input activateOut_3a;
  output activateOut_4r;
  input activateOut_4a;
  wire [1:0] internal_0n;
  wire [4:0] acks_0n;
  c3 I0 (internal_0n[0], acks_0n[0], acks_0n[1], acks_0n[2]);
  c2 I1 (internal_0n[1], acks_0n[3], acks_0n[4]);
  c2 I2 (activate_0a, internal_0n[0], internal_0n[1]);
  telem I3 (activate_0r, acks_0n[0], activateOut_0r, activateOut_0a);
  telem I4 (activate_0r, acks_0n[1], activateOut_1r, activateOut_1a);
  telem I5 (activate_0r, acks_0n[2], activateOut_2r, activateOut_2a);
  telem I6 (activate_0r, acks_0n[3], activateOut_3r, activateOut_3a);
  telem I7 (activate_0r, acks_0n[4], activateOut_4r, activateOut_4a);
endmodule

module BrzConstant_1_1 (
  out_0r, out_0a0d, out_0a1d
);
  input out_0r;
  output out_0a0d;
  output out_0a1d;
  wire reqOut_0n;
  supply0 gnd;
  assign out_0a0d = gnd;
  assign out_0a1d = out_0r;
endmodule

module BrzContinue (
  inp_0r, inp_0a
);
  input inp_0r;
  output inp_0a;
  assign inp_0a = inp_0r;
endmodule

module BrzDecisionWait_1 (
  activate_0r, activate_0a,
  inp_0r, inp_0a,
  out_0r, out_0a
);
  input activate_0r;
  output activate_0a;
  input inp_0r;
  output inp_0a;
  output out_0r;
  input out_0a;
  assign activate_0a = out_0a;
  c2 I1 (out_0r, inp_0r, activate_0r);
  assign inp_0a = out_0a;
endmodule

module BrzEncode_1_2_s5_1_3b0 (
  inp_0r, inp_0a,
  inp_1r, inp_1a,
  out_0r0d, out_0r1d, out_0a
);
  input inp_0r;
  output inp_0a;
  input inp_1r;
  output inp_1a;
  output out_0r0d;
  output out_0r1d;
  input out_0a;
  wire [1:0] data_0n;
  wire int1_0n;
  wire int0_0n;
  c2 I0 (inp_0a, data_0n[0], out_0a);
  c2 I1 (inp_1a, data_0n[1], out_0a);
  assign int1_0n = data_0n[1];
  assign out_0r0d = int1_0n;
  assign int0_0n = data_0n[0];
  assign out_0r1d = int0_0n;
  assign data_0n[0] = inp_0r;
  assign data_0n[1] = inp_1r;
endmodule

module BrzEncode_3_8_s29_7_3b1_3b1_3b3_3b2_3b5_3b_m10m (
  inp_0r, inp_0a,
  inp_1r, inp_1a,
  inp_2r, inp_2a,
  inp_3r, inp_3a,
  inp_4r, inp_4a,
  inp_5r, inp_5a,
  inp_6r, inp_6a,
  inp_7r, inp_7a,
  out_0r0d, out_0r1d, out_0a
);
  input inp_0r;
  output inp_0a;
  input inp_1r;
  output inp_1a;
  input inp_2r;
  output inp_2a;
  input inp_3r;
  output inp_3a;
  input inp_4r;
  output inp_4a;
  input inp_5r;
  output inp_5a;
  input inp_6r;
  output inp_6a;
  input inp_7r;
  output inp_7a;
  output [2:0] out_0r0d;
  output [2:0] out_0r1d;
  input out_0a;
  wire [9:0] internal_0n;
  wire [7:0] data_0n;
  wire [6:0] int1_0n;
  wire [7:0] int0_0n;
  c2 I0 (inp_0a, data_0n[0], out_0a);
  c2 I1 (inp_1a, data_0n[1], out_0a);
  c2 I2 (inp_2a, data_0n[2], out_0a);
  c2 I3 (inp_3a, data_0n[3], out_0a);
  c2 I4 (inp_4a, data_0n[4], out_0a);
  c2 I5 (inp_5a, data_0n[5], out_0a);
  c2 I6 (inp_6a, data_0n[6], out_0a);
  c2 I7 (inp_7a, data_0n[7], out_0a);
  assign int1_0n[0] = data_0n[6];
  assign int1_0n[1] = data_0n[3];
  assign int1_0n[2] = data_0n[5];
  assign int1_0n[3] = data_0n[4];
  assign int1_0n[4] = data_0n[7];
  assign int1_0n[5] = data_0n[1];
  assign int1_0n[6] = data_0n[2];
  NOR2_A I15 (internal_0n[0], int1_0n[1], int1_0n[3]);
  NOR2_A I16 (internal_0n[1], int1_0n[5], int1_0n[6]);
  NAND2_A I17 (out_0r0d[2], internal_0n[0], internal_0n[1]);
  NOR2_A I18 (internal_0n[2], int1_0n[2], int1_0n[4]);
  NOR2_A I19 (internal_0n[3], int1_0n[5], int1_0n[6]);
  NAND2_A I20 (out_0r0d[1], internal_0n[2], internal_0n[3]);
  OR3_A I21 (out_0r0d[0], int1_0n[0], int1_0n[3], int1_0n[4]);
  assign int0_0n[0] = data_0n[7];
  assign int0_0n[1] = data_0n[4];
  assign int0_0n[2] = data_0n[5];
  assign int0_0n[3] = data_0n[6];
  assign int0_0n[4] = data_0n[3];
  assign int0_0n[5] = data_0n[1];
  assign int0_0n[6] = data_0n[2];
  assign int0_0n[7] = data_0n[0];
  NOR2_A I30 (internal_0n[4], int0_0n[0], int0_0n[2]);
  NOR2_A I31 (internal_0n[5], int0_0n[3], int0_0n[7]);
  NAND2_A I32 (out_0r1d[2], internal_0n[4], internal_0n[5]);
  NOR2_A I33 (internal_0n[6], int0_0n[1], int0_0n[3]);
  NOR2_A I34 (internal_0n[7], int0_0n[4], int0_0n[7]);
  NAND2_A I35 (out_0r1d[1], internal_0n[6], internal_0n[7]);
  NOR3_A I36 (internal_0n[8], int0_0n[2], int0_0n[4], int0_0n[5]);
  NOR2_A I37 (internal_0n[9], int0_0n[6], int0_0n[7]);
  NAND2_A I38 (out_0r1d[0], internal_0n[8], internal_0n[9]);
  assign data_0n[0] = inp_0r;
  assign data_0n[1] = inp_1r;
  assign data_0n[2] = inp_2r;
  assign data_0n[3] = inp_3r;
  assign data_0n[4] = inp_4r;
  assign data_0n[5] = inp_5r;
  assign data_0n[6] = inp_6r;
  assign data_0n[7] = inp_7r;
endmodule

module BrzFalseVariable_1_1_s0_ (
  write_0r0d, write_0r1d, write_0a,
  signal_0r, signal_0a,
  read_0r, read_0a0d, read_0a1d
);
  input write_0r0d;
  input write_0r1d;
  output write_0a;
  output signal_0r;
  input signal_0a;
  input read_0r;
  output read_0a0d;
  output read_0a1d;
  wire cd_0n;
  wire partCD_0n;
  wire store_0n;
  wire store_1n;
  wire readReq_0n;
  wire sigAck_0n;
  wire writeAck_0n;
  wire rReqOr_0n;
  AND2_A I0 (read_0a1d, store_1n, readReq_0n);
  AND2_A I1 (read_0a0d, store_0n, readReq_0n);
  assign readReq_0n = read_0r;
  assign store_1n = write_0r1d;
  assign store_0n = write_0r0d;
  AND2_A I5 (writeAck_0n, sigAck_0n, rReqOr_0n);
  INV_A I6 (rReqOr_0n, readReq_0n);
  telem I7 (partCD_0n, sigAck_0n, signal_0r, signal_0a);
  assign write_0a = writeAck_0n;
  OR2_A I9 (partCD_0n, store_0n, store_1n);
endmodule

module BrzFetch_1_s5_false (
  activate_0r, activate_0a,
  inp_0r, inp_0a0d, inp_0a1d,
  out_0r0d, out_0r1d, out_0a
);
  input activate_0r;
  output activate_0a;
  output inp_0r;
  input inp_0a0d;
  input inp_0a1d;
  output out_0r0d;
  output out_0r1d;
  input out_0a;
  assign inp_0r = activate_0r;
  assign out_0r0d = inp_0a0d;
  assign out_0r1d = inp_0a1d;
  assign activate_0a = out_0a;
endmodule

module BrzFetch_3_s5_false (
  activate_0r, activate_0a,
  inp_0r, inp_0a0d, inp_0a1d,
  out_0r0d, out_0r1d, out_0a
);
  input activate_0r;
  output activate_0a;
  output inp_0r;
  input [2:0] inp_0a0d;
  input [2:0] inp_0a1d;
  output [2:0] out_0r0d;
  output [2:0] out_0r1d;
  input out_0a;
  assign inp_0r = activate_0r;
  assign out_0r0d[0] = inp_0a0d[0];
  assign out_0r0d[1] = inp_0a0d[1];
  assign out_0r0d[2] = inp_0a0d[2];
  assign out_0r1d[0] = inp_0a1d[0];
  assign out_0r1d[1] = inp_0a1d[1];
  assign out_0r1d[2] = inp_0a1d[2];
  assign activate_0a = out_0a;
endmodule

module nc2p (
  q,
  i0,
  i1
);
  output q;
  input i0;
  input i1;
  wire nq_0n;
  AOI22_A I0 (q, i0, i1, i0, nq_0n);
  INV_A I1 (nq_0n, q);
endmodule

module selem (
  Ar,
  Aa,
  Br,
  Ba
);
  input Ar;
  output Aa;
  output Br;
  input Ba;
  wire s_0n;
  nc2p I0 (s_0n, Ar, Ba);
  NOR2_A I1 (Aa, Ba, s_0n);
  AND2_A I2 (Br, Ar, s_0n);
endmodule

module BrzSequence_2_s1_S (
  activate_0r, activate_0a,
  activateOut_0r, activateOut_0a,
  activateOut_1r, activateOut_1a
);
  input activate_0r;
  output activate_0a;
  output activateOut_0r;
  input activateOut_0a;
  output activateOut_1r;
  input activateOut_1a;
  wire [1:0] sreq_0n;
  assign activate_0a = activateOut_1a;
  assign activateOut_1r = sreq_0n[1];
  assign sreq_0n[0] = activate_0r;
  selem I3 (sreq_0n[0], sreq_0n[1], activateOut_0r, activateOut_0a);
endmodule

module BrzSequence_3_s2_SS (
  activate_0r, activate_0a,
  activateOut_0r, activateOut_0a,
  activateOut_1r, activateOut_1a,
  activateOut_2r, activateOut_2a
);
  input activate_0r;
  output activate_0a;
  output activateOut_0r;
  input activateOut_0a;
  output activateOut_1r;
  input activateOut_1a;
  output activateOut_2r;
  input activateOut_2a;
  wire [2:0] sreq_0n;
  assign activate_0a = activateOut_2a;
  assign activateOut_2r = sreq_0n[2];
  assign sreq_0n[0] = activate_0r;
  selem I3 (sreq_0n[1], sreq_0n[2], activateOut_1r, activateOut_1a);
  selem I4 (sreq_0n[0], sreq_0n[1], activateOut_0r, activateOut_0a);
endmodule

module BrzSequence_4_s3_SSS (
  activate_0r, activate_0a,
  activateOut_0r, activateOut_0a,
  activateOut_1r, activateOut_1a,
  activateOut_2r, activateOut_2a,
  activateOut_3r, activateOut_3a
);
  input activate_0r;
  output activate_0a;
  output activateOut_0r;
  input activateOut_0a;
  output activateOut_1r;
  input activateOut_1a;
  output activateOut_2r;
  input activateOut_2a;
  output activateOut_3r;
  input activateOut_3a;
  wire [3:0] sreq_0n;
  assign activate_0a = activateOut_3a;
  assign activateOut_3r = sreq_0n[3];
  assign sreq_0n[0] = activate_0r;
  selem I3 (sreq_0n[2], sreq_0n[3], activateOut_2r, activateOut_2a);
  selem I4 (sreq_0n[1], sreq_0n[2], activateOut_1r, activateOut_1a);
  selem I5 (sreq_0n[0], sreq_0n[1], activateOut_0r, activateOut_0a);
endmodule

module BrzSequence_6_s5_SSSSS (
  activate_0r, activate_0a,
  activateOut_0r, activateOut_0a,
  activateOut_1r, activateOut_1a,
  activateOut_2r, activateOut_2a,
  activateOut_3r, activateOut_3a,
  activateOut_4r, activateOut_4a,
  activateOut_5r, activateOut_5a
);
  input activate_0r;
  output activate_0a;
  output activateOut_0r;
  input activateOut_0a;
  output activateOut_1r;
  input activateOut_1a;
  output activateOut_2r;
  input activateOut_2a;
  output activateOut_3r;
  input activateOut_3a;
  output activateOut_4r;
  input activateOut_4a;
  output activateOut_5r;
  input activateOut_5a;
  wire [5:0] sreq_0n;
  assign activate_0a = activateOut_5a;
  assign activateOut_5r = sreq_0n[5];
  assign sreq_0n[0] = activate_0r;
  selem I3 (sreq_0n[4], sreq_0n[5], activateOut_4r, activateOut_4a);
  selem I4 (sreq_0n[3], sreq_0n[4], activateOut_3r, activateOut_3a);
  selem I5 (sreq_0n[2], sreq_0n[3], activateOut_2r, activateOut_2a);
  selem I6 (sreq_0n[1], sreq_0n[2], activateOut_1r, activateOut_1a);
  selem I7 (sreq_0n[0], sreq_0n[1], activateOut_0r, activateOut_0a);
endmodule

module BrzUnaryFunc_1_1_s6_Invert_s5_false (
  out_0r, out_0a0d, out_0a1d,
  inp_0r, inp_0a0d, inp_0a1d
);
  input out_0r;
  output out_0a0d;
  output out_0a1d;
  output inp_0r;
  input inp_0a0d;
  input inp_0a1d;
  wire [1:0] c1_0n;
  wire [1:0] c0_0n;
  wire s1_0n;
  wire s0_0n;
  assign out_0a0d = inp_0a1d;
  assign out_0a1d = inp_0a0d;
  assign inp_0r = out_0r;
endmodule

module BrzVariable_1_1_s0_ (
  write_0r0d, write_0r1d, write_0a,
  read_0r, read_0a0d, read_0a1d
);
  input write_0r0d;
  input write_0r1d;
  output write_0a;
  input read_0r;
  output read_0a0d;
  output read_0a1d;
  wire store_0n;
  wire store_1n;
  wire ldata_0n;
  wire ldata_1n;
  wire wack_0n;
  wire readReq_0n;
  AND2_A I0 (read_0a1d, store_1n, readReq_0n);
  AND2_A I1 (read_0a0d, store_0n, readReq_0n);
  assign readReq_0n = read_0r;
  assign store_0n = ldata_0n;
  assign store_1n = ldata_1n;
  assign write_0a = wack_0n;
  dr_latch I6 (write_0r0d, write_0r1d, wack_0n, ldata_0n, ldata_1n);
endmodule

module BrzVariable_3_1_s0_ (
  write_0r0d, write_0r1d, write_0a,
  read_0r, read_0a0d, read_0a1d
);
  input [2:0] write_0r0d;
  input [2:0] write_0r1d;
  output write_0a;
  input read_0r;
  output [2:0] read_0a0d;
  output [2:0] read_0a1d;
  wire [2:0] store_0n;
  wire [2:0] store_1n;
  wire [2:0] ldata_0n;
  wire [2:0] ldata_1n;
  wire [2:0] wack_0n;
  wire readReq_0n;
  AND2_A I0 (read_0a1d[0], store_1n[0], readReq_0n);
  AND2_A I1 (read_0a1d[1], store_1n[1], readReq_0n);
  AND2_A I2 (read_0a1d[2], store_1n[2], readReq_0n);
  AND2_A I3 (read_0a0d[0], store_0n[0], readReq_0n);
  AND2_A I4 (read_0a0d[1], store_0n[1], readReq_0n);
  AND2_A I5 (read_0a0d[2], store_0n[2], readReq_0n);
  assign readReq_0n = read_0r;
  assign store_0n[0] = ldata_0n[0];
  assign store_0n[1] = ldata_0n[1];
  assign store_0n[2] = ldata_0n[2];
  assign store_1n[0] = ldata_1n[0];
  assign store_1n[1] = ldata_1n[1];
  assign store_1n[2] = ldata_1n[2];
  c3 I13 (write_0a, wack_0n[0], wack_0n[1], wack_0n[2]);
  dr_latch I14 (write_0r0d[0], write_0r1d[0], wack_0n[0], ldata_0n[0], ldata_1n[0]);
  dr_latch I15 (write_0r0d[1], write_0r1d[1], wack_0n[1], ldata_0n[1], ldata_1n[1]);
  dr_latch I16 (write_0r0d[2], write_0r1d[2], wack_0n[2], ldata_0n[2], ldata_1n[2]);
endmodule

module BrzVariable_3_2_s0_ (
  write_0r0d, write_0r1d, write_0a,
  read_0r, read_0a0d, read_0a1d,
  read_1r, read_1a0d, read_1a1d
);
  input [2:0] write_0r0d;
  input [2:0] write_0r1d;
  output write_0a;
  input read_0r;
  output [2:0] read_0a0d;
  output [2:0] read_0a1d;
  input read_1r;
  output [2:0] read_1a0d;
  output [2:0] read_1a1d;
  wire [2:0] store_0n;
  wire [2:0] store_1n;
  wire [2:0] ldata_0n;
  wire [2:0] ldata_1n;
  wire [2:0] wack_0n;
  wire readReq_0n;
  wire readReq_1n;
  AND2_A I0 (read_1a1d[0], store_1n[0], readReq_1n);
  AND2_A I1 (read_1a1d[1], store_1n[1], readReq_1n);
  AND2_A I2 (read_1a1d[2], store_1n[2], readReq_1n);
  AND2_A I3 (read_1a0d[0], store_0n[0], readReq_1n);
  AND2_A I4 (read_1a0d[1], store_0n[1], readReq_1n);
  AND2_A I5 (read_1a0d[2], store_0n[2], readReq_1n);
  AND2_A I6 (read_0a1d[0], store_1n[0], readReq_0n);
  AND2_A I7 (read_0a1d[1], store_1n[1], readReq_0n);
  AND2_A I8 (read_0a1d[2], store_1n[2], readReq_0n);
  AND2_A I9 (read_0a0d[0], store_0n[0], readReq_0n);
  AND2_A I10 (read_0a0d[1], store_0n[1], readReq_0n);
  AND2_A I11 (read_0a0d[2], store_0n[2], readReq_0n);
  assign readReq_0n = read_0r;
  assign readReq_1n = read_1r;
  assign store_0n[0] = ldata_0n[0];
  assign store_0n[1] = ldata_0n[1];
  assign store_0n[2] = ldata_0n[2];
  assign store_1n[0] = ldata_1n[0];
  assign store_1n[1] = ldata_1n[1];
  assign store_1n[2] = ldata_1n[2];
  c3 I20 (write_0a, wack_0n[0], wack_0n[1], wack_0n[2]);
  dr_latch I21 (write_0r0d[0], write_0r1d[0], wack_0n[0], ldata_0n[0], ldata_1n[0]);
  dr_latch I22 (write_0r0d[1], write_0r1d[1], wack_0n[1], ldata_0n[1], ldata_1n[1]);
  dr_latch I23 (write_0r0d[2], write_0r1d[2], wack_0n[2], ldata_0n[2], ldata_1n[2]);
endmodule

module BrzWhile (
  activate_0r, activate_0a,
  guard_0r, guard_0a0d, guard_0a1d,
  activateOut_0r, activateOut_0a
);
  input activate_0r;
  output activate_0a;
  output guard_0r;
  input guard_0a0d;
  input guard_0a1d;
  output activateOut_0r;
  input activateOut_0a;
  wire guardReq_0n;
  wire nReq_0n;
  selem I0 (guardReq_0n, activateOut_0r, guard_0r, guard_0a1d);
  INV_A I1 (nReq_0n, activate_0r);
  NOR2_A I2 (guardReq_0n, nReq_0n, activateOut_0a);
  assign activate_0a = guard_0a0d;
endmodule

module Balsa_startup__state1 (
  activate_0r, activate_0a,
  mon1__ready_0r, mon1__ready_0a,
  mon2__ready_0r, mon2__ready_0a,
  mon3__ready_0r, mon3__ready_0a,
  vok1_0r, vok1_0a0d, vok1_0a1d,
  vok2_0r, vok2_0a0d, vok2_0a1d,
  vok3_0r, vok3_0a0d, vok3_0a1d,
  ref1__ready_0r, ref1__ready_0a,
  ref2__ready_0r, ref2__ready_0a,
  vreg1__ready_0r, vreg1__ready_0a,
  vreg2__ready_0r, vreg2__ready_0a,
  mon1__enable_0r0d, mon1__enable_0r1d, mon1__enable_0a,
  mon2__enable_0r0d, mon2__enable_0r1d, mon2__enable_0a,
  mon3__enable_0r0d, mon3__enable_0r1d, mon3__enable_0a,
  ref1__enable_0r0d, ref1__enable_0r1d, ref1__enable_0a,
  ref2__enable_0r0d, ref2__enable_0r1d, ref2__enable_0a,
  vreg1__enable_0r0d, vreg1__enable_0r1d, vreg1__enable_0a,
  vreg2__enable_0r0d, vreg2__enable_0r1d, vreg2__enable_0a,
  selvdd_0r0d, selvdd_0r1d, selvdd_0a
);
  input activate_0r;
  output activate_0a;
  input mon1__ready_0r;
  output mon1__ready_0a;
  input mon2__ready_0r;
  output mon2__ready_0a;
  input mon3__ready_0r;
  output mon3__ready_0a;
  output vok1_0r;
  input vok1_0a0d;
  input vok1_0a1d;
  output vok2_0r;
  input vok2_0a0d;
  input vok2_0a1d;
  output vok3_0r;
  input vok3_0a0d;
  input vok3_0a1d;
  input ref1__ready_0r;
  output ref1__ready_0a;
  input ref2__ready_0r;
  output ref2__ready_0a;
  input vreg1__ready_0r;
  output vreg1__ready_0a;
  input vreg2__ready_0r;
  output vreg2__ready_0a;
  output mon1__enable_0r0d;
  output mon1__enable_0r1d;
  input mon1__enable_0a;
  output mon2__enable_0r0d;
  output mon2__enable_0r1d;
  input mon2__enable_0a;
  output mon3__enable_0r0d;
  output mon3__enable_0r1d;
  input mon3__enable_0a;
  output ref1__enable_0r0d;
  output ref1__enable_0r1d;
  input ref1__enable_0a;
  output ref2__enable_0r0d;
  output ref2__enable_0r1d;
  input ref2__enable_0a;
  output vreg1__enable_0r0d;
  output vreg1__enable_0r1d;
  input vreg1__enable_0a;
  output vreg2__enable_0r0d;
  output vreg2__enable_0r1d;
  input vreg2__enable_0a;
  output [2:0] selvdd_0r0d;
  output [2:0] selvdd_0r1d;
  input selvdd_0a;
  wire [2:0] c145_r0d;
  wire [2:0] c145_r1d;
  wire c145_a;
  wire c144_r0d;
  wire c144_r1d;
  wire c144_a;
  wire c143_r;
  wire c143_a;
  wire c142_r;
  wire c142_a;
  wire c141_r;
  wire c141_a;
  wire c140_r;
  wire c140_a;
  wire c139_r;
  wire c139_a0d;
  wire c139_a1d;
  wire c138_r;
  wire c138_a;
  wire c137_r;
  wire c137_a;
  wire c136_r;
  wire c136_a;
  wire c135_r0d;
  wire c135_r1d;
  wire c135_a;
  wire c134_r;
  wire c134_a;
  wire c133_r0d;
  wire c133_r1d;
  wire c133_a;
  wire c132_r;
  wire c132_a0d;
  wire c132_a1d;
  wire c131_r;
  wire c131_a0d;
  wire c131_a1d;
  wire c130_r;
  wire c130_a;
  wire [2:0] c129_r0d;
  wire [2:0] c129_r1d;
  wire c129_a;
  wire c128_r;
  wire [2:0] c128_a0d;
  wire [2:0] c128_a1d;
  wire c127_r;
  wire c127_a;
  wire c126_r;
  wire c126_a0d;
  wire c126_a1d;
  wire c125_r;
  wire c125_a0d;
  wire c125_a1d;
  wire c124_r;
  wire c124_a;
  wire [2:0] c123_r0d;
  wire [2:0] c123_r1d;
  wire c123_a;
  wire c122_r;
  wire [2:0] c122_a0d;
  wire [2:0] c122_a1d;
  wire c121_r;
  wire c121_a;
  wire c120_r0d;
  wire c120_r1d;
  wire c120_a;
  wire c119_r;
  wire c119_a0d;
  wire c119_a1d;
  wire c118_r;
  wire c118_a0d;
  wire c118_a1d;
  wire c117_r0d;
  wire c117_r1d;
  wire c117_a;
  wire c116_r;
  wire c116_a;
  wire c115_r;
  wire c115_a;
  wire c114_r0d;
  wire c114_r1d;
  wire c114_a;
  wire c113_r;
  wire c113_a;
  wire c112_r;
  wire c112_a0d;
  wire c112_a1d;
  wire c111_r;
  wire c111_a0d;
  wire c111_a1d;
  wire c110_r;
  wire c110_a0d;
  wire c110_a1d;
  wire c109_r0d;
  wire c109_r1d;
  wire c109_a;
  wire c108_r;
  wire c108_a;
  wire c107_r;
  wire c107_a;
  wire c106_r;
  wire c106_a;
  wire c105_r0d;
  wire c105_r1d;
  wire c105_a;
  wire c104_r;
  wire c104_a;
  wire c103_r;
  wire c103_a0d;
  wire c103_a1d;
  wire c102_r;
  wire c102_a0d;
  wire c102_a1d;
  wire c101_r;
  wire [2:0] c101_a0d;
  wire [2:0] c101_a1d;
  wire c100_r;
  wire c100_a;
  wire c99_r;
  wire c99_a;
  wire c98_r;
  wire c98_a;
  wire c97_r;
  wire c97_a0d;
  wire c97_a1d;
  wire c96_r;
  wire [2:0] c96_a0d;
  wire [2:0] c96_a1d;
  wire c95_r;
  wire c95_a;
  wire c94_r;
  wire c94_a;
  wire c93_r;
  wire c93_a;
  wire c92_r;
  wire c92_a;
  wire c91_r;
  wire c91_a0d;
  wire c91_a1d;
  wire c90_r0d;
  wire c90_r1d;
  wire c90_a;
  wire c89_r;
  wire [2:0] c89_a0d;
  wire [2:0] c89_a1d;
  wire [2:0] c88_r0d;
  wire [2:0] c88_r1d;
  wire c88_a;
  wire c87_r;
  wire c87_a;
  wire c86_r;
  wire c86_a;
  wire [2:0] c85_r0d;
  wire [2:0] c85_r1d;
  wire c85_a;
  wire c84_r;
  wire [2:0] c84_a0d;
  wire [2:0] c84_a1d;
  wire c83_r;
  wire [2:0] c83_a0d;
  wire [2:0] c83_a1d;
  wire c82_r;
  wire c82_a;
  wire c81_r;
  wire [2:0] c81_a0d;
  wire [2:0] c81_a1d;
  wire c80_r;
  wire c80_a;
  wire c79_r;
  wire c79_a;
  wire c78_r;
  wire c78_a;
  wire c77_r;
  wire c77_a;
  wire c76_r;
  wire c76_a0d;
  wire c76_a1d;
  wire c75_r;
  wire c75_a;
  wire c74_r;
  wire c74_a;
  wire c73_r;
  wire c73_a;
  wire c72_r;
  wire c72_a;
  wire c71_r;
  wire c71_a;
  wire c70_r;
  wire c70_a;
  wire c69_r;
  wire c69_a0d;
  wire c69_a1d;
  wire c68_r;
  wire c68_a;
  wire c67_r;
  wire c67_a;
  wire c66_r;
  wire c66_a;
  wire c65_r;
  wire c65_a;
  wire c64_r;
  wire c64_a;
  wire c63_r;
  wire c63_a;
  wire c62_r;
  wire c62_a;
  wire c61_r;
  wire c61_a;
  wire c60_r;
  wire c60_a;
  wire c59_r;
  wire c59_a0d;
  wire c59_a1d;
  wire c58_r;
  wire c58_a;
  wire c57_r;
  wire c57_a;
  wire c56_r;
  wire c56_a;
  wire c55_r;
  wire c55_a;
  wire c54_r;
  wire c54_a;
  wire c53_r;
  wire c53_a;
  wire c52_r;
  wire c52_a0d;
  wire c52_a1d;
  wire c51_r;
  wire c51_a;
  wire c50_r;
  wire c50_a;
  wire c49_r;
  wire c49_a;
  wire c48_r;
  wire c48_a;
  wire c47_r;
  wire c47_a;
  wire c46_r0d;
  wire c46_r1d;
  wire c46_a;
  wire c45_r;
  wire c45_a;
  wire c44_r0d;
  wire c44_r1d;
  wire c44_a;
  wire c43_r;
  wire c43_a0d;
  wire c43_a1d;
  wire c42_r0d;
  wire c42_r1d;
  wire c42_a;
  wire c41_r;
  wire c41_a;
  wire c40_r;
  wire c40_a;
  wire c39_r0d;
  wire c39_r1d;
  wire c39_a;
  wire c38_r;
  wire c38_a;
  wire c37_r;
  wire c37_a0d;
  wire c37_a1d;
  wire c36_r;
  wire c36_a0d;
  wire c36_a1d;
  wire c35_r;
  wire c35_a;
  wire c34_r;
  wire c34_a0d;
  wire c34_a1d;
  wire c33_r;
  wire c33_a;
  wire c32_r;
  wire c32_a;
  wire c31_r;
  wire c31_a;
  wire c30_r;
  wire c30_a;
  wire c29_r;
  wire c29_a;
  wire c28_r;
  wire c28_a;
  wire c27_r;
  wire c27_a;
  wire c26_r;
  wire c26_a;
  wire c25_r;
  wire c25_a;
  wire c24_r;
  wire c24_a;
  wire c23_r;
  wire c23_a;
  wire c22_r;
  wire c22_a;
  wire [2:0] c21_r0d;
  wire [2:0] c21_r1d;
  wire c21_a;
  wire c20_r;
  wire [2:0] c20_a0d;
  wire [2:0] c20_a1d;
  BrzVariable_3_1_s0_ I0 (c21_r0d, c21_r1d, c21_a, c122_r, c122_a0d, c122_a1d);
  BrzVariable_3_2_s0_ I1 (c145_r0d, c145_r1d, c145_a, c20_r, c20_a0d, c20_a1d, c128_r, c128_a0d, c128_a1d);
  BrzVariable_3_2_s0_ I2 (c129_r0d, c129_r1d, c129_a, c101_r, c101_a0d, c101_a1d, c96_r, c96_a0d, c96_a1d);
  BrzVariable_3_2_s0_ I3 (c85_r0d, c85_r1d, c85_a, c83_r, c83_a0d, c83_a1d, c81_r, c81_a0d, c81_a1d);
  BrzVariable_1_1_s0_ I4 (c46_r0d, c46_r1d, c46_a, c36_r, c36_a0d, c36_a1d);
  BrzVariable_1_1_s0_ I5 (c44_r0d, c44_r1d, c44_a, c34_r, c34_a0d, c34_a1d);
  BrzVariable_1_1_s0_ I6 (c144_r0d, c144_r1d, c144_a, c111_r, c111_a0d, c111_a1d);
  BrzCallMux_1_2 I7 (c133_r0d, c133_r1d, c133_a, c90_r0d, c90_r1d, c90_a, c144_r0d, c144_r1d, c144_a);
  BrzVariable_1_1_s0_ I8 (c120_r0d, c120_r1d, c120_a, c125_r, c125_a0d, c125_a1d);
  BrzConcur_2 I9 (c64_r, c64_a, c143_r, c143_a, c142_r, c142_a);
  BrzSequence_4_s3_SSS I10 (c79_r, c79_a, c141_r, c141_a, c134_r, c134_a, c130_r, c130_a, c127_r, c127_a);
  BrzConcur_2 I11 (c141_r, c141_a, c140_r, c140_a, c138_r, c138_a);
  BrzFetch_1_s5_false I12 (c140_r, c140_a, c139_r, c139_a0d, c139_a1d, mon3__enable_0r0d, mon3__enable_0r1d, mon3__enable_0a);
  BrzConstant_1_1 I13 (c139_r, c139_a0d, c139_a1d);
  BrzDecisionWait_1 I14 (c138_r, c138_a, mon3__ready_0r, mon3__ready_0a, c137_r, c137_a);
  BrzContinue I15 (c137_r, c137_a);
  BrzFalseVariable_1_1_s0_ I16 (c135_r0d, c135_r1d, c135_a, c136_r, c136_a, c132_r, c132_a0d, c132_a1d);
  BrzFetch_1_s5_false I17 (c134_r, c134_a, c131_r, c131_a0d, c131_a1d, c135_r0d, c135_r1d, c135_a);
  BrzFetch_1_s5_false I18 (c136_r, c136_a, c132_r, c132_a0d, c132_a1d, c133_r0d, c133_r1d, c133_a);
  BrzFetch_3_s5_false I19 (c130_r, c130_a, c128_r, c128_a0d, c128_a1d, c129_r0d, c129_r1d, c129_a);
  BrzCallDemux_1_2 I20 (c91_r, c91_a0d, c91_a1d, c131_r, c131_a0d, c131_a1d, vok3_0r, vok3_0a0d, vok3_0a1d);
  BrzWhile I21 (activate_0r, activate_0a, c126_r, c126_a0d, c126_a1d, c124_r, c124_a);
  BrzUnaryFunc_1_1_s6_Invert_s5_false I22 (c126_r, c126_a0d, c126_a1d, c125_r, c125_a0d, c125_a1d);
  BrzSequence_2_s1_S I23 (c124_r, c124_a, c23_r, c23_a, c22_r, c22_a);
  BrzCase_3_8_s29_0_3b1_3b2_3b3_3b6_3b5_3b7__m9m I24 (c123_r0d, c123_r1d, c123_a, c31_r, c31_a, c49_r, c49_a, c56_r, c56_a, c63_r, c63_a, c71_r, c71_a, c78_r, c78_a, c113_r, c113_a, c121_r, c121_a);
  BrzFetch_3_s5_false I25 (c23_r, c23_a, c122_r, c122_a0d, c122_a1d, c123_r0d, c123_r1d, c123_a);
  BrzFetch_1_s5_false I26 (c121_r, c121_a, c119_r, c119_a0d, c119_a1d, c120_r0d, c120_r1d, c120_a);
  BrzConstant_1_1 I27 (c119_r, c119_a0d, c119_a1d);
  BrzCallActive_2 I28 (vreg2__ready_0r, vreg2__ready_0a, c66_r, c66_a, c98_r, c98_a);
  BrzCallActive_2 I29 (vreg1__ready_0r, vreg1__ready_0a, c73_r, c73_a, c93_r, c93_a);
  BrzCase_1_2_s5_0_3b1 I30 (c114_r0d, c114_r1d, c114_a, c80_r, c80_a, c106_r, c106_a);
  BrzSequence_2_s1_S I31 (c113_r, c113_a, c115_r, c115_a, c116_r, c116_a);
  BrzFetch_1_s5_false I32 (c115_r, c115_a, c112_r, c112_a0d, c112_a1d, c117_r0d, c117_r1d, c117_a);
  BrzFetch_1_s5_false I33 (c116_r, c116_a, c118_r, c118_a0d, c118_a1d, c114_r0d, c114_r1d, c114_a);
  BrzVariable_1_1_s0_ I34 (c117_r0d, c117_r1d, c117_a, c118_r, c118_a0d, c118_a1d);
  BrzUnaryFunc_1_1_s6_Invert_s5_false I35 (c112_r, c112_a0d, c112_a1d, c111_r, c111_a0d, c111_a1d);
  BrzCase_1_1_s1_1 I36 (c105_r0d, c105_r1d, c105_a, c104_r, c104_a);
  BrzSequence_6_s5_SSSSS I37 (c106_r, c106_a, c107_r, c107_a, c108_r, c108_a, c92_r, c92_a, c86_r, c86_a, c87_r, c87_a, c82_r, c82_a);
  BrzFetch_1_s5_false I38 (c107_r, c107_a, c103_r, c103_a0d, c103_a1d, c109_r0d, c109_r1d, c109_a);
  BrzFetch_1_s5_false I39 (c108_r, c108_a, c110_r, c110_a0d, c110_a1d, c105_r0d, c105_r1d, c105_a);
  BrzVariable_1_1_s0_ I40 (c109_r0d, c109_r1d, c109_a, c110_r, c110_a0d, c110_a1d);
  BrzBar_2 I41 (c103_r, c103_a0d, c103_a1d, c104_r, c104_a, c97_r, c97_a0d, c97_a1d, c102_r, c102_a0d, c102_a1d, c95_r, c95_a, c100_r, c100_a);
  BrzBinaryFuncConstR_1_3_3_s6_Equals_s5_fal_m8m I42 (c102_r, c102_a0d, c102_a1d, c101_r, c101_a0d, c101_a1d);
  BrzDecisionWait_1 I43 (c100_r, c100_a, c98_r, c98_a, c99_r, c99_a);
  BrzContinue I44 (c99_r, c99_a);
  BrzBinaryFuncConstR_1_3_3_s6_Equals_s5_fal_m7m I45 (c97_r, c97_a0d, c97_a1d, c96_r, c96_a0d, c96_a1d);
  BrzDecisionWait_1 I46 (c95_r, c95_a, c93_r, c93_a, c94_r, c94_a);
  BrzContinue I47 (c94_r, c94_a);
  BrzFetch_1_s5_false I48 (c92_r, c92_a, c91_r, c91_a0d, c91_a1d, c90_r0d, c90_r1d, c90_a);
  BrzFetch_3_s5_false I49 (c86_r, c86_a, c84_r, c84_a0d, c84_a1d, c88_r0d, c88_r1d, c88_a);
  BrzFetch_3_s5_false I50 (c87_r, c87_a, c89_r, c89_a0d, c89_a1d, c85_r0d, c85_r1d, c85_a);
  BrzVariable_3_1_s0_ I51 (c88_r0d, c88_r1d, c88_a, c89_r, c89_a0d, c89_a1d);
  BrzBinaryFuncConstR_3_3_1_s3_Add_s5_false__m3m I52 (c84_r, c84_a0d, c84_a1d, c83_r, c83_a0d, c83_a1d);
  BrzFetch_3_s5_false I53 (c82_r, c82_a, c81_r, c81_a0d, c81_a1d, selvdd_0r0d, selvdd_0r1d, selvdd_0a);
  BrzCall_2 I54 (c72_r, c72_a, c65_r, c65_a, c79_r, c79_a);
  BrzConcur_3 I55 (c78_r, c78_a, c77_r, c77_a, c75_r, c75_a, c72_r, c72_a);
  BrzFetch_1_s5_false I56 (c77_r, c77_a, c76_r, c76_a0d, c76_a1d, vreg1__enable_0r0d, vreg1__enable_0r1d, vreg1__enable_0a);
  BrzConstant_1_1 I57 (c76_r, c76_a0d, c76_a1d);
  BrzDecisionWait_1 I58 (c75_r, c75_a, c73_r, c73_a, c74_r, c74_a);
  BrzContinue I59 (c74_r, c74_a);
  BrzConcur_3 I60 (c71_r, c71_a, c70_r, c70_a, c68_r, c68_a, c65_r, c65_a);
  BrzFetch_1_s5_false I61 (c70_r, c70_a, c69_r, c69_a0d, c69_a1d, vreg2__enable_0r0d, vreg2__enable_0r1d, vreg2__enable_0a);
  BrzConstant_1_1 I62 (c69_r, c69_a0d, c69_a1d);
  BrzDecisionWait_1 I63 (c68_r, c68_a, c66_r, c66_a, c67_r, c67_a);
  BrzContinue I64 (c67_r, c67_a);
  BrzCall_2 I65 (c62_r, c62_a, c55_r, c55_a, c64_r, c64_a);
  BrzSequence_2_s1_S I66 (c63_r, c63_a, c62_r, c62_a, c61_r, c61_a);
  BrzConcur_2 I67 (c61_r, c61_a, c60_r, c60_a, c58_r, c58_a);
  BrzFetch_1_s5_false I68 (c60_r, c60_a, c59_r, c59_a0d, c59_a1d, ref2__enable_0r0d, ref2__enable_0r1d, ref2__enable_0a);
  BrzConstant_1_1 I69 (c59_r, c59_a0d, c59_a1d);
  BrzDecisionWait_1 I70 (c58_r, c58_a, ref2__ready_0r, ref2__ready_0a, c57_r, c57_a);
  BrzSequence_2_s1_S I71 (c56_r, c56_a, c55_r, c55_a, c54_r, c54_a);
  BrzConcur_2 I72 (c54_r, c54_a, c53_r, c53_a, c51_r, c51_a);
  BrzFetch_1_s5_false I73 (c53_r, c53_a, c52_r, c52_a0d, c52_a1d, ref1__enable_0r0d, ref1__enable_0r1d, ref1__enable_0a);
  BrzConstant_1_1 I74 (c52_r, c52_a0d, c52_a1d);
  BrzDecisionWait_1 I75 (c51_r, c51_a, ref1__ready_0r, ref1__ready_0a, c50_r, c50_a);
  BrzSequence_3_s2_SS I76 (c49_r, c49_a, c48_r, c48_a, c40_r, c40_a, c41_r, c41_a);
  BrzConcur_2 I77 (c48_r, c48_a, c47_r, c47_a, c45_r, c45_a);
  BrzFetch_1_s5_false I78 (c47_r, c47_a, vok1_0r, vok1_0a0d, vok1_0a1d, c46_r0d, c46_r1d, c46_a);
  BrzFetch_1_s5_false I79 (c45_r, c45_a, vok2_0r, vok2_0a0d, vok2_0a1d, c44_r0d, c44_r1d, c44_a);
  BrzCase_1_2_s5_0_3b1 I80 (c39_r0d, c39_r1d, c39_a, c32_r, c32_a, c38_r, c38_a);
  BrzFetch_1_s5_false I81 (c40_r, c40_a, c37_r, c37_a0d, c37_a1d, c42_r0d, c42_r1d, c42_a);
  BrzFetch_1_s5_false I82 (c41_r, c41_a, c43_r, c43_a0d, c43_a1d, c39_r0d, c39_r1d, c39_a);
  BrzVariable_1_1_s0_ I83 (c42_r0d, c42_r1d, c42_a, c43_r, c43_a0d, c43_a1d);
  BrzBar_2 I84 (c37_r, c37_a0d, c37_a1d, c38_r, c38_a, c34_r, c34_a0d, c34_a1d, c36_r, c36_a0d, c36_a1d, c33_r, c33_a, c35_r, c35_a);
  BrzConcur_5 I85 (c31_r, c31_a, c30_r, c30_a, c29_r, c29_a, c27_r, c27_a, c26_r, c26_a, c24_r, c24_a);
  BrzDecisionWait_1 I86 (c29_r, c29_a, mon1__ready_0r, mon1__ready_0a, c28_r, c28_a);
  BrzContinue I87 (c28_r, c28_a);
  BrzDecisionWait_1 I88 (c26_r, c26_a, mon2__ready_0r, mon2__ready_0a, c25_r, c25_a);
  BrzContinue I89 (c25_r, c25_a);
  BrzFetch_3_s5_false I90 (c22_r, c22_a, c20_r, c20_a0d, c20_a1d, c21_r0d, c21_r1d, c21_a);
  BrzEncode_1_2_s5_1_3b0 I91 (c30_r, c30_a, c143_r, c143_a, mon1__enable_0r0d, mon1__enable_0r1d, mon1__enable_0a);
  BrzEncode_1_2_s5_1_3b0 I92 (c27_r, c27_a, c142_r, c142_a, mon2__enable_0r0d, mon2__enable_0r1d, mon2__enable_0a);
  BrzEncode_3_8_s29_7_3b1_3b1_3b3_3b2_3b5_3b_m10m I93 (c127_r, c127_a, c24_r, c24_a, c32_r, c32_a, c33_r, c33_a, c35_r, c35_a, c50_r, c50_a, c57_r, c57_a, c80_r, c80_a, c145_r0d, c145_r1d, c145_a);
endmodule

