/*
    `impl-startup_state2-state2.v'
    Balsa Verilog netlist file
    Created: Fri Aug 12 01:35:00 CEST 2011
    By: sveinryp@rapekatt (Linux)
    With net-verilog (balsa-netlist) version: 4.0
    Using technology: ndc35900/dual_b
    Command line : (balsa-netlist --technology ndc35900/dual_b/ -I . -l impl-startup_state2-state2.lst -L impl-startup_state2-state2.log --simulation-initialise --basename impl-startup_state2-state2 [startup_state2])

    Using `simulation-initialise'
    You must set the following preprocessor directives to use this file:
        balsa_simulate: set if you wish to initialise signal values during sim.
        balsa_init_time: duration of forced initialisation

    Using `propagate-globals'
    The design contains no global nets
*/

`timescale 1ns/1ps

module mutex (
  inA,
  inB,
  outA,
  outB
);
  input inA;
  input inB;
  output outA;
  output outB;
  wire [1:0] internals_0n;
  NOR3_A I0 (outB, internals_0n[1], internals_0n[1], internals_0n[1]);
  NOR3_A I1 (outA, internals_0n[0], internals_0n[0], internals_0n[0]);
  NAND2_A I2 (internals_0n[1], inB, internals_0n[0]);
  NAND2_A I3 (internals_0n[0], inA, internals_0n[1]);
endmodule

module BrzArbiter (
  inpA_0r, inpA_0a,
  inpB_0r, inpB_0a,
  outA_0r, outA_0a,
  outB_0r, outB_0a
);
  input inpA_0r;
  output inpA_0a;
  input inpB_0r;
  output inpB_0a;
  output outA_0r;
  input outA_0a;
  output outB_0r;
  input outB_0a;
  wire moA_0n;
  wire moB_0n;
  wire notAa_0n;
  wire notBa_0n;
  AND2_A I0 (outB_0r, moB_0n, notAa_0n);
  AND2_A I1 (outA_0r, moA_0n, notBa_0n);
  INV_A I2 (notBa_0n, outB_0a);
  INV_A I3 (notAa_0n, outA_0a);
  mutex I4 (inpA_0r, inpB_0r, moA_0n, moB_0n);
  assign inpA_0a = outA_0a;
  assign inpB_0a = outB_0a;
endmodule

module c2 (
  q,
  i0,
  i1
);
  output q;
  input i0;
  input i1;
  AO222_A I0 (q, i0, i1, i0, q, i1, q);
endmodule

module dr_latch (
  in_0,
  in_1,
  in_a,
  out_0,
  out_1
);
  input in_0;
  input in_1;
  output in_a;
  output out_0;
  output out_1;

`ifdef balsa_simulate
  initial begin
    force out_0 = 1;
    #`balsa_init_time;
    release out_0;
    if (out_0 !== 1)
        $display ("module %m: signal out_0 not correctly initialised");
  end
`endif

  AO22_A I0 (in_a, in_0, out_0, in_1, out_1);
  NOR2_A I1 (out_0, in_1, out_1);
  NOR2_A I2 (out_1, in_0, out_0);
endmodule

module BrzBar_2 (
  guard_0r, guard_0a0d, guard_0a1d,
  activate_0r, activate_0a,
  guardInput_0r, guardInput_0a0d, guardInput_0a1d,
  guardInput_1r, guardInput_1a0d, guardInput_1a1d,
  activateOut_0r, activateOut_0a,
  activateOut_1r, activateOut_1a
);
  input guard_0r;
  output guard_0a0d;
  output guard_0a1d;
  input activate_0r;
  output activate_0a;
  output guardInput_0r;
  input guardInput_0a0d;
  input guardInput_0a1d;
  output guardInput_1r;
  input guardInput_1a0d;
  input guardInput_1a1d;
  output activateOut_0r;
  input activateOut_0a;
  output activateOut_1r;
  input activateOut_1a;
  wire [2:0] bypass_0n;
  wire [1:0] guardChoiceT_0n;
  wire [1:0] guardChoiceF_0n;
  wire gInput1_0n;
  wire gInput0_0n;
  wire [1:0] cdi_0n;
  wire cd_0n;
  assign guardInput_0r = guard_0r;
  assign guardInput_1r = guard_0r;
  OR3_A I2 (activate_0a, activateOut_0a, activateOut_1a, bypass_0n[2]);
  assign bypass_0n[0] = activate_0r;
  AND2_A I4 (activateOut_0r, bypass_0n[0], guardChoiceT_0n[0]);
  AND2_A I5 (activateOut_1r, bypass_0n[1], guardChoiceT_0n[1]);
  AND2_A I6 (bypass_0n[1], bypass_0n[0], guardChoiceF_0n[0]);
  AND2_A I7 (bypass_0n[2], bypass_0n[1], guardChoiceF_0n[1]);
  c2 I8 (cd_0n, cdi_0n[0], cdi_0n[1]);
  dr_latch I9 (guardInput_0a0d, guardInput_0a1d, cdi_0n[0], guardChoiceF_0n[0], guardChoiceT_0n[0]);
  dr_latch I10 (guardInput_1a0d, guardInput_1a1d, cdi_0n[1], guardChoiceF_0n[1], guardChoiceT_0n[1]);
  c2 I11 (guard_0a0d, gInput0_0n, cd_0n);
  AND2_A I12 (gInput0_0n, guardInput_0a0d, guardInput_1a0d);
  c2 I13 (guard_0a1d, gInput1_0n, cd_0n);
  OR2_A I14 (gInput1_0n, guardInput_0a1d, guardInput_1a1d);
endmodule

module dr_or2 (
  i0_0,
  i0_1,
  i1_0,
  i1_1,
  q_0,
  q_1
);
  input i0_0;
  input i0_1;
  input i1_0;
  input i1_1;
  output q_0;
  output q_1;
  wire n0_0n;
  wire n1_0n;
  wire n2_0n;
  c2 I0 (q_0, i0_0, i1_0);
  OR3_A I1 (q_1, n0_0n, n1_0n, n2_0n);
  c2 I2 (n2_0n, i0_1, i1_1);
  c2 I3 (n1_0n, i0_1, i1_0);
  c2 I4 (n0_0n, i0_0, i1_1);
endmodule

module BrzBinaryFuncConstR_1_2_1_s6_Equals_s5_fal_m4m (
  out_0r, out_0a0d, out_0a1d,
  inpA_0r, inpA_0a0d, inpA_0a1d
);
  input out_0r;
  output out_0a0d;
  output out_0a1d;
  output inpA_0r;
  input [1:0] inpA_0a0d;
  input [1:0] inpA_0a1d;
  wire [1:0] compOut1_0n;
  wire [1:0] compOut0_0n;
  wire internalA1_0n;
  wire internalA0_0n;
  assign out_0a0d = internalA1_0n;
  assign out_0a1d = internalA0_0n;
  dr_or2 I2 (compOut0_0n[0], compOut1_0n[0], compOut0_0n[1], compOut1_0n[1], internalA0_0n, internalA1_0n);
  assign compOut0_0n[0] = inpA_0a0d[0];
  assign compOut0_0n[1] = inpA_0a0d[1];
  assign compOut1_0n[0] = inpA_0a1d[0];
  assign compOut1_0n[1] = inpA_0a1d[1];
  assign inpA_0r = out_0r;
endmodule

module BrzBinaryFuncConstR_1_2_1_s6_Equals_s5_fal_m5m (
  out_0r, out_0a0d, out_0a1d,
  inpA_0r, inpA_0a0d, inpA_0a1d
);
  input out_0r;
  output out_0a0d;
  output out_0a1d;
  output inpA_0r;
  input [1:0] inpA_0a0d;
  input [1:0] inpA_0a1d;
  wire [1:0] compOut1_0n;
  wire [1:0] compOut0_0n;
  wire internalA1_0n;
  wire internalA0_0n;
  assign out_0a0d = internalA1_0n;
  assign out_0a1d = internalA0_0n;
  dr_or2 I2 (compOut0_0n[0], compOut1_0n[0], compOut0_0n[1], compOut1_0n[1], internalA0_0n, internalA1_0n);
  assign compOut0_0n[1] = inpA_0a0d[1];
  assign compOut1_0n[1] = inpA_0a1d[1];
  assign compOut1_0n[0] = inpA_0a0d[0];
  assign compOut0_0n[0] = inpA_0a1d[0];
  assign inpA_0r = out_0r;
endmodule

module BrzBinaryFuncConstR_1_2_2_s6_Equals_s5_fal_m6m (
  out_0r, out_0a0d, out_0a1d,
  inpA_0r, inpA_0a0d, inpA_0a1d
);
  input out_0r;
  output out_0a0d;
  output out_0a1d;
  output inpA_0r;
  input [1:0] inpA_0a0d;
  input [1:0] inpA_0a1d;
  wire [1:0] compOut1_0n;
  wire [1:0] compOut0_0n;
  wire internalA1_0n;
  wire internalA0_0n;
  assign out_0a0d = internalA1_0n;
  assign out_0a1d = internalA0_0n;
  dr_or2 I2 (compOut0_0n[0], compOut1_0n[0], compOut0_0n[1], compOut1_0n[1], internalA0_0n, internalA1_0n);
  assign compOut0_0n[0] = inpA_0a0d[0];
  assign compOut1_0n[0] = inpA_0a1d[0];
  assign compOut1_0n[1] = inpA_0a0d[1];
  assign compOut0_0n[1] = inpA_0a1d[1];
  assign inpA_0r = out_0r;
endmodule

module BrzBinaryFuncConstR_1_3_3_s6_Equals_s5_fal_m7m (
  out_0r, out_0a0d, out_0a1d,
  inpA_0r, inpA_0a0d, inpA_0a1d
);
  input out_0r;
  output out_0a0d;
  output out_0a1d;
  output inpA_0r;
  input [2:0] inpA_0a0d;
  input [2:0] inpA_0a1d;
  wire [2:0] compOut1_0n;
  wire [2:0] compOut0_0n;
  wire [1:0] internalA1_0n;
  wire [1:0] internalA0_0n;
  assign out_0a0d = internalA1_0n[0];
  assign out_0a1d = internalA0_0n[0];
  dr_or2 I2 (compOut0_0n[1], compOut1_0n[1], compOut0_0n[2], compOut1_0n[2], internalA0_0n[1], internalA1_0n[1]);
  dr_or2 I3 (compOut0_0n[0], compOut1_0n[0], internalA0_0n[1], internalA1_0n[1], internalA0_0n[0], internalA1_0n[0]);
  assign compOut0_0n[1] = inpA_0a0d[1];
  assign compOut1_0n[1] = inpA_0a1d[1];
  assign compOut1_0n[0] = inpA_0a0d[0];
  assign compOut1_0n[2] = inpA_0a0d[2];
  assign compOut0_0n[0] = inpA_0a1d[0];
  assign compOut0_0n[2] = inpA_0a1d[2];
  assign inpA_0r = out_0r;
endmodule

module BrzBinaryFuncConstR_1_3_3_s6_Equals_s5_fal_m8m (
  out_0r, out_0a0d, out_0a1d,
  inpA_0r, inpA_0a0d, inpA_0a1d
);
  input out_0r;
  output out_0a0d;
  output out_0a1d;
  output inpA_0r;
  input [2:0] inpA_0a0d;
  input [2:0] inpA_0a1d;
  wire [2:0] compOut1_0n;
  wire [2:0] compOut0_0n;
  wire [1:0] internalA1_0n;
  wire [1:0] internalA0_0n;
  assign out_0a0d = internalA1_0n[0];
  assign out_0a1d = internalA0_0n[0];
  dr_or2 I2 (compOut0_0n[1], compOut1_0n[1], compOut0_0n[2], compOut1_0n[2], internalA0_0n[1], internalA1_0n[1]);
  dr_or2 I3 (compOut0_0n[0], compOut1_0n[0], internalA0_0n[1], internalA1_0n[1], internalA0_0n[0], internalA1_0n[0]);
  assign compOut0_0n[0] = inpA_0a0d[0];
  assign compOut1_0n[0] = inpA_0a1d[0];
  assign compOut1_0n[1] = inpA_0a0d[1];
  assign compOut1_0n[2] = inpA_0a0d[2];
  assign compOut0_0n[1] = inpA_0a1d[1];
  assign compOut0_0n[2] = inpA_0a1d[2];
  assign inpA_0r = out_0r;
endmodule

module ao21 (
  q,
  i0,
  i1,
  i2
);
  output q;
  input i0;
  input i1;
  input i2;
  wire int_0n;
  OR2_A I0 (q, int_0n, i2);
  AND2_A I1 (int_0n, i0, i1);
endmodule

module dr_fa_p (
  a_0,
  a_1,
  b_0,
  b_1,
  co_0,
  co_1,
  sum_0,
  sum_1
);
  input a_0;
  input a_1;
  input b_0;
  input b_1;
  output co_0;
  output co_1;
  output sum_0;
  output sum_1;
  wire n0_0n;
  wire n1_0n;
  wire n2_0n;
  wire n3_0n;
  AND2_A I0 (co_0, a_0, b_0);
  ao21 I1 (co_1, a_0, b_1, a_1);
  OR2_A I2 (sum_0, n1_0n, n2_0n);
  OR2_A I3 (sum_1, n0_0n, n3_0n);
  c2 I4 (n3_0n, a_1, b_1);
  c2 I5 (n2_0n, a_1, b_0);
  c2 I6 (n1_0n, a_0, b_1);
  c2 I7 (n0_0n, a_0, b_0);
endmodule

module dr_ha (
  a_0,
  a_1,
  b_0,
  b_1,
  co_0,
  co_1,
  sum_0,
  sum_1
);
  input a_0;
  input a_1;
  input b_0;
  input b_1;
  output co_0;
  output co_1;
  output sum_0;
  output sum_1;
  wire n0_0n;
  wire n1_0n;
  wire n2_0n;
  wire n3_0n;
  AND2_A I0 (co_1, a_1, b_1);
  ao21 I1 (co_0, a_1, b_0, a_0);
  OR2_A I2 (sum_1, n1_0n, n2_0n);
  OR2_A I3 (sum_0, n0_0n, n3_0n);
  c2 I4 (n3_0n, a_1, b_1);
  c2 I5 (n2_0n, a_1, b_0);
  c2 I6 (n1_0n, a_0, b_1);
  c2 I7 (n0_0n, a_0, b_0);
endmodule

module dr_xor2 (
  i0_0,
  i0_1,
  i1_0,
  i1_1,
  q_0,
  q_1
);
  input i0_0;
  input i0_1;
  input i1_0;
  input i1_1;
  output q_0;
  output q_1;
  wire n0_0n;
  wire n1_0n;
  wire n2_0n;
  wire n3_0n;
  OR2_A I0 (q_0, n0_0n, n3_0n);
  c2 I1 (n3_0n, i0_1, i1_1);
  c2 I2 (n0_0n, i0_0, i1_0);
  OR2_A I3 (q_1, n1_0n, n2_0n);
  c2 I4 (n1_0n, i0_0, i1_1);
  c2 I5 (n2_0n, i0_1, i1_0);
endmodule

module BrzBinaryFuncConstR_3_3_1_s3_Add_s5_false__m3m (
  out_0r, out_0a0d, out_0a1d,
  inpA_0r, inpA_0a0d, inpA_0a1d
);
  input out_0r;
  output [2:0] out_0a0d;
  output [2:0] out_0a1d;
  output inpA_0r;
  input [2:0] inpA_0a0d;
  input [2:0] inpA_0a1d;
  wire [2:0] a1_0n;
  wire [2:0] a0_0n;
  wire [2:0] c1_0n;
  wire [2:0] c0_0n;
  supply0 gnd;
  assign c0_0n[0] = out_0r;
  assign c1_0n[0] = gnd;
  dr_xor2 I2 (a0_0n[2], a1_0n[2], c0_0n[2], c1_0n[2], out_0a0d[2], out_0a1d[2]);
  dr_ha I3 (a0_0n[1], a1_0n[1], c0_0n[1], c1_0n[1], c0_0n[2], c1_0n[2], out_0a0d[1], out_0a1d[1]);
  dr_fa_p I4 (a0_0n[0], a1_0n[0], c0_0n[0], c1_0n[0], c0_0n[1], c1_0n[1], out_0a0d[0], out_0a1d[0]);
  assign a0_0n[0] = inpA_0a0d[0];
  assign a0_0n[1] = inpA_0a0d[1];
  assign a0_0n[2] = inpA_0a0d[2];
  assign a1_0n[0] = inpA_0a1d[0];
  assign a1_0n[1] = inpA_0a1d[1];
  assign a1_0n[2] = inpA_0a1d[2];
  assign inpA_0r = out_0r;
endmodule

module BrzCall_2 (
  inp_0r, inp_0a,
  inp_1r, inp_1a,
  out_0r, out_0a
);
  input inp_0r;
  output inp_0a;
  input inp_1r;
  output inp_1a;
  output out_0r;
  input out_0a;
  OR2_A I0 (out_0r, inp_0r, inp_1r);
  c2 I1 (inp_0a, inp_0r, out_0a);
  c2 I2 (inp_1a, inp_1r, out_0a);
endmodule

module BrzCallActive_2 (
  inp_0r, inp_0a,
  out_0r, out_0a,
  out_1r, out_1a
);
  input inp_0r;
  output inp_0a;
  output out_0r;
  input out_0a;
  output out_1r;
  input out_1a;
  OR2_A I0 (inp_0a, out_0a, out_1a);
  assign out_0r = inp_0r;
  assign out_1r = inp_0r;
endmodule

module BrzCallDemux_1_2 (
  out_0r, out_0a0d, out_0a1d,
  out_1r, out_1a0d, out_1a1d,
  inp_0r, inp_0a0d, inp_0a1d
);
  input out_0r;
  output out_0a0d;
  output out_0a1d;
  input out_1r;
  output out_1a0d;
  output out_1a1d;
  output inp_0r;
  input inp_0a0d;
  input inp_0a1d;
  wire [1:0] outReq_0n;
  OR2_A I0 (inp_0r, outReq_0n[0], outReq_0n[1]);
  c2 I1 (out_0a1d, outReq_0n[0], inp_0a1d);
  c2 I2 (out_1a1d, outReq_0n[1], inp_0a1d);
  c2 I3 (out_0a0d, outReq_0n[0], inp_0a0d);
  c2 I4 (out_1a0d, outReq_0n[1], inp_0a0d);
  assign outReq_0n[0] = out_0r;
  assign outReq_0n[1] = out_1r;
endmodule

module BrzCallMux_1_2 (
  inp_0r0d, inp_0r1d, inp_0a,
  inp_1r0d, inp_1r1d, inp_1a,
  out_0r0d, out_0r1d, out_0a
);
  input inp_0r0d;
  input inp_0r1d;
  output inp_0a;
  input inp_1r0d;
  input inp_1r1d;
  output inp_1a;
  output out_0r0d;
  output out_0r1d;
  input out_0a;
  wire [1:0] sourceId_0n;
  c2 I0 (inp_0a, sourceId_0n[0], out_0a);
  c2 I1 (inp_1a, sourceId_0n[1], out_0a);
  OR2_A I2 (sourceId_0n[0], inp_0r0d, inp_0r1d);
  OR2_A I3 (sourceId_0n[1], inp_1r0d, inp_1r1d);
  OR2_A I4 (out_0r1d, inp_0r1d, inp_1r1d);
  OR2_A I5 (out_0r0d, inp_0r0d, inp_1r0d);
endmodule

module BrzCase_1_1_s1_1 (
  inp_0r0d, inp_0r1d, inp_0a,
  activateOut_0r, activateOut_0a
);
  input inp_0r0d;
  input inp_0r1d;
  output inp_0a;
  output activateOut_0r;
  input activateOut_0a;
  wire elseAck_0n;
  wire inpComplete_0n;
  wire inpDone_0n;
  wire outDone_0n;
  wire [1:0] int0_0n;
  c2 I0 (inp_0a, outDone_0n, inpDone_0n);
  OR2_A I1 (outDone_0n, activateOut_0a, elseAck_0n);
  assign int0_0n[0] = inp_0r0d;
  assign int0_0n[1] = inp_0r1d;
  assign elseAck_0n = int0_0n[0];
  assign activateOut_0r = int0_0n[1];
  assign inpDone_0n = inpComplete_0n;
  OR2_A I7 (inpComplete_0n, inp_0r0d, inp_0r1d);
endmodule

module BrzCase_1_2_s5_0_3b1 (
  inp_0r0d, inp_0r1d, inp_0a,
  activateOut_0r, activateOut_0a,
  activateOut_1r, activateOut_1a
);
  input inp_0r0d;
  input inp_0r1d;
  output inp_0a;
  output activateOut_0r;
  input activateOut_0a;
  output activateOut_1r;
  input activateOut_1a;
  wire elseAck_0n;
  wire inpComplete_0n;
  wire inpDone_0n;
  wire outDone_0n;
  wire [1:0] int0_0n;
  c2 I0 (inp_0a, outDone_0n, inpDone_0n);
  OR2_A I1 (outDone_0n, activateOut_0a, activateOut_1a);
  assign int0_0n[0] = inp_0r1d;
  assign int0_0n[1] = inp_0r0d;
  assign activateOut_1r = int0_0n[0];
  assign activateOut_0r = int0_0n[1];
  assign inpDone_0n = inpComplete_0n;
  OR2_A I7 (inpComplete_0n, inp_0r0d, inp_0r1d);
endmodule

module c3 (
  q,
  i0,
  i1,
  i2
);
  output q;
  input i0;
  input i1;
  input i2;
  wire qint_0n;
  c2 I0 (q, i2, qint_0n);
  c2 I1 (qint_0n, i0, i1);
endmodule

module BrzCase_3_8_s29_0_3b1_3b2_3b3_3b6_3b5_3b7__m9m (
  inp_0r0d, inp_0r1d, inp_0a,
  activateOut_0r, activateOut_0a,
  activateOut_1r, activateOut_1a,
  activateOut_2r, activateOut_2a,
  activateOut_3r, activateOut_3a,
  activateOut_4r, activateOut_4a,
  activateOut_5r, activateOut_5a,
  activateOut_6r, activateOut_6a,
  activateOut_7r, activateOut_7a
);
  input [2:0] inp_0r0d;
  input [2:0] inp_0r1d;
  output inp_0a;
  output activateOut_0r;
  input activateOut_0a;
  output activateOut_1r;
  input activateOut_1a;
  output activateOut_2r;
  input activateOut_2a;
  output activateOut_3r;
  input activateOut_3a;
  output activateOut_4r;
  input activateOut_4a;
  output activateOut_5r;
  input activateOut_5a;
  output activateOut_6r;
  input activateOut_6a;
  output activateOut_7r;
  input activateOut_7a;
  wire [2:0] internal_0n;
  wire elseAck_0n;
  wire [2:0] inpComplete_0n;
  wire inpDone_0n;
  wire outDone_0n;
  wire [7:0] int0_0n;
  c2 I0 (inp_0a, outDone_0n, inpDone_0n);
  NOR3_A I1 (internal_0n[0], activateOut_0a, activateOut_1a, activateOut_2a);
  NOR3_A I2 (internal_0n[1], activateOut_3a, activateOut_4a, activateOut_5a);
  NOR2_A I3 (internal_0n[2], activateOut_6a, activateOut_7a);
  NAND3_A I4 (outDone_0n, internal_0n[0], internal_0n[1], internal_0n[2]);
  c3 I5 (int0_0n[0], inp_0r1d[2], inp_0r0d[1], inp_0r0d[0]);
  c3 I6 (int0_0n[1], inp_0r1d[2], inp_0r1d[1], inp_0r1d[0]);
  c3 I7 (int0_0n[2], inp_0r1d[2], inp_0r0d[1], inp_0r1d[0]);
  c3 I8 (int0_0n[3], inp_0r1d[2], inp_0r1d[1], inp_0r0d[0]);
  c3 I9 (int0_0n[4], inp_0r0d[2], inp_0r1d[1], inp_0r1d[0]);
  c3 I10 (int0_0n[5], inp_0r0d[2], inp_0r1d[1], inp_0r0d[0]);
  c3 I11 (int0_0n[6], inp_0r0d[2], inp_0r0d[1], inp_0r1d[0]);
  c3 I12 (int0_0n[7], inp_0r0d[2], inp_0r0d[1], inp_0r0d[0]);
  assign activateOut_7r = int0_0n[0];
  assign activateOut_6r = int0_0n[1];
  assign activateOut_5r = int0_0n[2];
  assign activateOut_4r = int0_0n[3];
  assign activateOut_3r = int0_0n[4];
  assign activateOut_2r = int0_0n[5];
  assign activateOut_1r = int0_0n[6];
  assign activateOut_0r = int0_0n[7];
  c3 I21 (inpDone_0n, inpComplete_0n[0], inpComplete_0n[1], inpComplete_0n[2]);
  OR2_A I22 (inpComplete_0n[0], inp_0r0d[0], inp_0r1d[0]);
  OR2_A I23 (inpComplete_0n[1], inp_0r0d[1], inp_0r1d[1]);
  OR2_A I24 (inpComplete_0n[2], inp_0r0d[2], inp_0r1d[2]);
endmodule

module acu0d1 (
  q,
  i0,
  i1
);
  output q;
  input i0;
  input i1;
  wire int_0n;
  OR2_A I0 (q, i0, int_0n);
  AND2_A I1 (int_0n, i1, q);
endmodule

module telem (
  Ar,
  Aa,
  Br,
  Ba
);
  input Ar;
  output Aa;
  output Br;
  input Ba;
  wire s_0n;
  acu0d1 I0 (Aa, Ba, Ar);
  INV_A I1 (s_0n, Aa);
  AND2_A I2 (Br, Ar, s_0n);
endmodule

module BrzConcur_2 (
  activate_0r, activate_0a,
  activateOut_0r, activateOut_0a,
  activateOut_1r, activateOut_1a
);
  input activate_0r;
  output activate_0a;
  output activateOut_0r;
  input activateOut_0a;
  output activateOut_1r;
  input activateOut_1a;
  wire [1:0] acks_0n;
  c2 I0 (activate_0a, acks_0n[0], acks_0n[1]);
  telem I1 (activate_0r, acks_0n[0], activateOut_0r, activateOut_0a);
  telem I2 (activate_0r, acks_0n[1], activateOut_1r, activateOut_1a);
endmodule

module BrzConcur_4 (
  activate_0r, activate_0a,
  activateOut_0r, activateOut_0a,
  activateOut_1r, activateOut_1a,
  activateOut_2r, activateOut_2a,
  activateOut_3r, activateOut_3a
);
  input activate_0r;
  output activate_0a;
  output activateOut_0r;
  input activateOut_0a;
  output activateOut_1r;
  input activateOut_1a;
  output activateOut_2r;
  input activateOut_2a;
  output activateOut_3r;
  input activateOut_3a;
  wire [1:0] internal_0n;
  wire [3:0] acks_0n;
  c2 I0 (internal_0n[0], acks_0n[0], acks_0n[1]);
  c2 I1 (internal_0n[1], acks_0n[2], acks_0n[3]);
  c2 I2 (activate_0a, internal_0n[0], internal_0n[1]);
  telem I3 (activate_0r, acks_0n[0], activateOut_0r, activateOut_0a);
  telem I4 (activate_0r, acks_0n[1], activateOut_1r, activateOut_1a);
  telem I5 (activate_0r, acks_0n[2], activateOut_2r, activateOut_2a);
  telem I6 (activate_0r, acks_0n[3], activateOut_3r, activateOut_3a);
endmodule

module BrzConcur_5 (
  activate_0r, activate_0a,
  activateOut_0r, activateOut_0a,
  activateOut_1r, activateOut_1a,
  activateOut_2r, activateOut_2a,
  activateOut_3r, activateOut_3a,
  activateOut_4r, activateOut_4a
);
  input activate_0r;
  output activate_0a;
  output activateOut_0r;
  input activateOut_0a;
  output activateOut_1r;
  input activateOut_1a;
  output activateOut_2r;
  input activateOut_2a;
  output activateOut_3r;
  input activateOut_3a;
  output activateOut_4r;
  input activateOut_4a;
  wire [1:0] internal_0n;
  wire [4:0] acks_0n;
  c3 I0 (internal_0n[0], acks_0n[0], acks_0n[1], acks_0n[2]);
  c2 I1 (internal_0n[1], acks_0n[3], acks_0n[4]);
  c2 I2 (activate_0a, internal_0n[0], internal_0n[1]);
  telem I3 (activate_0r, acks_0n[0], activateOut_0r, activateOut_0a);
  telem I4 (activate_0r, acks_0n[1], activateOut_1r, activateOut_1a);
  telem I5 (activate_0r, acks_0n[2], activateOut_2r, activateOut_2a);
  telem I6 (activate_0r, acks_0n[3], activateOut_3r, activateOut_3a);
  telem I7 (activate_0r, acks_0n[4], activateOut_4r, activateOut_4a);
endmodule

module BrzConstant_1_1 (
  out_0r, out_0a0d, out_0a1d
);
  input out_0r;
  output out_0a0d;
  output out_0a1d;
  wire reqOut_0n;
  supply0 gnd;
  assign out_0a0d = gnd;
  assign out_0a1d = out_0r;
endmodule

module BrzContinue (
  inp_0r, inp_0a
);
  input inp_0r;
  output inp_0a;
  assign inp_0a = inp_0r;
endmodule

module BrzDecisionWait_1 (
  activate_0r, activate_0a,
  inp_0r, inp_0a,
  out_0r, out_0a
);
  input activate_0r;
  output activate_0a;
  input inp_0r;
  output inp_0a;
  output out_0r;
  input out_0a;
  assign activate_0a = out_0a;
  c2 I1 (out_0r, inp_0r, activate_0r);
  assign inp_0a = out_0a;
endmodule

module BrzDecisionWait_2 (
  activate_0r, activate_0a,
  inp_0r, inp_0a,
  inp_1r, inp_1a,
  out_0r, out_0a,
  out_1r, out_1a
);
  input activate_0r;
  output activate_0a;
  input inp_0r;
  output inp_0a;
  input inp_1r;
  output inp_1a;
  output out_0r;
  input out_0a;
  output out_1r;
  input out_1a;
  OR2_A I0 (activate_0a, out_0a, out_1a);
  c2 I1 (out_0r, inp_0r, activate_0r);
  c2 I2 (out_1r, inp_1r, activate_0r);
  assign inp_0a = out_0a;
  assign inp_1a = out_1a;
endmodule

module BrzEncode_1_2_s5_1_3b0 (
  inp_0r, inp_0a,
  inp_1r, inp_1a,
  out_0r0d, out_0r1d, out_0a
);
  input inp_0r;
  output inp_0a;
  input inp_1r;
  output inp_1a;
  output out_0r0d;
  output out_0r1d;
  input out_0a;
  wire [1:0] data_0n;
  wire int1_0n;
  wire int0_0n;
  c2 I0 (inp_0a, data_0n[0], out_0a);
  c2 I1 (inp_1a, data_0n[1], out_0a);
  assign int1_0n = data_0n[1];
  assign out_0r0d = int1_0n;
  assign int0_0n = data_0n[0];
  assign out_0r1d = int0_0n;
  assign data_0n[0] = inp_0r;
  assign data_0n[1] = inp_1r;
endmodule

module BrzEncode_1_2_s5_1_3b1 (
  inp_0r, inp_0a,
  inp_1r, inp_1a,
  out_0r0d, out_0r1d, out_0a
);
  input inp_0r;
  output inp_0a;
  input inp_1r;
  output inp_1a;
  output out_0r0d;
  output out_0r1d;
  input out_0a;
  wire [1:0] data_0n;
  wire [1:0] int0_0n;
  supply0 gnd;
  c2 I0 (inp_0a, data_0n[0], out_0a);
  c2 I1 (inp_1a, data_0n[1], out_0a);
  assign out_0r0d = gnd;
  assign int0_0n[0] = data_0n[0];
  assign int0_0n[1] = data_0n[1];
  OR2_A I5 (out_0r1d, int0_0n[0], int0_0n[1]);
  assign data_0n[0] = inp_0r;
  assign data_0n[1] = inp_1r;
endmodule

module BrzEncode_2_2_s5_2_3b1 (
  inp_0r, inp_0a,
  inp_1r, inp_1a,
  out_0r0d, out_0r1d, out_0a
);
  input inp_0r;
  output inp_0a;
  input inp_1r;
  output inp_1a;
  output [1:0] out_0r0d;
  output [1:0] out_0r1d;
  input out_0a;
  wire [1:0] data_0n;
  wire [1:0] int1_0n;
  wire [1:0] int0_0n;
  c2 I0 (inp_0a, data_0n[0], out_0a);
  c2 I1 (inp_1a, data_0n[1], out_0a);
  assign int1_0n[0] = data_0n[1];
  assign int1_0n[1] = data_0n[0];
  assign out_0r0d[1] = int1_0n[0];
  assign out_0r0d[0] = int1_0n[1];
  assign int0_0n[0] = data_0n[0];
  assign int0_0n[1] = data_0n[1];
  assign out_0r1d[1] = int0_0n[0];
  assign out_0r1d[0] = int0_0n[1];
  assign data_0n[0] = inp_0r;
  assign data_0n[1] = inp_1r;
endmodule

module BrzEncode_3_7_s25_7_3b1_3b2_3b3_3b5_3b6_3b_m11m (
  inp_0r, inp_0a,
  inp_1r, inp_1a,
  inp_2r, inp_2a,
  inp_3r, inp_3a,
  inp_4r, inp_4a,
  inp_5r, inp_5a,
  inp_6r, inp_6a,
  out_0r0d, out_0r1d, out_0a
);
  input inp_0r;
  output inp_0a;
  input inp_1r;
  output inp_1a;
  input inp_2r;
  output inp_2a;
  input inp_3r;
  output inp_3a;
  input inp_4r;
  output inp_4a;
  input inp_5r;
  output inp_5a;
  input inp_6r;
  output inp_6a;
  output [2:0] out_0r0d;
  output [2:0] out_0r1d;
  input out_0a;
  wire [5:0] internal_0n;
  wire [6:0] data_0n;
  wire [5:0] int1_0n;
  wire [6:0] int0_0n;
  c2 I0 (inp_0a, data_0n[0], out_0a);
  c2 I1 (inp_1a, data_0n[1], out_0a);
  c2 I2 (inp_2a, data_0n[2], out_0a);
  c2 I3 (inp_3a, data_0n[3], out_0a);
  c2 I4 (inp_4a, data_0n[4], out_0a);
  c2 I5 (inp_5a, data_0n[5], out_0a);
  c2 I6 (inp_6a, data_0n[6], out_0a);
  assign int1_0n[0] = data_0n[3];
  assign int1_0n[1] = data_0n[4];
  assign int1_0n[2] = data_0n[5];
  assign int1_0n[3] = data_0n[1];
  assign int1_0n[4] = data_0n[2];
  assign int1_0n[5] = data_0n[6];
  OR3_A I13 (out_0r0d[2], int1_0n[0], int1_0n[3], int1_0n[4]);
  OR3_A I14 (out_0r0d[1], int1_0n[1], int1_0n[3], int1_0n[5]);
  OR3_A I15 (out_0r0d[0], int1_0n[2], int1_0n[4], int1_0n[5]);
  assign int0_0n[0] = data_0n[6];
  assign int0_0n[1] = data_0n[2];
  assign int0_0n[2] = data_0n[1];
  assign int0_0n[3] = data_0n[4];
  assign int0_0n[4] = data_0n[5];
  assign int0_0n[5] = data_0n[3];
  assign int0_0n[6] = data_0n[0];
  NOR2_A I23 (internal_0n[0], int0_0n[0], int0_0n[3]);
  NOR2_A I24 (internal_0n[1], int0_0n[4], int0_0n[6]);
  NAND2_A I25 (out_0r1d[2], internal_0n[0], internal_0n[1]);
  NOR2_A I26 (internal_0n[2], int0_0n[1], int0_0n[4]);
  NOR2_A I27 (internal_0n[3], int0_0n[5], int0_0n[6]);
  NAND2_A I28 (out_0r1d[1], internal_0n[2], internal_0n[3]);
  NOR2_A I29 (internal_0n[4], int0_0n[2], int0_0n[3]);
  NOR2_A I30 (internal_0n[5], int0_0n[5], int0_0n[6]);
  NAND2_A I31 (out_0r1d[0], internal_0n[4], internal_0n[5]);
  assign data_0n[0] = inp_0r;
  assign data_0n[1] = inp_1r;
  assign data_0n[2] = inp_2r;
  assign data_0n[3] = inp_3r;
  assign data_0n[4] = inp_4r;
  assign data_0n[5] = inp_5r;
  assign data_0n[6] = inp_6r;
endmodule

module BrzFalseVariable_1_1_s0_ (
  write_0r0d, write_0r1d, write_0a,
  signal_0r, signal_0a,
  read_0r, read_0a0d, read_0a1d
);
  input write_0r0d;
  input write_0r1d;
  output write_0a;
  output signal_0r;
  input signal_0a;
  input read_0r;
  output read_0a0d;
  output read_0a1d;
  wire cd_0n;
  wire partCD_0n;
  wire store_0n;
  wire store_1n;
  wire readReq_0n;
  wire sigAck_0n;
  wire writeAck_0n;
  wire rReqOr_0n;
  AND2_A I0 (read_0a1d, store_1n, readReq_0n);
  AND2_A I1 (read_0a0d, store_0n, readReq_0n);
  assign readReq_0n = read_0r;
  assign store_1n = write_0r1d;
  assign store_0n = write_0r0d;
  AND2_A I5 (writeAck_0n, sigAck_0n, rReqOr_0n);
  INV_A I6 (rReqOr_0n, readReq_0n);
  telem I7 (partCD_0n, sigAck_0n, signal_0r, signal_0a);
  assign write_0a = writeAck_0n;
  OR2_A I9 (partCD_0n, store_0n, store_1n);
endmodule

module BrzFetch_1_s5_false (
  activate_0r, activate_0a,
  inp_0r, inp_0a0d, inp_0a1d,
  out_0r0d, out_0r1d, out_0a
);
  input activate_0r;
  output activate_0a;
  output inp_0r;
  input inp_0a0d;
  input inp_0a1d;
  output out_0r0d;
  output out_0r1d;
  input out_0a;
  assign inp_0r = activate_0r;
  assign out_0r0d = inp_0a0d;
  assign out_0r1d = inp_0a1d;
  assign activate_0a = out_0a;
endmodule

module BrzFetch_3_s5_false (
  activate_0r, activate_0a,
  inp_0r, inp_0a0d, inp_0a1d,
  out_0r0d, out_0r1d, out_0a
);
  input activate_0r;
  output activate_0a;
  output inp_0r;
  input [2:0] inp_0a0d;
  input [2:0] inp_0a1d;
  output [2:0] out_0r0d;
  output [2:0] out_0r1d;
  input out_0a;
  assign inp_0r = activate_0r;
  assign out_0r0d[0] = inp_0a0d[0];
  assign out_0r0d[1] = inp_0a0d[1];
  assign out_0r0d[2] = inp_0a0d[2];
  assign out_0r1d[0] = inp_0a1d[0];
  assign out_0r1d[1] = inp_0a1d[1];
  assign out_0r1d[2] = inp_0a1d[2];
  assign activate_0a = out_0a;
endmodule

module nc2p (
  q,
  i0,
  i1
);
  output q;
  input i0;
  input i1;
  wire nq_0n;
  AOI22_A I0 (q, i0, i1, i0, nq_0n);
  INV_A I1 (nq_0n, q);
endmodule

module selem (
  Ar,
  Aa,
  Br,
  Ba
);
  input Ar;
  output Aa;
  output Br;
  input Ba;
  wire s_0n;
  nc2p I0 (s_0n, Ar, Ba);
  NOR2_A I1 (Aa, Ba, s_0n);
  AND2_A I2 (Br, Ar, s_0n);
endmodule

module BrzSequence_2_s1_S (
  activate_0r, activate_0a,
  activateOut_0r, activateOut_0a,
  activateOut_1r, activateOut_1a
);
  input activate_0r;
  output activate_0a;
  output activateOut_0r;
  input activateOut_0a;
  output activateOut_1r;
  input activateOut_1a;
  wire [1:0] sreq_0n;
  assign activate_0a = activateOut_1a;
  assign activateOut_1r = sreq_0n[1];
  assign sreq_0n[0] = activate_0r;
  selem I3 (sreq_0n[0], sreq_0n[1], activateOut_0r, activateOut_0a);
endmodule

module BrzSequence_3_s2_SS (
  activate_0r, activate_0a,
  activateOut_0r, activateOut_0a,
  activateOut_1r, activateOut_1a,
  activateOut_2r, activateOut_2a
);
  input activate_0r;
  output activate_0a;
  output activateOut_0r;
  input activateOut_0a;
  output activateOut_1r;
  input activateOut_1a;
  output activateOut_2r;
  input activateOut_2a;
  wire [2:0] sreq_0n;
  assign activate_0a = activateOut_2a;
  assign activateOut_2r = sreq_0n[2];
  assign sreq_0n[0] = activate_0r;
  selem I3 (sreq_0n[1], sreq_0n[2], activateOut_1r, activateOut_1a);
  selem I4 (sreq_0n[0], sreq_0n[1], activateOut_0r, activateOut_0a);
endmodule

module BrzSequence_4_s3_SSS (
  activate_0r, activate_0a,
  activateOut_0r, activateOut_0a,
  activateOut_1r, activateOut_1a,
  activateOut_2r, activateOut_2a,
  activateOut_3r, activateOut_3a
);
  input activate_0r;
  output activate_0a;
  output activateOut_0r;
  input activateOut_0a;
  output activateOut_1r;
  input activateOut_1a;
  output activateOut_2r;
  input activateOut_2a;
  output activateOut_3r;
  input activateOut_3a;
  wire [3:0] sreq_0n;
  assign activate_0a = activateOut_3a;
  assign activateOut_3r = sreq_0n[3];
  assign sreq_0n[0] = activate_0r;
  selem I3 (sreq_0n[2], sreq_0n[3], activateOut_2r, activateOut_2a);
  selem I4 (sreq_0n[1], sreq_0n[2], activateOut_1r, activateOut_1a);
  selem I5 (sreq_0n[0], sreq_0n[1], activateOut_0r, activateOut_0a);
endmodule

module BrzSequence_6_s5_SSSSS (
  activate_0r, activate_0a,
  activateOut_0r, activateOut_0a,
  activateOut_1r, activateOut_1a,
  activateOut_2r, activateOut_2a,
  activateOut_3r, activateOut_3a,
  activateOut_4r, activateOut_4a,
  activateOut_5r, activateOut_5a
);
  input activate_0r;
  output activate_0a;
  output activateOut_0r;
  input activateOut_0a;
  output activateOut_1r;
  input activateOut_1a;
  output activateOut_2r;
  input activateOut_2a;
  output activateOut_3r;
  input activateOut_3a;
  output activateOut_4r;
  input activateOut_4a;
  output activateOut_5r;
  input activateOut_5a;
  wire [5:0] sreq_0n;
  assign activate_0a = activateOut_5a;
  assign activateOut_5r = sreq_0n[5];
  assign sreq_0n[0] = activate_0r;
  selem I3 (sreq_0n[4], sreq_0n[5], activateOut_4r, activateOut_4a);
  selem I4 (sreq_0n[3], sreq_0n[4], activateOut_3r, activateOut_3a);
  selem I5 (sreq_0n[2], sreq_0n[3], activateOut_2r, activateOut_2a);
  selem I6 (sreq_0n[1], sreq_0n[2], activateOut_1r, activateOut_1a);
  selem I7 (sreq_0n[0], sreq_0n[1], activateOut_0r, activateOut_0a);
endmodule

module BrzUnaryFunc_1_1_s6_Invert_s5_false (
  out_0r, out_0a0d, out_0a1d,
  inp_0r, inp_0a0d, inp_0a1d
);
  input out_0r;
  output out_0a0d;
  output out_0a1d;
  output inp_0r;
  input inp_0a0d;
  input inp_0a1d;
  wire [1:0] c1_0n;
  wire [1:0] c0_0n;
  wire s1_0n;
  wire s0_0n;
  assign out_0a0d = inp_0a1d;
  assign out_0a1d = inp_0a0d;
  assign inp_0r = out_0r;
endmodule

module BrzVariable_1_1_s0_ (
  write_0r0d, write_0r1d, write_0a,
  read_0r, read_0a0d, read_0a1d
);
  input write_0r0d;
  input write_0r1d;
  output write_0a;
  input read_0r;
  output read_0a0d;
  output read_0a1d;
  wire store_0n;
  wire store_1n;
  wire ldata_0n;
  wire ldata_1n;
  wire wack_0n;
  wire readReq_0n;
  AND2_A I0 (read_0a1d, store_1n, readReq_0n);
  AND2_A I1 (read_0a0d, store_0n, readReq_0n);
  assign readReq_0n = read_0r;
  assign store_0n = ldata_0n;
  assign store_1n = ldata_1n;
  assign write_0a = wack_0n;
  dr_latch I6 (write_0r0d, write_0r1d, wack_0n, ldata_0n, ldata_1n);
endmodule

module BrzVariable_2_4_s0_ (
  write_0r0d, write_0r1d, write_0a,
  read_0r, read_0a0d, read_0a1d,
  read_1r, read_1a0d, read_1a1d,
  read_2r, read_2a0d, read_2a1d,
  read_3r, read_3a0d, read_3a1d
);
  input [1:0] write_0r0d;
  input [1:0] write_0r1d;
  output write_0a;
  input read_0r;
  output [1:0] read_0a0d;
  output [1:0] read_0a1d;
  input read_1r;
  output [1:0] read_1a0d;
  output [1:0] read_1a1d;
  input read_2r;
  output [1:0] read_2a0d;
  output [1:0] read_2a1d;
  input read_3r;
  output [1:0] read_3a0d;
  output [1:0] read_3a1d;
  wire [1:0] store_0n;
  wire [1:0] store_1n;
  wire [1:0] ldata_0n;
  wire [1:0] ldata_1n;
  wire [1:0] wack_0n;
  wire readReq_0n;
  wire readReq_1n;
  wire readReq_2n;
  wire readReq_3n;
  AND2_A I0 (read_3a1d[0], store_1n[0], readReq_3n);
  AND2_A I1 (read_3a1d[1], store_1n[1], readReq_3n);
  AND2_A I2 (read_3a0d[0], store_0n[0], readReq_3n);
  AND2_A I3 (read_3a0d[1], store_0n[1], readReq_3n);
  AND2_A I4 (read_2a1d[0], store_1n[0], readReq_2n);
  AND2_A I5 (read_2a1d[1], store_1n[1], readReq_2n);
  AND2_A I6 (read_2a0d[0], store_0n[0], readReq_2n);
  AND2_A I7 (read_2a0d[1], store_0n[1], readReq_2n);
  AND2_A I8 (read_1a1d[0], store_1n[0], readReq_1n);
  AND2_A I9 (read_1a1d[1], store_1n[1], readReq_1n);
  AND2_A I10 (read_1a0d[0], store_0n[0], readReq_1n);
  AND2_A I11 (read_1a0d[1], store_0n[1], readReq_1n);
  AND2_A I12 (read_0a1d[0], store_1n[0], readReq_0n);
  AND2_A I13 (read_0a1d[1], store_1n[1], readReq_0n);
  AND2_A I14 (read_0a0d[0], store_0n[0], readReq_0n);
  AND2_A I15 (read_0a0d[1], store_0n[1], readReq_0n);
  assign readReq_0n = read_0r;
  assign readReq_1n = read_1r;
  assign readReq_2n = read_2r;
  assign readReq_3n = read_3r;
  assign store_0n[0] = ldata_0n[0];
  assign store_0n[1] = ldata_0n[1];
  assign store_1n[0] = ldata_1n[0];
  assign store_1n[1] = ldata_1n[1];
  c2 I24 (write_0a, wack_0n[0], wack_0n[1]);
  dr_latch I25 (write_0r0d[0], write_0r1d[0], wack_0n[0], ldata_0n[0], ldata_1n[0]);
  dr_latch I26 (write_0r0d[1], write_0r1d[1], wack_0n[1], ldata_0n[1], ldata_1n[1]);
endmodule

module BrzVariable_3_1_s0_ (
  write_0r0d, write_0r1d, write_0a,
  read_0r, read_0a0d, read_0a1d
);
  input [2:0] write_0r0d;
  input [2:0] write_0r1d;
  output write_0a;
  input read_0r;
  output [2:0] read_0a0d;
  output [2:0] read_0a1d;
  wire [2:0] store_0n;
  wire [2:0] store_1n;
  wire [2:0] ldata_0n;
  wire [2:0] ldata_1n;
  wire [2:0] wack_0n;
  wire readReq_0n;
  AND2_A I0 (read_0a1d[0], store_1n[0], readReq_0n);
  AND2_A I1 (read_0a1d[1], store_1n[1], readReq_0n);
  AND2_A I2 (read_0a1d[2], store_1n[2], readReq_0n);
  AND2_A I3 (read_0a0d[0], store_0n[0], readReq_0n);
  AND2_A I4 (read_0a0d[1], store_0n[1], readReq_0n);
  AND2_A I5 (read_0a0d[2], store_0n[2], readReq_0n);
  assign readReq_0n = read_0r;
  assign store_0n[0] = ldata_0n[0];
  assign store_0n[1] = ldata_0n[1];
  assign store_0n[2] = ldata_0n[2];
  assign store_1n[0] = ldata_1n[0];
  assign store_1n[1] = ldata_1n[1];
  assign store_1n[2] = ldata_1n[2];
  c3 I13 (write_0a, wack_0n[0], wack_0n[1], wack_0n[2]);
  dr_latch I14 (write_0r0d[0], write_0r1d[0], wack_0n[0], ldata_0n[0], ldata_1n[0]);
  dr_latch I15 (write_0r0d[1], write_0r1d[1], wack_0n[1], ldata_0n[1], ldata_1n[1]);
  dr_latch I16 (write_0r0d[2], write_0r1d[2], wack_0n[2], ldata_0n[2], ldata_1n[2]);
endmodule

module BrzVariable_3_2_s0_ (
  write_0r0d, write_0r1d, write_0a,
  read_0r, read_0a0d, read_0a1d,
  read_1r, read_1a0d, read_1a1d
);
  input [2:0] write_0r0d;
  input [2:0] write_0r1d;
  output write_0a;
  input read_0r;
  output [2:0] read_0a0d;
  output [2:0] read_0a1d;
  input read_1r;
  output [2:0] read_1a0d;
  output [2:0] read_1a1d;
  wire [2:0] store_0n;
  wire [2:0] store_1n;
  wire [2:0] ldata_0n;
  wire [2:0] ldata_1n;
  wire [2:0] wack_0n;
  wire readReq_0n;
  wire readReq_1n;
  AND2_A I0 (read_1a1d[0], store_1n[0], readReq_1n);
  AND2_A I1 (read_1a1d[1], store_1n[1], readReq_1n);
  AND2_A I2 (read_1a1d[2], store_1n[2], readReq_1n);
  AND2_A I3 (read_1a0d[0], store_0n[0], readReq_1n);
  AND2_A I4 (read_1a0d[1], store_0n[1], readReq_1n);
  AND2_A I5 (read_1a0d[2], store_0n[2], readReq_1n);
  AND2_A I6 (read_0a1d[0], store_1n[0], readReq_0n);
  AND2_A I7 (read_0a1d[1], store_1n[1], readReq_0n);
  AND2_A I8 (read_0a1d[2], store_1n[2], readReq_0n);
  AND2_A I9 (read_0a0d[0], store_0n[0], readReq_0n);
  AND2_A I10 (read_0a0d[1], store_0n[1], readReq_0n);
  AND2_A I11 (read_0a0d[2], store_0n[2], readReq_0n);
  assign readReq_0n = read_0r;
  assign readReq_1n = read_1r;
  assign store_0n[0] = ldata_0n[0];
  assign store_0n[1] = ldata_0n[1];
  assign store_0n[2] = ldata_0n[2];
  assign store_1n[0] = ldata_1n[0];
  assign store_1n[1] = ldata_1n[1];
  assign store_1n[2] = ldata_1n[2];
  c3 I20 (write_0a, wack_0n[0], wack_0n[1], wack_0n[2]);
  dr_latch I21 (write_0r0d[0], write_0r1d[0], wack_0n[0], ldata_0n[0], ldata_1n[0]);
  dr_latch I22 (write_0r0d[1], write_0r1d[1], wack_0n[1], ldata_0n[1], ldata_1n[1]);
  dr_latch I23 (write_0r0d[2], write_0r1d[2], wack_0n[2], ldata_0n[2], ldata_1n[2]);
endmodule

module BrzWhile (
  activate_0r, activate_0a,
  guard_0r, guard_0a0d, guard_0a1d,
  activateOut_0r, activateOut_0a
);
  input activate_0r;
  output activate_0a;
  output guard_0r;
  input guard_0a0d;
  input guard_0a1d;
  output activateOut_0r;
  input activateOut_0a;
  wire guardReq_0n;
  wire nReq_0n;
  selem I0 (guardReq_0n, activateOut_0r, guard_0r, guard_0a1d);
  INV_A I1 (nReq_0n, activate_0r);
  NOR2_A I2 (guardReq_0n, nReq_0n, activateOut_0a);
  assign activate_0a = guard_0a0d;
endmodule

module Balsa_startup__state2 (
  activate_0r, activate_0a,
  mon1__ready_0r, mon1__ready_0a,
  mon2__ready_0r, mon2__ready_0a,
  mon3__ready_0r, mon3__ready_0a,
  vok1_0r, vok1_0a,
  vok2_0r, vok2_0a,
  vok3_0r, vok3_0a0d, vok3_0a1d,
  ref1__ready_0r, ref1__ready_0a,
  ref2__ready_0r, ref2__ready_0a,
  vreg1__ready_0r, vreg1__ready_0a,
  vreg2__ready_0r, vreg2__ready_0a,
  mon1__enable_0r0d, mon1__enable_0r1d, mon1__enable_0a,
  mon2__enable_0r0d, mon2__enable_0r1d, mon2__enable_0a,
  mon3__enable_0r0d, mon3__enable_0r1d, mon3__enable_0a,
  ref1__enable_0r0d, ref1__enable_0r1d, ref1__enable_0a,
  ref2__enable_0r0d, ref2__enable_0r1d, ref2__enable_0a,
  vreg1__enable_0r0d, vreg1__enable_0r1d, vreg1__enable_0a,
  vreg2__enable_0r0d, vreg2__enable_0r1d, vreg2__enable_0a,
  selvdd_0r0d, selvdd_0r1d, selvdd_0a
);
  input activate_0r;
  output activate_0a;
  input mon1__ready_0r;
  output mon1__ready_0a;
  input mon2__ready_0r;
  output mon2__ready_0a;
  input mon3__ready_0r;
  output mon3__ready_0a;
  input vok1_0r;
  output vok1_0a;
  input vok2_0r;
  output vok2_0a;
  output vok3_0r;
  input vok3_0a0d;
  input vok3_0a1d;
  input ref1__ready_0r;
  output ref1__ready_0a;
  input ref2__ready_0r;
  output ref2__ready_0a;
  input vreg1__ready_0r;
  output vreg1__ready_0a;
  input vreg2__ready_0r;
  output vreg2__ready_0a;
  output mon1__enable_0r0d;
  output mon1__enable_0r1d;
  input mon1__enable_0a;
  output mon2__enable_0r0d;
  output mon2__enable_0r1d;
  input mon2__enable_0a;
  output mon3__enable_0r0d;
  output mon3__enable_0r1d;
  input mon3__enable_0a;
  output ref1__enable_0r0d;
  output ref1__enable_0r1d;
  input ref1__enable_0a;
  output ref2__enable_0r0d;
  output ref2__enable_0r1d;
  input ref2__enable_0a;
  output vreg1__enable_0r0d;
  output vreg1__enable_0r1d;
  input vreg1__enable_0a;
  output vreg2__enable_0r0d;
  output vreg2__enable_0r1d;
  input vreg2__enable_0a;
  output [2:0] selvdd_0r0d;
  output [2:0] selvdd_0r1d;
  input selvdd_0a;
  wire [2:0] c160_r0d;
  wire [2:0] c160_r1d;
  wire c160_a;
  wire c159_r0d;
  wire c159_r1d;
  wire c159_a;
  wire [1:0] c158_r0d;
  wire [1:0] c158_r1d;
  wire c158_a;
  wire c157_r;
  wire c157_a;
  wire c156_r;
  wire c156_a;
  wire c155_r;
  wire c155_a;
  wire c154_r;
  wire c154_a;
  wire c153_r;
  wire c153_a;
  wire c152_r0d;
  wire c152_r1d;
  wire c152_a;
  wire c151_r;
  wire c151_a;
  wire c150_r0d;
  wire c150_r1d;
  wire c150_a;
  wire c149_r;
  wire c149_a0d;
  wire c149_a1d;
  wire c148_r;
  wire c148_a0d;
  wire c148_a1d;
  wire c147_r;
  wire c147_a;
  wire [2:0] c146_r0d;
  wire [2:0] c146_r1d;
  wire c146_a;
  wire c145_r;
  wire [2:0] c145_a0d;
  wire [2:0] c145_a1d;
  wire c144_r;
  wire c144_a;
  wire c143_r;
  wire c143_a0d;
  wire c143_a1d;
  wire c142_r;
  wire c142_a0d;
  wire c142_a1d;
  wire c141_r;
  wire c141_a;
  wire [2:0] c140_r0d;
  wire [2:0] c140_r1d;
  wire c140_a;
  wire c139_r;
  wire [2:0] c139_a0d;
  wire [2:0] c139_a1d;
  wire c138_r;
  wire c138_a;
  wire c137_r0d;
  wire c137_r1d;
  wire c137_a;
  wire c136_r;
  wire c136_a0d;
  wire c136_a1d;
  wire c135_r;
  wire c135_a0d;
  wire c135_a1d;
  wire c134_r0d;
  wire c134_r1d;
  wire c134_a;
  wire c133_r;
  wire c133_a;
  wire c132_r;
  wire c132_a;
  wire c131_r0d;
  wire c131_r1d;
  wire c131_a;
  wire c130_r;
  wire c130_a;
  wire c129_r;
  wire c129_a0d;
  wire c129_a1d;
  wire c128_r;
  wire c128_a0d;
  wire c128_a1d;
  wire c127_r;
  wire c127_a0d;
  wire c127_a1d;
  wire c126_r0d;
  wire c126_r1d;
  wire c126_a;
  wire c125_r;
  wire c125_a;
  wire c124_r;
  wire c124_a;
  wire c123_r;
  wire c123_a;
  wire c122_r0d;
  wire c122_r1d;
  wire c122_a;
  wire c121_r;
  wire c121_a;
  wire c120_r;
  wire c120_a0d;
  wire c120_a1d;
  wire c119_r;
  wire c119_a0d;
  wire c119_a1d;
  wire c118_r;
  wire [2:0] c118_a0d;
  wire [2:0] c118_a1d;
  wire c117_r;
  wire c117_a;
  wire c116_r;
  wire c116_a;
  wire c115_r;
  wire c115_a;
  wire c114_r;
  wire c114_a0d;
  wire c114_a1d;
  wire c113_r;
  wire [2:0] c113_a0d;
  wire [2:0] c113_a1d;
  wire c112_r;
  wire c112_a;
  wire c111_r;
  wire c111_a;
  wire c110_r;
  wire c110_a;
  wire c109_r;
  wire c109_a;
  wire c108_r;
  wire c108_a0d;
  wire c108_a1d;
  wire c107_r0d;
  wire c107_r1d;
  wire c107_a;
  wire c106_r;
  wire [2:0] c106_a0d;
  wire [2:0] c106_a1d;
  wire [2:0] c105_r0d;
  wire [2:0] c105_r1d;
  wire c105_a;
  wire c104_r;
  wire c104_a;
  wire c103_r;
  wire c103_a;
  wire [2:0] c102_r0d;
  wire [2:0] c102_r1d;
  wire c102_a;
  wire c101_r;
  wire [2:0] c101_a0d;
  wire [2:0] c101_a1d;
  wire c100_r;
  wire [2:0] c100_a0d;
  wire [2:0] c100_a1d;
  wire c99_r;
  wire c99_a;
  wire c98_r;
  wire [2:0] c98_a0d;
  wire [2:0] c98_a1d;
  wire c97_r;
  wire c97_a;
  wire c96_r;
  wire c96_a;
  wire c95_r;
  wire c95_a;
  wire c94_r;
  wire c94_a;
  wire c93_r;
  wire c93_a0d;
  wire c93_a1d;
  wire c92_r;
  wire c92_a;
  wire c91_r;
  wire c91_a;
  wire c90_r;
  wire c90_a;
  wire c89_r;
  wire c89_a;
  wire c88_r;
  wire c88_a;
  wire c87_r;
  wire c87_a;
  wire c86_r;
  wire c86_a;
  wire c85_r;
  wire c85_a0d;
  wire c85_a1d;
  wire c84_r;
  wire c84_a;
  wire c83_r;
  wire c83_a;
  wire c82_r;
  wire c82_a;
  wire c81_r;
  wire c81_a;
  wire c80_r;
  wire c80_a;
  wire c79_r;
  wire c79_a;
  wire c78_r;
  wire c78_a;
  wire c77_r;
  wire c77_a;
  wire c76_r;
  wire c76_a;
  wire c75_r;
  wire c75_a0d;
  wire c75_a1d;
  wire c74_r;
  wire c74_a;
  wire c73_r;
  wire c73_a;
  wire c72_r;
  wire c72_a;
  wire c71_r;
  wire c71_a;
  wire c70_r;
  wire c70_a;
  wire c69_r;
  wire c69_a0d;
  wire c69_a1d;
  wire c68_r;
  wire c68_a;
  wire c67_r;
  wire c67_a;
  wire c66_r;
  wire c66_a;
  wire c65_r;
  wire c65_a;
  wire c64_r;
  wire c64_a;
  wire c63_r;
  wire c63_a;
  wire c62_r;
  wire c62_a0d;
  wire c62_a1d;
  wire c61_r0d;
  wire c61_r1d;
  wire c61_a;
  wire c60_r;
  wire c60_a;
  wire c59_r;
  wire c59_a;
  wire c58_r0d;
  wire c58_r1d;
  wire c58_a;
  wire c57_r;
  wire c57_a;
  wire c56_r;
  wire c56_a0d;
  wire c56_a1d;
  wire c55_r;
  wire [1:0] c55_a0d;
  wire [1:0] c55_a1d;
  wire c54_r;
  wire c54_a;
  wire c53_r;
  wire c53_a0d;
  wire c53_a1d;
  wire c52_r0d;
  wire c52_r1d;
  wire c52_a;
  wire c51_r;
  wire c51_a;
  wire c50_r;
  wire c50_a;
  wire c49_r0d;
  wire c49_r1d;
  wire c49_a;
  wire c48_r;
  wire c48_a;
  wire c47_r;
  wire c47_a0d;
  wire c47_a1d;
  wire c46_r;
  wire [1:0] c46_a0d;
  wire [1:0] c46_a1d;
  wire c45_r;
  wire c45_a;
  wire c44_r;
  wire c44_a0d;
  wire c44_a1d;
  wire c43_r0d;
  wire c43_r1d;
  wire c43_a;
  wire c42_r;
  wire c42_a;
  wire c41_r;
  wire c41_a;
  wire c40_r0d;
  wire c40_r1d;
  wire c40_a;
  wire c39_r;
  wire c39_a;
  wire c38_r;
  wire c38_a0d;
  wire c38_a1d;
  wire c37_r;
  wire c37_a0d;
  wire c37_a1d;
  wire c36_r;
  wire [1:0] c36_a0d;
  wire [1:0] c36_a1d;
  wire c35_r;
  wire c35_a;
  wire c34_r;
  wire c34_a0d;
  wire c34_a1d;
  wire c33_r;
  wire [1:0] c33_a0d;
  wire [1:0] c33_a1d;
  wire c32_r;
  wire c32_a;
  wire c31_r;
  wire c31_a;
  wire c30_r;
  wire c30_a;
  wire c29_r;
  wire c29_a;
  wire c28_r;
  wire c28_a;
  wire c27_r;
  wire c27_a;
  wire c26_r;
  wire c26_a;
  wire c25_r;
  wire c25_a;
  wire c24_r;
  wire c24_a;
  wire c23_r;
  wire c23_a;
  wire c22_r;
  wire c22_a;
  wire [2:0] c21_r0d;
  wire [2:0] c21_r1d;
  wire c21_a;
  wire c20_r;
  wire [2:0] c20_a0d;
  wire [2:0] c20_a1d;
  BrzVariable_3_1_s0_ I0 (c21_r0d, c21_r1d, c21_a, c139_r, c139_a0d, c139_a1d);
  BrzVariable_3_2_s0_ I1 (c160_r0d, c160_r1d, c160_a, c20_r, c20_a0d, c20_a1d, c145_r, c145_a0d, c145_a1d);
  BrzVariable_3_2_s0_ I2 (c146_r0d, c146_r1d, c146_a, c118_r, c118_a0d, c118_a1d, c113_r, c113_a0d, c113_a1d);
  BrzVariable_3_2_s0_ I3 (c102_r0d, c102_r1d, c102_a, c100_r, c100_a0d, c100_a1d, c98_r, c98_a0d, c98_a1d);
  BrzVariable_1_1_s0_ I4 (c159_r0d, c159_r1d, c159_a, c128_r, c128_a0d, c128_a1d);
  BrzCallMux_1_2 I5 (c150_r0d, c150_r1d, c150_a, c107_r0d, c107_r1d, c107_a, c159_r0d, c159_r1d, c159_a);
  BrzVariable_1_1_s0_ I6 (c137_r0d, c137_r1d, c137_a, c142_r, c142_a0d, c142_a1d);
  BrzVariable_2_4_s0_ I7 (c158_r0d, c158_r1d, c158_a, c55_r, c55_a0d, c55_a1d, c46_r, c46_a0d, c46_a1d, c36_r, c36_a0d, c36_a1d, c33_r, c33_a0d, c33_a1d);
  BrzConcur_2 I8 (c79_r, c79_a, c157_r, c157_a, c156_r, c156_a);
  BrzSequence_4_s3_SSS I9 (c96_r, c96_a, c155_r, c155_a, c151_r, c151_a, c147_r, c147_a, c144_r, c144_a);
  BrzDecisionWait_1 I10 (c155_r, c155_a, mon3__ready_0r, mon3__ready_0a, c154_r, c154_a);
  BrzContinue I11 (c154_r, c154_a);
  BrzFalseVariable_1_1_s0_ I12 (c152_r0d, c152_r1d, c152_a, c153_r, c153_a, c149_r, c149_a0d, c149_a1d);
  BrzFetch_1_s5_false I13 (c151_r, c151_a, c148_r, c148_a0d, c148_a1d, c152_r0d, c152_r1d, c152_a);
  BrzFetch_1_s5_false I14 (c153_r, c153_a, c149_r, c149_a0d, c149_a1d, c150_r0d, c150_r1d, c150_a);
  BrzFetch_3_s5_false I15 (c147_r, c147_a, c145_r, c145_a0d, c145_a1d, c146_r0d, c146_r1d, c146_a);
  BrzCallDemux_1_2 I16 (c108_r, c108_a0d, c108_a1d, c148_r, c148_a0d, c148_a1d, vok3_0r, vok3_0a0d, vok3_0a1d);
  BrzWhile I17 (activate_0r, activate_0a, c143_r, c143_a0d, c143_a1d, c141_r, c141_a);
  BrzUnaryFunc_1_1_s6_Invert_s5_false I18 (c143_r, c143_a0d, c143_a1d, c142_r, c142_a0d, c142_a1d);
  BrzSequence_2_s1_S I19 (c141_r, c141_a, c23_r, c23_a, c22_r, c22_a);
  BrzCase_3_8_s29_0_3b1_3b2_3b3_3b6_3b5_3b7__m9m I20 (c140_r0d, c140_r1d, c140_a, c31_r, c31_a, c66_r, c66_a, c72_r, c72_a, c78_r, c78_a, c87_r, c87_a, c95_r, c95_a, c130_r, c130_a, c138_r, c138_a);
  BrzFetch_3_s5_false I21 (c23_r, c23_a, c139_r, c139_a0d, c139_a1d, c140_r0d, c140_r1d, c140_a);
  BrzFetch_1_s5_false I22 (c138_r, c138_a, c136_r, c136_a0d, c136_a1d, c137_r0d, c137_r1d, c137_a);
  BrzConstant_1_1 I23 (c136_r, c136_a0d, c136_a1d);
  BrzCallActive_2 I24 (vreg2__ready_0r, vreg2__ready_0a, c81_r, c81_a, c115_r, c115_a);
  BrzCallActive_2 I25 (vreg1__ready_0r, vreg1__ready_0a, c89_r, c89_a, c110_r, c110_a);
  BrzCase_1_2_s5_0_3b1 I26 (c131_r0d, c131_r1d, c131_a, c97_r, c97_a, c123_r, c123_a);
  BrzSequence_2_s1_S I27 (c130_r, c130_a, c132_r, c132_a, c133_r, c133_a);
  BrzFetch_1_s5_false I28 (c132_r, c132_a, c129_r, c129_a0d, c129_a1d, c134_r0d, c134_r1d, c134_a);
  BrzFetch_1_s5_false I29 (c133_r, c133_a, c135_r, c135_a0d, c135_a1d, c131_r0d, c131_r1d, c131_a);
  BrzVariable_1_1_s0_ I30 (c134_r0d, c134_r1d, c134_a, c135_r, c135_a0d, c135_a1d);
  BrzUnaryFunc_1_1_s6_Invert_s5_false I31 (c129_r, c129_a0d, c129_a1d, c128_r, c128_a0d, c128_a1d);
  BrzCase_1_1_s1_1 I32 (c122_r0d, c122_r1d, c122_a, c121_r, c121_a);
  BrzSequence_6_s5_SSSSS I33 (c123_r, c123_a, c124_r, c124_a, c125_r, c125_a, c109_r, c109_a, c103_r, c103_a, c104_r, c104_a, c99_r, c99_a);
  BrzFetch_1_s5_false I34 (c124_r, c124_a, c120_r, c120_a0d, c120_a1d, c126_r0d, c126_r1d, c126_a);
  BrzFetch_1_s5_false I35 (c125_r, c125_a, c127_r, c127_a0d, c127_a1d, c122_r0d, c122_r1d, c122_a);
  BrzVariable_1_1_s0_ I36 (c126_r0d, c126_r1d, c126_a, c127_r, c127_a0d, c127_a1d);
  BrzBar_2 I37 (c120_r, c120_a0d, c120_a1d, c121_r, c121_a, c114_r, c114_a0d, c114_a1d, c119_r, c119_a0d, c119_a1d, c112_r, c112_a, c117_r, c117_a);
  BrzBinaryFuncConstR_1_3_3_s6_Equals_s5_fal_m8m I38 (c119_r, c119_a0d, c119_a1d, c118_r, c118_a0d, c118_a1d);
  BrzDecisionWait_1 I39 (c117_r, c117_a, c115_r, c115_a, c116_r, c116_a);
  BrzContinue I40 (c116_r, c116_a);
  BrzBinaryFuncConstR_1_3_3_s6_Equals_s5_fal_m7m I41 (c114_r, c114_a0d, c114_a1d, c113_r, c113_a0d, c113_a1d);
  BrzDecisionWait_1 I42 (c112_r, c112_a, c110_r, c110_a, c111_r, c111_a);
  BrzContinue I43 (c111_r, c111_a);
  BrzFetch_1_s5_false I44 (c109_r, c109_a, c108_r, c108_a0d, c108_a1d, c107_r0d, c107_r1d, c107_a);
  BrzFetch_3_s5_false I45 (c103_r, c103_a, c101_r, c101_a0d, c101_a1d, c105_r0d, c105_r1d, c105_a);
  BrzFetch_3_s5_false I46 (c104_r, c104_a, c106_r, c106_a0d, c106_a1d, c102_r0d, c102_r1d, c102_a);
  BrzVariable_3_1_s0_ I47 (c105_r0d, c105_r1d, c105_a, c106_r, c106_a0d, c106_a1d);
  BrzBinaryFuncConstR_3_3_1_s3_Add_s5_false__m3m I48 (c101_r, c101_a0d, c101_a1d, c100_r, c100_a0d, c100_a1d);
  BrzFetch_3_s5_false I49 (c99_r, c99_a, c98_r, c98_a0d, c98_a1d, selvdd_0r0d, selvdd_0r1d, selvdd_0a);
  BrzCall_2 I50 (c88_r, c88_a, c80_r, c80_a, c96_r, c96_a);
  BrzConcur_4 I51 (c95_r, c95_a, c94_r, c94_a, c92_r, c92_a, c91_r, c91_a, c88_r, c88_a);
  BrzFetch_1_s5_false I52 (c94_r, c94_a, c93_r, c93_a0d, c93_a1d, vreg1__enable_0r0d, vreg1__enable_0r1d, vreg1__enable_0a);
  BrzConstant_1_1 I53 (c93_r, c93_a0d, c93_a1d);
  BrzDecisionWait_1 I54 (c91_r, c91_a, c89_r, c89_a, c90_r, c90_a);
  BrzContinue I55 (c90_r, c90_a);
  BrzConcur_4 I56 (c87_r, c87_a, c86_r, c86_a, c84_r, c84_a, c83_r, c83_a, c80_r, c80_a);
  BrzFetch_1_s5_false I57 (c86_r, c86_a, c85_r, c85_a0d, c85_a1d, vreg2__enable_0r0d, vreg2__enable_0r1d, vreg2__enable_0a);
  BrzConstant_1_1 I58 (c85_r, c85_a0d, c85_a1d);
  BrzDecisionWait_1 I59 (c83_r, c83_a, c81_r, c81_a, c82_r, c82_a);
  BrzContinue I60 (c82_r, c82_a);
  BrzCall_2 I61 (c77_r, c77_a, c71_r, c71_a, c79_r, c79_a);
  BrzSequence_3_s2_SS I62 (c78_r, c78_a, c77_r, c77_a, c76_r, c76_a, c74_r, c74_a);
  BrzFetch_1_s5_false I63 (c76_r, c76_a, c75_r, c75_a0d, c75_a1d, ref2__enable_0r0d, ref2__enable_0r1d, ref2__enable_0a);
  BrzConstant_1_1 I64 (c75_r, c75_a0d, c75_a1d);
  BrzDecisionWait_1 I65 (c74_r, c74_a, ref2__ready_0r, ref2__ready_0a, c73_r, c73_a);
  BrzSequence_3_s2_SS I66 (c72_r, c72_a, c71_r, c71_a, c70_r, c70_a, c68_r, c68_a);
  BrzFetch_1_s5_false I67 (c70_r, c70_a, c69_r, c69_a0d, c69_a1d, ref1__enable_0r0d, ref1__enable_0r1d, ref1__enable_0a);
  BrzConstant_1_1 I68 (c69_r, c69_a0d, c69_a1d);
  BrzDecisionWait_1 I69 (c68_r, c68_a, ref1__ready_0r, ref1__ready_0a, c67_r, c67_a);
  BrzSequence_3_s2_SS I70 (c66_r, c66_a, c65_r, c65_a, c41_r, c41_a, c42_r, c42_a);
  BrzDecisionWait_2 I71 (c65_r, c65_a, c64_r, c64_a, c63_r, c63_a, c48_r, c48_a, c57_r, c57_a);
  BrzArbiter I72 (vok2_0r, vok2_0a, vok1_0r, vok1_0a, c64_r, c64_a, c63_r, c63_a);
  BrzCase_1_1_s1_1 I73 (c58_r0d, c58_r1d, c58_a, c54_r, c54_a);
  BrzSequence_2_s1_S I74 (c57_r, c57_a, c59_r, c59_a, c60_r, c60_a);
  BrzFetch_1_s5_false I75 (c59_r, c59_a, c56_r, c56_a0d, c56_a1d, c61_r0d, c61_r1d, c61_a);
  BrzFetch_1_s5_false I76 (c60_r, c60_a, c62_r, c62_a0d, c62_a1d, c58_r0d, c58_r1d, c58_a);
  BrzVariable_1_1_s0_ I77 (c61_r0d, c61_r1d, c61_a, c62_r, c62_a0d, c62_a1d);
  BrzBinaryFuncConstR_1_2_1_s6_Equals_s5_fal_m4m I78 (c56_r, c56_a0d, c56_a1d, c55_r, c55_a0d, c55_a1d);
  BrzCase_1_1_s1_1 I79 (c49_r0d, c49_r1d, c49_a, c45_r, c45_a);
  BrzSequence_2_s1_S I80 (c48_r, c48_a, c50_r, c50_a, c51_r, c51_a);
  BrzFetch_1_s5_false I81 (c50_r, c50_a, c47_r, c47_a0d, c47_a1d, c52_r0d, c52_r1d, c52_a);
  BrzFetch_1_s5_false I82 (c51_r, c51_a, c53_r, c53_a0d, c53_a1d, c49_r0d, c49_r1d, c49_a);
  BrzVariable_1_1_s0_ I83 (c52_r0d, c52_r1d, c52_a, c53_r, c53_a0d, c53_a1d);
  BrzBinaryFuncConstR_1_2_1_s6_Equals_s5_fal_m4m I84 (c47_r, c47_a0d, c47_a1d, c46_r, c46_a0d, c46_a1d);
  BrzCase_1_1_s1_1 I85 (c40_r0d, c40_r1d, c40_a, c39_r, c39_a);
  BrzFetch_1_s5_false I86 (c41_r, c41_a, c38_r, c38_a0d, c38_a1d, c43_r0d, c43_r1d, c43_a);
  BrzFetch_1_s5_false I87 (c42_r, c42_a, c44_r, c44_a0d, c44_a1d, c40_r0d, c40_r1d, c40_a);
  BrzVariable_1_1_s0_ I88 (c43_r0d, c43_r1d, c43_a, c44_r, c44_a0d, c44_a1d);
  BrzBar_2 I89 (c38_r, c38_a0d, c38_a1d, c39_r, c39_a, c34_r, c34_a0d, c34_a1d, c37_r, c37_a0d, c37_a1d, c32_r, c32_a, c35_r, c35_a);
  BrzBinaryFuncConstR_1_2_2_s6_Equals_s5_fal_m6m I90 (c37_r, c37_a0d, c37_a1d, c36_r, c36_a0d, c36_a1d);
  BrzBinaryFuncConstR_1_2_1_s6_Equals_s5_fal_m5m I91 (c34_r, c34_a0d, c34_a1d, c33_r, c33_a0d, c33_a1d);
  BrzConcur_5 I92 (c31_r, c31_a, c30_r, c30_a, c29_r, c29_a, c28_r, c28_a, c26_r, c26_a, c24_r, c24_a);
  BrzDecisionWait_1 I93 (c28_r, c28_a, mon1__ready_0r, mon1__ready_0a, c27_r, c27_a);
  BrzContinue I94 (c27_r, c27_a);
  BrzDecisionWait_1 I95 (c26_r, c26_a, mon2__ready_0r, mon2__ready_0a, c25_r, c25_a);
  BrzContinue I96 (c25_r, c25_a);
  BrzFetch_3_s5_false I97 (c22_r, c22_a, c20_r, c20_a0d, c20_a1d, c21_r0d, c21_r1d, c21_a);
  BrzEncode_1_2_s5_1_3b1 I98 (c92_r, c92_a, c84_r, c84_a, mon3__enable_0r0d, mon3__enable_0r1d, mon3__enable_0a);
  BrzEncode_1_2_s5_1_3b0 I99 (c30_r, c30_a, c157_r, c157_a, mon1__enable_0r0d, mon1__enable_0r1d, mon1__enable_0a);
  BrzEncode_1_2_s5_1_3b0 I100 (c29_r, c29_a, c156_r, c156_a, mon2__enable_0r0d, mon2__enable_0r1d, mon2__enable_0a);
  BrzEncode_2_2_s5_2_3b1 I101 (c45_r, c45_a, c54_r, c54_a, c158_r0d, c158_r1d, c158_a);
  BrzEncode_3_7_s25_7_3b1_3b2_3b3_3b5_3b6_3b_m11m I102 (c144_r, c144_a, c24_r, c24_a, c32_r, c32_a, c35_r, c35_a, c67_r, c67_a, c73_r, c73_a, c97_r, c97_a, c160_r0d, c160_r1d, c160_a);
endmodule

