//-----------------------------------------------------------------------------
//
// Title       : simplecontrol_interface
// Design      : celement
// Author      : rapekatt
// Company     : ntnu
//
//-----------------------------------------------------------------------------
//
// File        : simplecontrol_interface.v
// Generated   : Mon Jul  4 23:42:46 2011
// From        : interface description file
// By          : Itf2Vhdl ver. 1.21
//
//-----------------------------------------------------------------------------
//
// Description : 
//
//-----------------------------------------------------------------------------
`timescale 1 ns / 1 ps

//{{ Section below this comment is automatically maintained
//   and may be overwritten
//{module {simplecontrol_interface}}
module simplecontrol_interface (activate_r, powerin1, powerin2, activate_a, vddcore);
	
	`include "startup_parameters.v" 
	
	// ------------ Port declarations --------- //	
input activate_r;
wire activate_r;
input [AVR32_POWER_MSB:0] powerin1;
wire [AVR32_POWER_MSB:0] powerin1; 
input [AVR32_POWER_MSB:0] powerin2;
wire [AVR32_POWER_MSB:0] powerin2;
output activate_a;
wire activate_a;
output [AVR32_POWER_MSB:0] vddcore;
wire [AVR32_POWER_MSB:0] vddcore;

// ----------------- Constants ------------ //
//parameter DANGLING_INPUT_CONSTANT = 1'bZ;

// ----------- Signal declarations -------- //

wire selvdd_ack;
//fra tullefil
wire vreg1_enable_ack;
wire vreg1_enable_df;
wire vreg1_enable_dt;
wire vreg1_ready_ack;
wire vreg1_ready_req;
wire vreg2_enable_ack;
wire vreg2_enable_df;
wire vreg2_enable_dt;
wire vreg2_ready_ack;
wire vreg2_ready_req;
wire [2:0] selvdd_df;
wire [2:0] selvdd_dt;
//fra interfacetest6v3
wire mon1_enable_ack;
wire mon1_enable_df;
wire mon1_enable_dt;
wire mon1_ready_ack;
wire mon1_ready_req;
wire mon1_vok_df;
wire mon1_vok_dt;
wire mon1_vok_req;
wire mon2_enable_ack;
wire mon2_enable_df;
wire mon2_enable_dt;
wire mon2_ready_ack;
wire mon2_ready_req;
wire mon2_vok_df;
wire mon2_vok_dt;
wire mon2_vok_req;
wire ref1_enable_ack;
wire ref1_enable_df;
wire ref1_enable_dt;
wire ref1_ready_ack;
wire ref1_ready_req;
wire ref2_enable_ack;
wire ref2_enable_df;
wire ref2_enable_dt;
wire ref2_ready_ack;
wire ref2_ready_req;
//fra tullefil
wire mon3_enable_ack;
wire mon3_enable_df;
wire mon3_enable_dt;
wire mon3_ready_ack;
wire mon3_ready_req;
wire mon3_vok_df;
wire mon3_vok_dt;
wire mon3_vok_req;
//
wire bandgap1;
wire bandgap2;

// ---- Declaration for Dangling inputs ----//
//wire Dangling_Input_Signal = DANGLING_INPUT_CONSTANT;

// -------- Component instantiations -------//

// synopsys translate_off
`library("U1","celement")
// synopsys translate_on
Balsa_startup__simple1 U1
(	  
	.activate_0a(activate_a),
	.activate_0r(activate_r),
	.mon1__enable_0a(mon1_enable_ack),
	.mon1__enable_0r0d(mon1_enable_df),
	.mon1__enable_0r1d(mon1_enable_dt),
	.mon1__ready_0a(mon1_ready_ack),
	.mon1__ready_0r(mon1_ready_req),	
	.mon2__enable_0a(mon2_enable_ack),
	.mon2__enable_0r0d(mon2_enable_df),
	.mon2__enable_0r1d(mon2_enable_dt),
	.mon2__ready_0a(mon2_ready_ack),
	.mon2__ready_0r(mon2_ready_req),	
	.mon3__enable_0a(mon3_enable_ack),
	.mon3__enable_0r0d(mon3_enable_df),
	.mon3__enable_0r1d(mon3_enable_dt),
	.mon3__ready_0a(mon3_ready_ack),
	.mon3__ready_0r(mon3_ready_req),	
	.ref1__enable_0a(ref1_enable_ack),
	.ref1__enable_0r0d(ref1_enable_df),
	.ref1__enable_0r1d(ref1_enable_dt),
	.ref1__ready_0a(ref1_ready_ack),
	.ref1__ready_0r(ref1_ready_req),
	.ref2__enable_0a(ref2_enable_ack),
	.ref2__enable_0r0d(ref2_enable_df),
	.ref2__enable_0r1d(ref2_enable_dt),
	.ref2__ready_0a(ref2_ready_ack),
	.ref2__ready_0r(ref2_ready_req),	
	.selvdd_0a(selvdd_ack),
	.selvdd_0r0d(selvdd_df),
	.selvdd_0r1d(selvdd_dt), 	
	.vok1_0a0d(mon1_vok_df),
	.vok1_0a1d(mon1_vok_dt),
	.vok1_0r(mon1_vok_req),
	.vok2_0a0d(mon2_vok_df),
	.vok2_0a1d(mon2_vok_dt),
	.vok2_0r(mon2_vok_req),
	.vok3_0a0d(mon3_vok_df),
	.vok3_0a1d(mon3_vok_dt),
	.vok3_0r(mon3_vok_req),	
	.vreg1__enable_0a(vreg1_enable_ack),
	.vreg1__enable_0r0d(vreg1_enable_df),
	.vreg1__enable_0r1d(vreg1_enable_dt),
	.vreg1__ready_0a(vreg1_ready_ack),
	.vreg1__ready_0r(vreg1_ready_req),
	.vreg2__enable_0a(vreg2_enable_ack),
	.vreg2__enable_0r0d(vreg2_enable_df),
	.vreg2__enable_0r1d(vreg2_enable_dt),
	.vreg2__ready_0a(vreg2_ready_ack),
	.vreg2__ready_0r(vreg2_ready_req)
);

// synopsys translate_off
`library("U2","celement")
// synopsys translate_on
votageReference_interface U2
(
	.BusInput0(powerin1[AVR32_POWER_MSB:0]),
	.activate(activate_r),
	.bandgap(bandgap1),
	.enable_ack(ref1_enable_ack),
	.enable_df(ref1_enable_df),
	.enable_dt(ref1_enable_dt),
	.ready_ack(ref1_ready_ack),
	.ready_req(ref1_ready_req)
);



// synopsys translate_off
`library("U3","celement")
// synopsys translate_on
voltageMonitor_Interface U3
(
	.BusInput0(powerin2[AVR32_POWER_MSB:0]),
	.activate(activate_r),
	.enable_ack(mon2_enable_ack),
	.enable_df(mon2_enable_df),
	.enable_dt(mon2_enable_dt),
	.ready_ack(mon2_ready_ack),
	.ready_req(mon2_ready_req),
	.vok_df(mon2_vok_df),
	.vok_dt(mon2_vok_dt),
	.vok_req(mon2_vok_req)
);



// synopsys translate_off
`library("U4","celement")
// synopsys translate_on
voltageMonitor_Interface U4
(
	.BusInput0(powerin1[AVR32_POWER_MSB:0]),
	.activate(activate_r),
	.enable_ack(mon1_enable_ack),
	.enable_df(mon1_enable_df),
	.enable_dt(mon1_enable_dt),
	.ready_ack(mon1_ready_ack),
	.ready_req(mon1_ready_req),
	.vok_df(mon1_vok_df),
	.vok_dt(mon1_vok_dt),
	.vok_req(mon1_vok_req)
);


// synopsys translate_off
`library("mon3","celement")
// synopsys translate_on
voltageMonitor_Interface mon3
(
	.BusInput0(vddcore[AVR32_POWER_MSB:0]),
	.activate(activate_r),
	.enable_ack(mon3_enable_ack),
	.enable_df(mon3_enable_df),
	.enable_dt(mon3_enable_dt),
	.ready_ack(mon3_ready_ack),
	.ready_req(mon3_ready_req),
	.vok_df(mon3_vok_df),
	.vok_dt(mon3_vok_dt),
	.vok_req(mon3_vok_req)
);


// synopsys translate_off
`library("U5","celement")
// synopsys translate_on
votageReference_interface U5
(
	.BusInput0(powerin2[AVR32_POWER_MSB:0]),
	.activate(activate_r),
	.bandgap(bandgap2),
	.enable_ack(ref2_enable_ack),
	.enable_df(ref2_enable_df),
	.enable_dt(ref2_enable_dt),
	.ready_ack(ref2_ready_ack),
	.ready_req(ref2_ready_req)
);

// synopsys translate_off
`library("vreg1","celement")
// synopsys translate_on
voltageRegulator_interface vreg1
(
	.BusInput2(powerin1[AVR32_POWER_MSB:0]),
	.activate(activate_r),
	.bandgap(bandgap1),
	.enable_ack(vreg1_enable_ack),
	.enable_df(vreg1_enable_df),
	.enable_dt(vreg1_enable_dt),
	.powerout(vddcore[AVR32_POWER_MSB:0]),
	.ready_ack(vreg1_ready_ack),
	.ready_req(vreg1_ready_req),
	.selvdd_ack(selvdd_ack),
	.selvdd_df(selvdd_df),
	.selvdd_dt(selvdd_dt)
);



// synopsys translate_off
`library("vreg2","celement")
// synopsys translate_on
voltageRegulator_interface vreg2
(
	.BusInput2(powerin2[AVR32_POWER_MSB:0]),
	.activate(activate_r),
	.bandgap(bandgap2),
	.enable_ack(vreg2_enable_ack),
	.enable_df(vreg2_enable_df),
	.enable_dt(vreg2_enable_dt),
	.powerout(vddcore[AVR32_POWER_MSB:0]),
	.ready_ack(vreg2_ready_ack),
	.ready_req(vreg2_ready_req),
	.selvdd_ack(selvdd_ack),
	.selvdd_df(selvdd_df),
	.selvdd_dt(selvdd_dt)
);

endmodule
