`timescale 1ns/1ps

module top(/*AUTOARG*/
   // Inputs
   VDDIO1, VDDIO2
   );

`include "startup_parameters.v" 

   input [AVR32_POWER_MSB:0] VDDIO1;
   input [AVR32_POWER_MSB:0] VDDIO2;
   //input 		     ref_clk;
    
   
   
   /*AUTOINPUT */
   /*AUTOOUTPUT*/
   
   /*AUTOWIRE*/
   // Beginning of automatic wires (for undeclared instantiated-module outputs)
   wire [AVR32_POWER_MSB:0] VDDCORE;		// From U_VREG1 of vRegulator.v, ...
   wire			gen_clk;		// From U_CLKGEN of clk_gen.v
   wire			mon1_enable;		// From U_START of startup_logic.v
   wire			mon1_ready;		// From U_VOLTMON1 of voltage_monitor.v
   wire			mon1_vok;		// From U_VOLTMON1 of voltage_monitor.v
   wire			mon2_enable;		// From U_START of startup_logic.v
   wire			mon2_ready;		// From U_VOLTMON2 of voltage_monitor.v
   wire			mon2_vok;		// From U_VOLTMON2 of voltage_monitor.v
   wire			mon3_enable;		// From U_START of startup_logic.v
   wire			mon3_ready;		// From U_VOLTMON3 of voltage_monitor.v
   wire			mon3_vok;		// From U_VOLTMON3 of voltage_monitor.v
   wire			porneg;			// From U_POR of POR.v
   wire			ref1_enable;		// From U_START of startup_logic.v
   wire			ref1_ready;		// From U_BAND1 of bandgap.v
   wire			ref2_enable;		// From U_START of startup_logic.v
   wire			ref2_ready;		// From U_BAND2 of bandgap.v
   wire			regul1_bandgap;		// From U_BAND1 of bandgap.v
   wire			regul1_enable;		// From U_START of startup_logic.v
   wire			regul1_ready;		// From U_VREG1 of vRegulator.v
   wire [AVR32_VREG_SELVDD_MSB:0] regul1_selvdd;// From U_START of startup_logic.v
   wire			regul2_bandgap;		// From U_BAND2 of bandgap.v
   wire			regul2_enable;		// From U_START of startup_logic.v
   wire			regul2_ready;		// From U_VREG2 of vRegulator.v
   wire [AVR32_VREG_SELVDD_MSB:0] regul2_selvdd;// From U_START of startup_logic.v
   // End of automatics


   /* clk_gen AUTO_TEMPLATE (
    .porneg (porneg),
    .clk (gen_clk),
     ); */

   clk_gen U_CLKGEN(/*AUTOINST*/
		    // Outputs
		    .clk		(gen_clk),		 // Templated
		    // Inputs
		    .porneg		(porneg));		 // Templated
   
   
   /* voltage_monitor AUTO_TEMPLATE (
    .enable (mon@_enable),
    .ready (mon@_ready),
    .vok (mon@_vok),
    .power (VDDIO@[AVR32_POWER_MSB:0]),
    ); */
   
   voltage_monitor 
     #( .VThreshold(1500)) // Threshold set to 1.5V
    U_VOLTMON1 (
                /*AUTOINST*/
		// Outputs
		.ready			(mon1_ready),		 // Templated
		.vok			(mon1_vok),		 // Templated
		// Inputs
		.power			(VDDIO1[AVR32_POWER_MSB:0]), // Templated
		.enable			(mon1_enable));		 // Templated
   
   voltage_monitor 
     #( .VThreshold(1500)) // Threshold set to 1.5V
    U_VOLTMON2 (
                /*AUTOINST*/
		// Outputs
		.ready			(mon2_ready),		 // Templated
		.vok			(mon2_vok),		 // Templated
		// Inputs
		.power			(VDDIO2[AVR32_POWER_MSB:0]), // Templated
		.enable			(mon2_enable));		 // Templated

  /* voltage_monitor AUTO_TEMPLATE (
    .enable (mon@_enable),
    .ready (mon@_ready),
    .vok (mon@_vok),
    .power (VDDCORE[AVR32_POWER_MSB:0]),
    ); */
   
   voltage_monitor 
     #( .VThreshold(1500)) // Threshold set to 1.5V
    U_VOLTMON3 (
                /*AUTOINST*/
		// Outputs
		.ready			(mon3_ready),		 // Templated
		.vok			(mon3_vok),		 // Templated
		// Inputs
		.power			(VDDCORE[AVR32_POWER_MSB:0]), // Templated
		.enable			(mon3_enable));		 // Templated

   /* POR AUTO_TEMPLATE (
    	     .power1			(VDDIO1[AVR32_POWER_MSB:0]),
	     .power2			(VDDIO2[AVR32_POWER_MSB:0]),
    ); */
   
   POR U_POR(/*AUTOINST*/
	     // Outputs
	     .porneg			(porneg),
	     // Inputs
	     .power1			(VDDIO1[AVR32_POWER_MSB:0]), // Templated
	     .power2			(VDDIO2[AVR32_POWER_MSB:0])); // Templated
   
   /* vRegulator AUTO_TEMPLATE (
    .enable (regul@_enable),
    .ready (regul@_ready),
    .bandgap (regul@_bandgap),
    .selvdd (regul@_selvdd[AVR32_VREG_SELVDD_MSB:0]),
    .powerout (VDDCORE[AVR32_POWER_MSB:0]),
    .powerin (VDDIO@[AVR32_POWER_MSB:0]),
    ); */

   
   vRegulator U_VREG1 (/*AUTOINST*/
		       // Outputs
		       .powerout	(VDDCORE[AVR32_POWER_MSB:0]), // Templated
		       .ready		(regul1_ready),		 // Templated
		       // Inputs
		       .powerin		(VDDIO1[AVR32_POWER_MSB:0]), // Templated
		       .enable		(regul1_enable),	 // Templated
		       .bandgap		(regul1_bandgap),	 // Templated
		       .selvdd		(regul1_selvdd[AVR32_VREG_SELVDD_MSB:0])); // Templated
   
   vRegulator U_VREG2 (/*AUTOINST*/
		       // Outputs
		       .powerout	(VDDCORE[AVR32_POWER_MSB:0]), // Templated
		       .ready		(regul2_ready),		 // Templated
		       // Inputs
		       .powerin		(VDDIO2[AVR32_POWER_MSB:0]), // Templated
		       .enable		(regul2_enable),	 // Templated
		       .bandgap		(regul2_bandgap),	 // Templated
		       .selvdd		(regul2_selvdd[AVR32_VREG_SELVDD_MSB:0])); // Templated

   /* bandgap AUTO_TEMPLATE (
    	    .powerin			(VDDIO@[AVR32_POWER_MSB:0]),
    	    .ready			(ref@_ready),
	    .bandgap			(regul@_bandgap),
	    .enable			(ref@_enable),
    ); */
   
   bandgap
   U_BAND1 (/*AUTOINST*/
	    // Outputs
	    .ready			(ref1_ready),		 // Templated
	    .bandgap			(regul1_bandgap),	 // Templated
	    // Inputs
	    .powerin			(VDDIO1[AVR32_POWER_MSB:0]), // Templated
	    .enable			(ref1_enable));		 // Templated

   bandgap
   U_BAND2 (/*AUTOINST*/
	    // Outputs
	    .ready			(ref2_ready),		 // Templated
	    .bandgap			(regul2_bandgap),	 // Templated
	    // Inputs
	    .powerin			(VDDIO2[AVR32_POWER_MSB:0]), // Templated
	    .enable			(ref2_enable));		 // Templated

   /* startup_logic AUTO_TEMPLATE (
    			.clk	        (gen_clk),
    ); */
   
   startup_logic2 U_START (/*AUTOINST*/
			  // Outputs
			  .mon1_enable		(mon1_enable),
			  .mon2_enable		(mon2_enable),
			  .mon3_enable		(mon3_enable),
			  .ref1_enable		(ref1_enable),
			  .ref2_enable		(ref2_enable),
			  .regul1_enable	(regul1_enable),
			  .regul1_selvdd	(regul1_selvdd[AVR32_VREG_SELVDD_MSB:0]),
			  .regul2_enable	(regul2_enable),
			  .regul2_selvdd	(regul2_selvdd[AVR32_VREG_SELVDD_MSB:0]),
			  // Inputs
			  .clk			(gen_clk),	 // Templated
			  .porneg		(porneg),
			  .mon1_vok		(mon1_vok),
			  .mon1_ready		(mon1_ready),
			  .mon2_vok		(mon2_vok),
			  .mon2_ready		(mon2_ready),
			  .mon3_vok		(mon3_vok),
			  .mon3_ready		(mon3_ready),
			  .ref1_ready		(ref1_ready),
			  .ref2_ready		(ref2_ready),
			  .regul1_ready		(regul1_ready),
			  .regul2_ready		(regul2_ready));
   
   
   //top U_TOP();
   
   
endmodule // startup_logic


/*  
 Local Variables:
 verilog-library-directories:(
 "."
 )
 End:
 */

/*
  "../voltageMonitor"
 "../powerOnReset"
 "../bandgapRegulator"
 "../voltageRegulator"
 "../startup_state"
 "../clkGen"
 */